2024-01-31  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 3e941ef87e5ac15a59ec32dd1750a58904ad2fb0
	version.h, include/features.h: Bump version to 2.39

	* include/features.h: Modified.
	(__GLIBC_MINOR__): Modified.
	* version.h: Modified.
	(RELEASE): Modified.
	(VERSION): Modified.

2024-01-31  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 64263d2b44fa224b6fc9978af47f996738900443
	po: Update translations

	* po/be.po: Modified.
	* po/bg.po: Modified.
	* po/ca.po: Modified.
	* po/cs.po: Modified.
	* po/da.po: Modified.
	* po/de.po: Modified.
	* po/el.po: Modified.
	* po/eo.po: Modified.
	* po/es.po: Modified.
	* po/fi.po: Modified.
	* po/fr.po: Modified.
	* po/gl.po: Modified.
	* po/hr.po: Modified.
	* po/hu.po: Modified.
	* po/ia.po: Modified.
	* po/id.po: Modified.
	* po/it.po: Modified.
	* po/ja.po: Modified.
	* po/ka.po: Modified.
	* po/ko.po: Modified.
	* po/lt.po: Modified.
	* po/nb.po: Modified.
	* po/nl.po: Modified.
	* po/pl.po: Modified.
	* po/pt.po: Modified.
	* po/pt_BR.po: Modified.
	* po/ro.po: Modified.
	* po/ru.po: Modified.
	* po/rw.po: Modified.
	* po/sk.po: Modified.
	* po/sl.po: Modified.
	* po/sr.po: Modified.
	* po/sv.po: Modified.
	* po/tr.po: Modified.
	* po/uk.po: Modified.
	* po/vi.po: Modified.
	* po/zh_CN.po: Modified.
	* po/zh_TW.po: Modified.

2024-01-31  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 73563a906f0450ab982ccba2bd344626238f2c3b
	libc.pot: regenerate

	* po/libc.pot: Modified.

2024-01-31  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 068b04eaed3689f7b249d90cf3f0b459f96e0ccf
	INSTALL, install.texi: minor updates, regenerate

	* INSTALL: Modified.
	* manual/install.texi: Modified.

2024-01-30  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 1eed32f3661e099ea2953f86581da22bbd27e4c9
	contrib.texi: update

	* manual/contrib.texi: Modified.

2024-01-30  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 62150d038d8b190304993d98d611555f61a250ed
	NEWS: insert advisories and fixed bugs for 2.39

	* NEWS: Modified.

2024-01-30  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: cc1b91eabd806057aa7e3058a84bf129ed36e157
	S390: Fix building with --disable-mutli-arch [BZ #31196]

	* sysdeps/s390/memrchr-c.c: Modified.
	[HAVE_MEMRCHR_C][HAVE_MEMRCHR_IFUNC][SHARED && IS_IN (libc)](__hidden_ver1): New.
	[HAVE_MEMRCHR_C][SHARED && IS_IN (libc)](__hidden_ver1): Remove.
	* sysdeps/s390/strchrnul-c.c: Modified.
	[HAVE_STRCHRNUL_C][HAVE_STRCHRNUL_IFUNC][SHARED && IS_IN (libc)](__hidden_ver1): New.
	[HAVE_STRCHRNUL_C][SHARED && IS_IN (libc)](__hidden_ver1): Remove.

2024-01-30  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: feeb7297549f89d1654b76ccdb6f5fd544c1ef11
	Fix typo

	* NEWS: Modified.

2024-01-30  Joe Simmons-Talbott  <josimmon@redhat.com>

	COMMIT: 7765034db243e1061bd52465c99f8abb72e60436
	manual/io: Fix swapped reading and writing phrase.

	* manual/io.texi: Modified.

2024-01-30  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 443c10018cb1e33cd6a054c32eb62881f1dcfca2
	Update advisory format and introduce some automation

	* advisories/GLIBC-SA-2023-0001: Modified.
	* advisories/GLIBC-SA-2023-0002: Modified.
	* advisories/GLIBC-SA-2023-0003: Modified.
	* advisories/GLIBC-SA-2023-0004: Modified.
	* advisories/GLIBC-SA-2023-0005: Modified.
	* advisories/README: New file.
	* scripts/process-advisories.sh: New file.
	* scripts/process-fixed-cves.sh: Delete file.

2024-01-30  Arjun Shankar  <arjun@redhat.com>

	COMMIT: 6cdc44214253a74e7140d75a7ebfc900820a5fa8
	Document CVE-2023-6246, CVE-2023-6779, and CVE-2023-6780

	* advisories/GLIBC-SA-2024-0001: New file.
	* advisories/GLIBC-SA-2024-0002: New file.
	* advisories/GLIBC-SA-2024-0003: New file.

2024-01-30  Arjun Shankar  <arjun@redhat.com>

	COMMIT: ddf542da94caf97ff43cc2875c88749880b7259b
	syslog: Fix integer overflow in __vsyslog_internal (CVE-2023-6780)

	* misc/syslog.c: Modified.
	(__vsyslog_internal): Modified function.
	(limits.h): Include file.

2024-01-30  Arjun Shankar  <arjun@redhat.com>

	COMMIT: 7e5a0c286da33159d47d0122007aac016f3e02cd
	syslog: Fix heap buffer overflow in __vsyslog_internal (CVE-2023-6779)

	* misc/syslog.c: Modified.
	(__vsyslog_internal): Modified function.

2024-01-30  Arjun Shankar  <arjun@redhat.com>

	COMMIT: 6bd0e4efcc78f3c0115e5ea9739a1642807450da
	syslog: Fix heap buffer overflow in __vsyslog_internal (CVE-2023-6246)

	* misc/Makefile: Modified.
	* misc/syslog.c: Modified.
	(__vsyslog_internal): Modified function.
	* misc/tst-syslog-long-progname.c: New file.
	* misc/tst-syslog-long-progname.root/postclean.req: New file.

2024-01-30  Joseph Myers  <josmyers@redhat.com>

	COMMIT: 8aeec0eb5a18f9614d18156f9d6092b3525b818c
	Use binutils 2.42 branch in build-many-glibcs.py

	* scripts/build-many-glibcs.py: Modified.

2024-01-29  Andreas Schwab  <schwab@suse.de>

	COMMIT: 9c72830eb3e12c1d57ac7d1992c96ee69ccd835d
	elf: correct relocation statistics for !ELF_MACHINE_START_ADDRESS

	* elf/rtld.c: Modified.
	(print_statistics): Modified function.

2024-01-26  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: ae49a7b29acc184b03c2a6bd6ac01b5e08efd54f
	Relicense IBM portions of resolv/base64.c resolv/res_debug.c.

	* LICENSES: Modified.
	* resolv/base64.c: Modified.
	* resolv/res_debug.c: Modified.

2024-01-25  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 5176a830e70140cb3390c62b7d41f75dbbf33c7c
	localedata: Use consistent values for grouping and mon_grouping

	* Suppressing diff as too many files differ.

2024-01-24  Dennis Brendel  <dbrendel@redhat.com>

	COMMIT: c06c8aeb61708249d8eb0b17a676d16771ea640b
	manual: fix order of arguments of memalign and aligned_alloc (Bug 27547)

	* manual/memory.texi: Modified.

2024-01-24  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 486452affbac684db739b7fcca1e84e8a7ce33d1
	manual, NEWS: Document malloc side effect of dynamic TLS changes

	* NEWS: Modified.
	* manual/memory.texi: Modified.

2024-01-24  Florian Weimer  <fweimer@redhat.com>

	COMMIT: aeb497d1feee3b50447c4b74d6934746597783ae
	NEWS: Update temporary files ignored by ldconfig

	* NEWS: Modified.

2024-01-23  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: e73ac3fca1434e86743f42cedc7633cdf02899b6
	po: Incorporate translations (sr)

	* po/sr.po: Modified.

2024-01-23  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 77c6a2717de1b6a78e79538b2074579ed77839ed
	string: Disable stack protector for memset in early static initialization

	* string/Makefile: Modified.

2024-01-23  Xi Ruoyao  <xry111@xry111.site>

	COMMIT: dfa3394a605c8f6f25e4f827789bc89eca1d206c
	qsort: Fix a typo causing unnecessary malloc/free (BZ 31276)

	* stdlib/qsort.c: Modified.
	(__qsort_r): Modified function.

2024-01-22  Andreas Schwab  <schwab@suse.de>

	COMMIT: 6edaa12b41a373f249469d7b516d2043f81aea37
	riscv: add support for static PIE

	* sysdeps/riscv/start.S: Modified.

2024-01-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: bcf2abd43bbe6ffdd8b6a1e1e36cc67a9769e508
	sh: Fix static build with --enable-fortify

	* sysdeps/unix/sysv/linux/sh/____longjmp_chk.S: Modified.

2024-01-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 926a4bdbb5fc8955570208b5571b2d04c6ffbd1d
	sparc: Fix sparc64 memmove length comparison (BZ 31266)

	* sysdeps/sparc/sparc64/memmove.S: Modified.

2024-01-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 369efd817780276dbe0ecf8be6e1f354bdbc9857
	sparc64: Remove unwind information from signal return stubs [BZ#31244]

	* sysdeps/unix/sysv/linux/sparc/sparc64/sigreturn_stub.S: Modified.

2024-01-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: dd57f5e7b652772499cb220d78157c1038d24f06
	sparc: Remove 64 bit check on sparc32 wordsize (BZ 27574)

	* sysdeps/sparc/sparc32/bits/wordsize.h: Modified.
	[!(__arch64__ ||  __sparcv9)](__WORDSIZE): Remove.
	[!(__arch64__ ||  __sparcv9)](__WORDSIZE_TIME64_COMPAT32): Remove.
	[!(__arch64__ ||  __sparcv9)](__WORDSIZE32_SIZE_ULONG): Remove.
	[!(__arch64__ ||  __sparcv9)](__WORDSIZE32_PTRDIFF_LONG): Remove.
	[__arch64__ ||  __sparcv9](__WORDSIZE): Remove.
	[__arch64__ ||  __sparcv9](__WORDSIZE_TIME64_COMPAT32): Remove.
	(__WORDSIZE): New.
	(__WORDSIZE_TIME64_COMPAT32): New.
	(__WORDSIZE32_SIZE_ULONG): New.
	(__WORDSIZE32_PTRDIFF_LONG): New.

2024-01-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 3bffe5aa2dad3492fd68230ed28387cf9d453cea
	Use --disable-default-pie for sparc in build-many-glibcs.py

	* scripts/build-many-glibcs.py: Modified.

2024-01-19  Joseph Myers  <josmyers@redhat.com>

	COMMIT: b86cb494f9a27a106c96c025c6d834334d85b80a
	Further build-many-glibcs.py fixes for utcnow() deprecation

	* scripts/build-many-glibcs.py: Modified.

2024-01-18  Daniel Cederman  <cederman@gaisler.com>

	COMMIT: 87d921e270acd614077764228881ffcf5e21d9f7
	sparc: Do not test preservation of NaN payloads for LEON

	* sysdeps/sparc/sparc32/fpu/math-tests-snan-payload.h: New file.

2024-01-18  Daniel Cederman  <cederman@gaisler.com>

	COMMIT: 45f7ea26c1d9145a9e024b8646592d405fb285e0
	sparc: Force calculation that raises exception

	* sysdeps/sparc/fpu/fraiseexcpt.c: Modified.
	(__feraiseexcept): Modified function.
	(math-barriers.h): Include file.

2024-01-18  Daniel Cederman  <cederman@gaisler.com>

	COMMIT: a8f7c7797063d465c5b04b4e7c18d6f9d33007cb
	sparc: Fix llrint and llround missing exceptions on SPARC V8

	* sysdeps/sparc/sparc32/fpu/fix-fp-int-convert-overflow.h: New file.

2024-01-18  Daniel Cederman  <cederman@gaisler.com>

	COMMIT: 7bd06985c0a143cdcba2762bfe020e53514a53de
	sparc: Remove unwind information from signal return stubs [BZ #31244]

	* sysdeps/sparc/sysdep.h: Modified.
	[__ASSEMBLER__](ENTRY_NOCFI): New.
	[__ASSEMBLER__](END_NOCFI): New.
	* sysdeps/unix/sysv/linux/sparc/sparc32/sigreturn_stub.S: Modified.

2024-01-18  Daniel Cederman  <cederman@gaisler.com>

	COMMIT: 82a35070ec35616074343b8c4ffe6b1cff7e2793
	sparc: Prevent stfsr from directly following floating-point instruction

	* sysdeps/sparc/fpu/fpu_control.h: Modified.
	[__WORDSIZE != 64](_FPU_GETCW): Remove.
	[__WORDSIZE != 64][! __leon__](_FPU_GETCW): New.
	[__WORDSIZE != 64][__leon__](_FPU_GETCW): New.

2024-01-18  Daniel Cederman  <cederman@gaisler.com>

	COMMIT: 3bb1350c3681c5ca330dd92500dc59fba94b37eb
	sparc: Use existing macros to avoid code duplication

	* sysdeps/sparc/fpu/fenv_private.h: Modified.
	[__WORDSIZE != 64](__fenv_stfsr): Remove.
	[__WORDSIZE != 64](__fenv_ldfsr): Remove.
	[__WORDSIZE == 64](__fenv_stfsr): Remove.
	[__WORDSIZE == 64](__fenv_ldfsr): Remove.
	(fpu_control.h): Include file.
	(__fenv_stfsr): New.
	(__fenv_ldfsr): New.

2024-01-18  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 8393f4f72bc8fc79328b2d739d3ff91c1753c3b5
	localedata: renamed: aa_ER@saaho -> ssy_ER

	* localedata/SUPPORTED: Modified.
	* localedata/locales/aa_ER@saaho: Move to...
	* localedata/locales/ssy_ER: ... here.

2024-01-18  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: f1ff1fbfbfa9c4d265a308b4464859fbf44ddb86
	Define ISO 639-3 "ssy" (Saho)

	* locale/iso-639.def: Modified.

2024-01-18  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 8e474d5e401a4238545d87b953e8550b34a5ff83
	localedata: add crh_RU, Crimean Tartar language in the Cyrillic script as used in Russia.

	* localedata/SUPPORTED: Modified.
	* localedata/locales/crh_RU: New file.

2024-01-18  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: ce787f36e6755376241a7c9ab6dd830dc18558db
	localedata: tr_TR, ku_TR: Sync with CLDR: “Turkey” -> “Türkiye”

	* localedata/locales/ku_TR: Modified.
	* localedata/locales/tr_TR: Modified.

2024-01-18  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 70e26de1050a7b8a6334bac5aa5acfc52e4fa220
	localedata: miq_NI: Shorten month names in abmon

	* localedata/locales/miq_NI: Modified.

2024-01-17  Joseph Myers  <josmyers@redhat.com>

	COMMIT: 6511b579a5220e3670c67363fa9924285cff55a2
	Update kernel version to 6.7 in header constant tests

	* sysdeps/unix/sysv/linux/tst-mman-consts.py: Modified.
	* sysdeps/unix/sysv/linux/tst-mount-consts.py: Modified.
	* sysdeps/unix/sysv/linux/tst-pidfd-consts.py: Modified.

2024-01-17  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: ce77e6919f0230eca5f266dcfafd6ebb95775c30
	localedata: add gbm_IN locale

	* localedata/SUPPORTED: Modified.
	* localedata/locales/gbm_IN: New file.

2024-01-17  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 692dfa87290293e2ffd4e618a348c416a57356d3
	Define ISO 639-3 "gbm" (Garhwali)

	* locale/iso-639.def: Modified.

2024-01-17  Joseph Myers  <josmyers@redhat.com>

	COMMIT: df11c05be91fda5ef490c76fd0d4a53821750116
	Update syscall lists for Linux 6.7

	* sysdeps/unix/sysv/linux/aarch64/arch-syscall.h: Modified.
	(__NR_futex_requeue): New.
	(__NR_futex_wait): New.
	(__NR_futex_wake): New.
	(__NR_map_shadow_stack): New.
	* sysdeps/unix/sysv/linux/alpha/arch-syscall.h: Modified.
	(__NR_futex_requeue): New.
	(__NR_futex_wait): New.
	(__NR_futex_wake): New.
	(__NR_map_shadow_stack): New.
	* sysdeps/unix/sysv/linux/arc/arch-syscall.h: Modified.
	(__NR_futex_requeue): New.
	(__NR_futex_wait): New.
	(__NR_futex_wake): New.
	(__NR_map_shadow_stack): New.
	* sysdeps/unix/sysv/linux/arm/arch-syscall.h: Modified.
	(__NR_futex_requeue): New.
	(__NR_futex_wait): New.
	(__NR_futex_wake): New.
	(__NR_map_shadow_stack): New.
	* sysdeps/unix/sysv/linux/csky/arch-syscall.h: Modified.
	(__NR_futex_requeue): New.
	(__NR_futex_wait): New.
	(__NR_futex_wake): New.
	(__NR_map_shadow_stack): New.
	* sysdeps/unix/sysv/linux/hppa/arch-syscall.h: Modified.
	(__NR_futex_requeue): New.
	(__NR_futex_wait): New.
	(__NR_futex_wake): New.
	(__NR_map_shadow_stack): New.
	* sysdeps/unix/sysv/linux/i386/arch-syscall.h: Modified.
	(__NR_futex_requeue): New.
	(__NR_futex_wait): New.
	(__NR_futex_wake): New.
	(__NR_map_shadow_stack): New.
	* sysdeps/unix/sysv/linux/loongarch/arch-syscall.h: Modified.
	(__NR_futex_requeue): New.
	(__NR_futex_wait): New.
	(__NR_futex_wake): New.
	(__NR_map_shadow_stack): New.
	* sysdeps/unix/sysv/linux/m68k/arch-syscall.h: Modified.
	(__NR_futex_requeue): New.
	(__NR_futex_wait): New.
	(__NR_futex_wake): New.
	(__NR_map_shadow_stack): New.
	* sysdeps/unix/sysv/linux/microblaze/arch-syscall.h: Modified.
	(__NR_futex_requeue): New.
	(__NR_futex_wait): New.
	(__NR_futex_wake): New.
	(__NR_map_shadow_stack): New.
	* sysdeps/unix/sysv/linux/mips/mips32/arch-syscall.h: Modified.
	(__NR_futex_requeue): New.
	(__NR_futex_wait): New.
	(__NR_futex_wake): New.
	(__NR_map_shadow_stack): New.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/arch-syscall.h: Modified.
	(__NR_futex_requeue): New.
	(__NR_futex_wait): New.
	(__NR_futex_wake): New.
	(__NR_map_shadow_stack): New.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/arch-syscall.h: Modified.
	(__NR_futex_requeue): New.
	(__NR_futex_wait): New.
	(__NR_futex_wake): New.
	(__NR_map_shadow_stack): New.
	* sysdeps/unix/sysv/linux/nios2/arch-syscall.h: Modified.
	(__NR_futex_requeue): New.
	(__NR_futex_wait): New.
	(__NR_futex_wake): New.
	(__NR_map_shadow_stack): New.
	* sysdeps/unix/sysv/linux/or1k/arch-syscall.h: Modified.
	(__NR_futex_requeue): New.
	(__NR_futex_wait): New.
	(__NR_futex_wake): New.
	(__NR_map_shadow_stack): New.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/arch-syscall.h: Modified.
	(__NR_futex_requeue): New.
	(__NR_futex_wait): New.
	(__NR_futex_wake): New.
	(__NR_map_shadow_stack): New.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/arch-syscall.h: Modified.
	(__NR_futex_requeue): New.
	(__NR_futex_wait): New.
	(__NR_futex_wake): New.
	(__NR_map_shadow_stack): New.
	* sysdeps/unix/sysv/linux/riscv/rv32/arch-syscall.h: Modified.
	(__NR_futex_requeue): New.
	(__NR_futex_wait): New.
	(__NR_futex_wake): New.
	(__NR_map_shadow_stack): New.
	* sysdeps/unix/sysv/linux/riscv/rv64/arch-syscall.h: Modified.
	(__NR_futex_requeue): New.
	(__NR_futex_wait): New.
	(__NR_futex_wake): New.
	(__NR_map_shadow_stack): New.
	* sysdeps/unix/sysv/linux/s390/s390-32/arch-syscall.h: Modified.
	(__NR_futex_requeue): New.
	(__NR_futex_wait): New.
	(__NR_futex_wake): New.
	(__NR_map_shadow_stack): New.
	* sysdeps/unix/sysv/linux/s390/s390-64/arch-syscall.h: Modified.
	(__NR_futex_requeue): New.
	(__NR_futex_wait): New.
	(__NR_futex_wake): New.
	(__NR_map_shadow_stack): New.
	* sysdeps/unix/sysv/linux/sh/arch-syscall.h: Modified.
	(__NR_futex_requeue): New.
	(__NR_futex_wait): New.
	(__NR_futex_wake): New.
	(__NR_map_shadow_stack): New.
	* sysdeps/unix/sysv/linux/sparc/sparc32/arch-syscall.h: Modified.
	(__NR_futex_requeue): New.
	(__NR_futex_wait): New.
	(__NR_futex_wake): New.
	(__NR_map_shadow_stack): New.
	* sysdeps/unix/sysv/linux/sparc/sparc64/arch-syscall.h: Modified.
	(__NR_futex_requeue): New.
	(__NR_futex_wait): New.
	(__NR_futex_wake): New.
	(__NR_map_shadow_stack): New.
	* sysdeps/unix/sysv/linux/syscall-names.list: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/arch-syscall.h: Modified.
	(__NR_futex_requeue): New.
	(__NR_futex_wait): New.
	(__NR_futex_wake): New.
	* sysdeps/unix/sysv/linux/x86_64/x32/arch-syscall.h: Modified.
	(__NR_futex_requeue): New.
	(__NR_futex_wait): New.
	(__NR_futex_wake): New.

2024-01-17  Joseph Myers  <josmyers@redhat.com>

	COMMIT: 5b5982028b5cb162e184d9a3a037c5c23c5c3e9b
	Use Linux 6.7 in build-many-glibcs.py

	* scripts/build-many-glibcs.py: Modified.

2024-01-17  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 31bd548650673e8b5ae1a31f1c596ff8305a5d4c
	stdlib: Remove unused is_aligned function from qsort.c

	* stdlib/qsort.c: Modified.
	(is_aligned): Remove function.

2024-01-16  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: e2803cfd8bb00b54816d1a2c381d2cf82b136da6
	NEWS: Mention PLT rewrite on x86-64

	* NEWS: Modified.

2024-01-16  Kuan-Wei Chiu  <visitorckw@gmail.com>

	COMMIT: 1bb28b7b4f01709b841c86850e1bb83b554feafe
	stdlib: Verify heapsort for two-element cases

	* stdlib/tst-qsort4.c: Modified.
	(do_test): Modified function.

2024-01-16  Kuan-Wei Chiu  <visitorckw@gmail.com>

	COMMIT: 74d2731a5fb2676b64092bc25e7f193db1b17b2b
	stdlib: Fix heapsort for cases with exactly two elements

	* stdlib/qsort.c: Modified.
	(heapsort_r): Modified function.

2024-01-15  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 9d2703c109791d1ff0bf1f611b0b78f1703f51eb
	localedata: anp_IN: Fix abbreviated month names

	* localedata/locales/anp_IN: Modified.

2024-01-15  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 709fbd3ec3595f2d1076b4fec09a739327459288
	stdlib: Reinstate stable mergesort implementation on qsort

	* manual/argp.texi: Modified.
	* manual/locale.texi: Modified.
	* manual/search.texi: Modified.
	* stdlib/Makefile: Modified.
	* stdlib/qsort.c: Modified.
	(swap_type_t): Modified.
	(swap_words_64): Modified function.
	(swap_words_32): Modified function.
	(MAX_THRESH): Remove.
	(stack_node): Remove.
	(<anonymous>): Remove.
	(push): Remove function.
	(pop): Remove function.
	(heapsort_r): Modified function.
	(insertion_sort_qsort_partitions): Remove function.
	(__qsort_r): Modified function.
	(errno.h): Include file.
	(u32_alias_t): New.
	(u64_alias_t): New.
	(get_swap_type): New function.
	(QSORT_STACK_SIZE): New.
	(INDIRECT_SORT_SIZE_THRES): New.
	(msort_param): New.
	(msort_with_tmp): New function.
	(indirect_msort_with_tmp): New function.
	* stdlib/tst-qsort4.c: Modified.
	(heapsort_wrapper): Remove function.
	(check_one_sort): Modified function.
	* stdlib/tst-qsort5.c: Delete file.

2024-01-15  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 457bd9cf2e27550dd66b2d8f3c5a8dbd0dfb398f
	x86-64: Check if mprotect works before rewriting PLT

	* sysdeps/unix/sysv/linux/x86_64/dl-plt-rewrite.h: New file.
	* sysdeps/x86/cpu-features.c: Modified.
	[SHARED &&  __x86_64__](TUNABLE_CALLBACK): Modified function.
	[SHARED &&  __x86_64__](dl-plt-rewrite.h): Include file.
	* sysdeps/x86_64/dl-plt-rewrite.h: New file.

2024-01-15  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 7100d9ae21e2737f96f824259167788aabd8308f
	aarch64: Add NEWS entry about libmvec for 2.39

	* NEWS: Modified.

2024-01-14  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 064c708c78cc2a6b5802dce73108fc0c1c6bfc80
	localedata/unicode-gen/utf8_gen.py: fix Hangul syllable name

	* localedata/charmaps/UTF-8: Modified.
	* localedata/unicode-gen/utf8_gen.py: Modified.

2024-01-13  Sunil K Pandey  <skpgkp2@gmail.com>

	COMMIT: 9d94997b5f9445afd4f2bccc5fa60ff7c4361ec1
	x86_64: Optimize ffsll function code size.

	* sysdeps/x86_64/ffsll.c: Modified.
	(ffsll): Modified function.

2024-01-13  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: fe6c8bab3a8dad3927a12eecd7ec7d67602b5862
	localedata: Remove redundant comments

	* localedata/locales/ab_GE: Modified.
	* localedata/locales/agr_PE: Modified.
	* localedata/locales/ak_GH: Modified.
	* localedata/locales/an_ES: Modified.
	* localedata/locales/anp_IN: Modified.
	* localedata/locales/as_IN: Modified.
	* localedata/locales/ayc_PE: Modified.
	* localedata/locales/be_BY: Modified.
	* localedata/locales/ber_MA: Modified.
	* localedata/locales/bg_BG: Modified.
	* localedata/locales/bho_IN: Modified.
	* localedata/locales/bn_BD: Modified.
	* localedata/locales/bn_IN: Modified.
	* localedata/locales/ca_AD: Modified.
	* localedata/locales/ca_ES: Modified.
	* localedata/locales/ca_IT: Modified.
	* localedata/locales/cmn_TW: Modified.
	* localedata/locales/crh_UA: Modified.
	* localedata/locales/csb_PL: Modified.
	* localedata/locales/doi_IN: Modified.
	* localedata/locales/dv_MV: Modified.
	* localedata/locales/en_NG: Modified.
	* localedata/locales/gd_GB: Modified.
	* localedata/locales/gez_ER: Modified.
	* localedata/locales/gu_IN: Modified.
	* localedata/locales/hak_TW: Modified.
	* localedata/locales/hi_IN: Modified.
	* localedata/locales/hne_IN: Modified.
	* localedata/locales/ht_HT: Modified.
	* localedata/locales/ig_NG: Modified.
	* localedata/locales/ik_CA: Modified.
	* localedata/locales/is_IS: Modified.
	* localedata/locales/iu_CA: Modified.
	* localedata/locales/ja_JP: Modified.
	* localedata/locales/ka_GE: Modified.
	* localedata/locales/kn_IN: Modified.
	* localedata/locales/ko_KR: Modified.
	* localedata/locales/kok_IN: Modified.
	* localedata/locales/ks_IN: Modified.
	* localedata/locales/ks_IN@devanagari: Modified.
	* localedata/locales/ku_TR: Modified.
	* localedata/locales/ky_KG: Modified.
	* localedata/locales/li_BE: Modified.
	* localedata/locales/li_NL: Modified.
	* localedata/locales/lt_LT: Modified.
	* localedata/locales/lzh_TW: Modified.
	* localedata/locales/mag_IN: Modified.
	* localedata/locales/mai_IN: Modified.
	* localedata/locales/mk_MK: Modified.
	* localedata/locales/ml_IN: Modified.
	* localedata/locales/mn_MN: Modified.
	* localedata/locales/mni_IN: Modified.
	* localedata/locales/mnw_MM: Modified.
	* localedata/locales/mr_IN: Modified.
	* localedata/locales/my_MM: Modified.
	* localedata/locales/nan_TW: Modified.
	* localedata/locales/nan_TW@latin: Modified.
	* localedata/locales/nb_NO: Modified.
	* localedata/locales/ne_NP: Modified.
	* localedata/locales/or_IN: Modified.
	* localedata/locales/pa_IN: Modified.
	* localedata/locales/pt_BR: Modified.
	* localedata/locales/pt_PT: Modified.
	* localedata/locales/raj_IN: Modified.
	* localedata/locales/ro_RO: Modified.
	* localedata/locales/sa_IN: Modified.
	* localedata/locales/sat_IN: Modified.
	* localedata/locales/sc_IT: Modified.
	* localedata/locales/sd_IN: Modified.
	* localedata/locales/sd_IN@devanagari: Modified.
	* localedata/locales/se_NO: Modified.
	* localedata/locales/shn_MM: Modified.
	* localedata/locales/si_LK: Modified.
	* localedata/locales/sl_SI: Modified.
	* localedata/locales/sm_WS: Modified.
	* localedata/locales/tcy_IN: Modified.
	* localedata/locales/the_NP: Modified.
	* localedata/locales/ti_ER: Modified.
	* localedata/locales/tig_ER: Modified.
	* localedata/locales/tk_TM: Modified.
	* localedata/locales/to_TO: Modified.
	* localedata/locales/ug_CN: Modified.
	* localedata/locales/wae_CH: Modified.
	* localedata/locales/wal_ET: Modified.
	* localedata/locales/yue_HK: Modified.
	* localedata/locales/zh_HK: Modified.
	* localedata/locales/zh_SG: Modified.

2024-01-12  Yanzhang Wang  <yanzhang.wang@intel.com>

	COMMIT: e0590f41fe1e7a54169e8f8828efe62b5064139e
	RISC-V: Enable static-pie.

	* sysdeps/riscv/configure: Modified.
	* sysdeps/riscv/configure.ac: Modified.
	* sysdeps/riscv/dl-machine.h: Modified.
	[RESOLVE_MAP](elf_machine_runtime_setup): Modified function.

2024-01-12  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 061eaf024470627d835d347860d5f8c59b454d08
	linux: Fix fstat64 on alpha and sparc64

	* sysdeps/unix/sysv/linux/fstat64.c: Modified.
	(__fstat64_time64): Modified function.

2024-01-12  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 08ddd26814310e7c1b8c3956a6a0ac7aedea9cfd
	math: remove exp10 wrappers

	* math/Versions: Modified.
	* math/w_exp10_compat.c: Modified.
	[LIBM_SVID_COMPAT][!(SHLIB_COMPAT (libm, GLIBC_2_1, GLIBC_2_27))][NO_LONG_DOUBLE][SHLIB_COMPAT (libm, GLIBC_2_1, GLIBC_2_27)](libm_alias_double): Remove.
	[LIBM_SVID_COMPAT][SHLIB_COMPAT (libm, GLIBC_2_1, GLIBC_2_27)](libm_alias_double): Remove.
	[LIBM_SVID_COMPAT](__exp10): Remove.
	[! NO_COMPAT_NEEDED](NO_COMPAT_NEEDED): New.
	[LIBM_SVID_COMPAT && (SHLIB_COMPAT (libm, GLIBC_2_1, GLIBC_2_39)  ||  NO_LONG_DOUBLE  ||  LONG_DOUBLE_COMPAT)][NO_COMPAT_NEEDED][! SHARED][LONG_DOUBLE_COMPAT](LONG_DOUBLE_COMPAT_CHOOSE_libm_exp10l): New.
	[LIBM_SVID_COMPAT && (SHLIB_COMPAT (libm, GLIBC_2_1, GLIBC_2_39)  ||  NO_LONG_DOUBLE  ||  LONG_DOUBLE_COMPAT)][NO_COMPAT_NEEDED][! SHARED][NO_LONG_DOUBLE](weak_alias): New.
	[LIBM_SVID_COMPAT && (SHLIB_COMPAT (libm, GLIBC_2_1, GLIBC_2_39)  ||  NO_LONG_DOUBLE  ||  LONG_DOUBLE_COMPAT)][NO_COMPAT_NEEDED][! SHARED][SHLIB_COMPAT (libm, GLIBC_2_1, GLIBC_2_39)](compat_symbol): New.
	[LIBM_SVID_COMPAT && (SHLIB_COMPAT (libm, GLIBC_2_1, GLIBC_2_39)  ||  NO_LONG_DOUBLE  ||  LONG_DOUBLE_COMPAT)][NO_COMPAT_NEEDED][SHARED][!(SHLIB_COMPAT (libm, GLIBC_2_1, GLIBC_2_27))][NO_LONG_DOUBLE][SHLIB_COMPAT (libm, GLIBC_2_1, GLIBC_2_27)](libm_alias_double): New.
	[LIBM_SVID_COMPAT && (SHLIB_COMPAT (libm, GLIBC_2_1, GLIBC_2_39)  ||  NO_LONG_DOUBLE  ||  LONG_DOUBLE_COMPAT)][NO_COMPAT_NEEDED][SHARED][SHLIB_COMPAT (libm, GLIBC_2_1, GLIBC_2_27)](libm_alias_double): New.
	[LIBM_SVID_COMPAT && (SHLIB_COMPAT (libm, GLIBC_2_1, GLIBC_2_39)  ||  NO_LONG_DOUBLE  ||  LONG_DOUBLE_COMPAT)](__exp10_compat): New.
	* sysdeps/i386/fpu/w_exp10_compat.c: New file.
	* sysdeps/ieee754/dbl-64/e_exp10.c: Modified.
	(math_private.h): Remove include.
	(float.h): Remove include.
	(__ieee754_exp10): Remove function.
	[LIBM_SVID_COMPAT](libm_alias_finite): New.
	(math-svid-compat.h): Include file.
	(libm-alias-double.h): Include file.
	(__exp10): New function.
	(strong_alias): New.
	* sysdeps/ieee754/dbl-64/w_exp10.c: New file.
	* sysdeps/m68k/m680x0/fpu/w_exp10_compat.c: New file.
	* sysdeps/unix/sysv/linux/aarch64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libm.abilist: Modified.

2024-01-12  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 7c14d8a985416986256f68568313cdb36f559821
	Benchtests: Increase benchmark iterations

	* benchtests/bench-libmvec-skeleton.c: Modified.
	(D_ITERS): Modified.
	* benchtests/bench-skeleton.c: Modified.
	(main): Modified function.

2024-01-12  Frederic Cambus  <fred@statdns.com>

	COMMIT: 9fd2ceb55de003c09c909103966db913319bcfdc
	debug/getwd_chk.c: warning should be emitted for the __getwd_chk symbol.

	* debug/getwd_chk.c: Modified.
	(link_warning): Modified.

2024-01-12  Xi Ruoyao  <xry111@xry111.site>

	COMMIT: 5a85786a9005722be7cb9e70f8874a5f1130daea
	Make __getrandom_nocancel set errno and add a _nostatus version

	* malloc/malloc.c: Modified.
	[USE_TCACHE](tcache_key_initialize): Modified function.
	* sysdeps/generic/not-cancel.h: Modified.
	(__getrandom_nocancel_nostatus): New.
	* sysdeps/mach/hurd/not-cancel.h: Modified.
	(__getrandom_nocancel): Remove function.
	(__getrandom_nocancel_nostatus): New function.
	(__getrandom_nocancel): New.
	* sysdeps/unix/sysv/linux/not-cancel.h: Modified.
	(__getrandom_nocancel): Modified function.
	(__getrandom_nocancel_nostatus): New function.

2024-01-11  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: f2b65a44714e8fa13c7637cd9413169590795879
	x86-64/cet: Make CET feature check specific to Linux/x86

	* sysdeps/unix/sysv/linux/x86/bits/platform/features.h: New file.
	* sysdeps/unix/sysv/linux/x86_64/dl-cet.h: Modified.
	(dl_cet_ibt_enabled): New function.
	* sysdeps/unix/sysv/linux/x86_64/get-cpuid-feature-leaf.c: New file.
	* sysdeps/x86/Makefile: Modified.
	* sysdeps/x86/bits/platform/features.h: New file.
	* sysdeps/x86/bits/platform/x86.h: Modified.
	(<anonymous>): Remove.
	* sysdeps/x86/get-cpuid-feature-leaf.c: Modified.
	[__x86_64__][! __LP64__](FEATURE_1_OFFSET): Remove.
	[__x86_64__][__LP64__](FEATURE_1_OFFSET): Remove.
	* sysdeps/x86/sys/platform/x86.h: Modified.
	(x86_cpu_active): Modified function.
	(bits/platform/features.h): Include file.
	* sysdeps/x86_64/dl-machine.h: Modified.
	[! ELF_DYNAMIC_AFTER_RELOC && ! RTLD_BOOTSTRAP  &&  SHARED](x86_64_rewrite_plt): Modified function.

2024-01-11  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: db57da5be27a0887ce5131c071e2240f5c17aae1
	Incorporate translations (zh_CN)

	* po/zh_CN.po: Modified.

2024-01-11  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 5398d5cf3adee24b80e2a40423c42b79f731241c
	Define ISO 639-3 "glk" (Gilaki)

	* locale/iso-639.def: Modified.

2024-01-11  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 0aabf15a3515a996bd415ff37e29326286c8007e
	resolv: Fix endless loop in __res_context_query

	* resolv/res_query.c: Modified.
	(__res_context_query): Modified function.
	(stdbool.h): Include file.
	* resolv/tst-resolv-qtypes.c: Modified.
	(test_function): Modified function.

2024-01-11  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: c0c259c3bde3b76722d717b4372233b488c8d3ff
	localedata: revert all the remaining locale sources to UTF-8

	* Suppressing diff as too many files differ.

2024-01-11  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: e71c27b7ec37d27c09d48b5a610f29ddd66996e0
	localedata: am_ET ber_DZ en_GB en_PH en_US fil_PH kab_DZ om_ET om_KE ti_ET tl_PH: convert to UTF-8

	* localedata/locales/am_ET: Modified.
	* localedata/locales/ber_DZ: Modified.
	* localedata/locales/en_GB: Modified.
	* localedata/locales/en_PH: Modified.
	* localedata/locales/fil_PH: Modified.
	* localedata/locales/kab_DZ: Modified.
	* localedata/locales/ti_ET: Modified.
	* localedata/locales/tl_PH: Modified.

2024-01-11  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: cb8e8b2e218c4d8c1e33b3ab212b0bc15245f48c
	localedata: resolve cyclic dependencies

	* localedata/locales/am_ET: Modified.
	* localedata/locales/ber_DZ: Modified.
	* localedata/locales/en_GB: Modified.
	* localedata/locales/en_PH: Modified.
	* localedata/locales/en_US: Modified.
	* localedata/locales/fil_PH: Modified.
	* localedata/locales/kab_DZ: Modified.
	* localedata/locales/om_ET: Modified.
	* localedata/locales/om_KE: Modified.
	* localedata/locales/ti_ET: Modified.
	* localedata/locales/tl_PH: Modified.

2024-01-11  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 449aa2698c4012c56025594eba51a47f788f8b76
	localedata: kv_RU: convert to UTF-8

	* localedata/locales/kv_RU: Modified.

2024-01-11  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: dff5023a87fb4186d9b2e12880e8ba1b171aedf8
	localedata: add new locale kv_RU

	* localedata/SUPPORTED: Modified.
	* localedata/locales/kv_RU: New file.

2024-01-10  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 94aa256a47253d2202240c8696cbe824a969d3cc
	elf: Fix tst-nodeps2 test failure.

	* elf/Makefile: Modified.

2024-01-10  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: a09b2aacd9a23969aa3d768a22fe491e1ee98cf3
	localedata: Sort Makefile variables.

	* localedata/Makefile: Modified.

2024-01-10  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 7190fd9ebf3a8fe4322af1d458f159820081694f
	locale: Sort Makefile variables.

	* locale/Makefile: Modified.

2024-01-10  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 874214db624a8e6c5d2dbe47419fab126f330d68
	i386: Remove CET support bits

	* sysdeps/i386/dl-machine.h: Modified.
	[! dl_machine_h](elf_machine_runtime_setup): Modified function.
	* sysdeps/i386/dl-trampoline.S: Modified.
	* sysdeps/unix/sysv/linux/x86_64/dl-cet.h: Modified.
	(cpu-features-offsets.h): Remove include.
	(features-offsets.h): Include file.
	* sysdeps/x86/cpu-features-offsets.sym: Modified.
	* sysdeps/x86/cpu-features.c: Modified.
	[SHARED](TUNABLE_CALLBACK): Remove.
	(init_cpu_features): Modified function.
	[SHARED &&  __x86_64__](TUNABLE_CALLBACK): New.
	* sysdeps/x86/ldsodefs.h: Modified.
	(cet-control.h): Remove include.
	* sysdeps/x86_64/Makefile: Modified.
	* sysdeps/x86/dl-procruntime.c: Move to...
	* sysdeps/x86_64/dl-procruntime.c: ... here.
	* sysdeps/x86_64/dl-trampoline.S: Modified.
	* sysdeps/x86/cet-control.h: Move to...
	* sysdeps/x86_64/feature-control.h: ... here.
	(_CET_CONTROL_H): Remove.
	(_X86_64_FEATURE_CONTROL_H): New.
	* sysdeps/x86_64/features-offsets.sym: New file.
	* sysdeps/x86_64/ldsodefs.h: New file.

2024-01-10  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 7d544dd049a2e3f1480b668f51b72dcc89e376ab
	x86-64/cet: Move check-cet.awk to x86_64

	* sysdeps/x86_64/Makefile: Modified.
	* sysdeps/x86/check-cet.awk: Move to...
	* sysdeps/x86_64/check-cet.awk: ... here.

2024-01-10  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: a1bbee9fd17a84d4b550f8405d5e4d31ff24f87d
	x86-64/cet: Move dl-cet.[ch] to x86_64 directories

	* sysdeps/unix/sysv/linux/x86/dl-cet.h: Delete file.
	* sysdeps/unix/sysv/linux/x86_64/dl-cet.h: Modified.
	(_next <dl-cet.h): Remove include.
	(sys/prctl.h): Include file.
	(asm/prctl.h): Include file.
	(dl_cet_disable_cet): New function.
	(dl_cet_lock_cet): New function.
	(dl_cet_get_cet_status): New function.
	(ENABLE_X86_CET): New.
	* sysdeps/x86/dl-cet.c: Move to...
	* sysdeps/x86_64/dl-cet.c: ... here.

2024-01-10  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: b45115a6665e271411c73d83f8933ff059e39f05
	x86: Move x86-64 shadow stack startup codes

	* sysdeps/x86/libc-start.h: Move to...
	* sysdeps/x86_64/libc-start.h: ... here.

2024-01-10  Joseph Myers  <josmyers@redhat.com>

	COMMIT: 9da45337e4fcaa710e849e8c6baf22341c059e00
	Fix deprecated utcnow() usage in build-many-glibcs.py

	* scripts/build-many-glibcs.py: Modified.

2024-01-10  Joseph Myers  <josmyers@redhat.com>

	COMMIT: 781427354068535f159388776da4f21043e237a8
	Fix invalid escape sequence in build-many-glibcs.py

	* scripts/build-many-glibcs.py: Modified.

2024-01-10  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 497e4d503025c794a771d2c124123178f557623a
	math: Fix test-fenv.c feupdateenv tests

	* math/test-fenv.c: Modified.
	[FE_ALL_EXCEPT](feupdate_single_test): Modified function.

2024-01-09  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 1eae989cb7632760fd6f4008be73549da861b202
	Remove installed header rule on $(..)include/%.h

	* Makerules: Modified.

2024-01-09  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: a0cfc48e8a67506e3f0b2d3ea5e04b45408b3683
	i386: Fail if configured with --enable-cet

	* INSTALL: Modified.
	* NEWS: Modified.
	* manual/install.texi: Modified.
	* sysdeps/i386/configure: Modified.
	* sysdeps/i386/configure.ac: Modified.

2024-01-09  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 25f1e16ef03a6a8fb1701c4647d46c564480d88c
	i386: Remove CET support

	* sysdeps/i386/__longjmp.S: Modified.
	* sysdeps/i386/add_n.S: Modified.
	* sysdeps/i386/bsd-_setjmp.S: Modified.
	* sysdeps/i386/bsd-setjmp.S: Modified.
	* sysdeps/i386/crti.S: Modified.
	* sysdeps/i386/dl-tlsdesc.S: Modified.
	* sysdeps/i386/dl-trampoline.S: Modified.
	* sysdeps/i386/i386-mcount.S: Modified.
	* sysdeps/i386/i686/add_n.S: Modified.
	* sysdeps/i386/i686/memcmp.S: Modified.
	* sysdeps/i386/i686/multiarch/memcmp-sse4.S: Modified.
	* sysdeps/i386/i686/multiarch/memcpy-ssse3-rep.S: Modified.
	* sysdeps/i386/i686/multiarch/memcpy-ssse3.S: Modified.
	* sysdeps/i386/i686/multiarch/memset-sse2-rep.S: Modified.
	* sysdeps/i386/i686/multiarch/memset-sse2.S: Modified.
	* sysdeps/i386/i686/multiarch/strcat-sse2.S: Modified.
	* sysdeps/i386/i686/multiarch/strcpy-sse2.S: Modified.
	* sysdeps/i386/setjmp.S: Modified.
	* sysdeps/i386/start.S: Modified.
	* sysdeps/i386/sub_n.S: Modified.
	* sysdeps/i386/sysdep.h: Modified.
	[__ASSEMBLER__](ENTRY_P2ALIGN): New.
	(CET_ENABLED): New.
	* sysdeps/unix/sysv/linux/i386/____longjmp_chk.S: Modified.
	* sysdeps/unix/sysv/linux/i386/getcontext.S: Modified.
	* sysdeps/unix/sysv/linux/i386/makecontext.S: Modified.
	* sysdeps/unix/sysv/linux/i386/setcontext.S: Modified.
	* sysdeps/unix/sysv/linux/i386/swapcontext.S: Modified.
	* sysdeps/unix/sysv/linux/i386/sysdep.h: Modified.
	(STACK_SIZE_TO_SHADOW_STACK_SIZE_SHIFT): Remove.
	* sysdeps/unix/sysv/linux/i386/ucontext_i.sym: Modified.
	* sysdeps/unix/sysv/linux/i386/vfork.S: Modified.
	* sysdeps/x86/sysdep.h: Modified.
	[! __CET__](CET_ENABLED): Remove.
	[! __CET__](IBT_ENABLED): Remove.
	[! __CET__](SHSTK_ENABLED): Remove.
	[__ASSEMBLER__][! _CET_ENDBR](_CET_ENDBR): Remove.
	[__ASSEMBLER__][! _CET_ENDBR](_CET_NOTRACK): Remove.
	[__ASSEMBLER__][_CET_ENDBR](_CET_NOTRACK): Remove.
	[__ASSEMBLER__](ENTRY_P2ALIGN): Remove.
	[__CET__](CET_ENABLED): Remove.
	[__CET__](IBT_ENABLED): Remove.
	[__CET__](SHSTK_ENABLED): Remove.
	(X86_FEATURE_1_IBT): Remove.
	(X86_FEATURE_1_SHSTK): Remove.
	* sysdeps/x86_64/sysdep.h: Modified.
	[__ASSEMBLER__][! _CET_ENDBR](_CET_ENDBR): New.
	[__ASSEMBLER__][! _CET_ENDBR](_CET_NOTRACK): New.
	[__ASSEMBLER__][_CET_ENDBR](_CET_NOTRACK): New.
	[__ASSEMBLER__](ENTRY_P2ALIGN): New.
	[! __CET__](CET_ENABLED): New.
	[! __CET__](SHSTK_ENABLED): New.
	[__CET__](CET_ENABLED): New.
	[__CET__](SHSTK_ENABLED): New.
	(X86_FEATURE_1_IBT): New.
	(X86_FEATURE_1_SHSTK): New.

2024-01-09  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: b7fc4a07f206a640e6d807d72f5c1ee3ea7a25b6
	x86: Move CET infrastructure to x86_64

	* sysdeps/unix/sysv/linux/x86/Makefile: Modified.
	* sysdeps/unix/sysv/linux/x86_64/Makefile: Modified.
	* sysdeps/unix/sysv/linux/x86/include/asm/prctl.h: Move to...
	* sysdeps/unix/sysv/linux/x86_64/include/asm/prctl.h: ... here.
	* sysdeps/unix/sysv/linux/x86/tst-cet-property-1.c: Move to...
	* sysdeps/unix/sysv/linux/x86_64/tst-cet-property-1.c: ... here.
	* sysdeps/unix/sysv/linux/x86/tst-cet-property-2.c: Move to...
	* sysdeps/unix/sysv/linux/x86_64/tst-cet-property-2.c: ... here.
	* sysdeps/unix/sysv/linux/x86/tst-cet-property-dep-2.S: Move to...
	* sysdeps/unix/sysv/linux/x86_64/tst-cet-property-dep-2.S: ... here.
	* sysdeps/unix/sysv/linux/x86/tst-cet-setcontext-1.c: Move to...
	* sysdeps/unix/sysv/linux/x86_64/tst-cet-setcontext-1.c: ... here.
	* sysdeps/unix/sysv/linux/x86/tst-cet-vfork-1.c: Move to...
	* sysdeps/unix/sysv/linux/x86_64/tst-cet-vfork-1.c: ... here.
	* sysdeps/x86/Makefile: Modified.
	* sysdeps/x86_64/Makefile: Modified.
	* sysdeps/x86/tst-cet-legacy-1.c: Move to...
	* sysdeps/x86_64/tst-cet-legacy-1.c: ... here.
	* sysdeps/x86/tst-cet-legacy-10-static.c: Move to...
	* sysdeps/x86_64/tst-cet-legacy-10-static.c: ... here.
	* sysdeps/x86/tst-cet-legacy-10.c: Move to...
	* sysdeps/x86_64/tst-cet-legacy-10.c: ... here.
	* sysdeps/x86/tst-cet-legacy-10a-static.c: Move to...
	* sysdeps/x86_64/tst-cet-legacy-10a-static.c: ... here.
	* sysdeps/x86/tst-cet-legacy-10a.c: Move to...
	* sysdeps/x86_64/tst-cet-legacy-10a.c: ... here.
	* sysdeps/x86/tst-cet-legacy-1a.c: Move to...
	* sysdeps/x86_64/tst-cet-legacy-1a.c: ... here.
	* sysdeps/x86/tst-cet-legacy-2.c: Move to...
	* sysdeps/x86_64/tst-cet-legacy-2.c: ... here.
	* sysdeps/x86/tst-cet-legacy-2a.c: Move to...
	* sysdeps/x86_64/tst-cet-legacy-2a.c: ... here.
	* sysdeps/x86/tst-cet-legacy-3.c: Move to...
	* sysdeps/x86_64/tst-cet-legacy-3.c: ... here.
	* sysdeps/x86/tst-cet-legacy-4.c: Move to...
	* sysdeps/x86_64/tst-cet-legacy-4.c: ... here.
	* sysdeps/x86/tst-cet-legacy-4a.c: Move to...
	* sysdeps/x86_64/tst-cet-legacy-4a.c: ... here.
	* sysdeps/x86/tst-cet-legacy-4b.c: Move to...
	* sysdeps/x86_64/tst-cet-legacy-4b.c: ... here.
	* sysdeps/x86/tst-cet-legacy-4c.c: Move to...
	* sysdeps/x86_64/tst-cet-legacy-4c.c: ... here.
	* sysdeps/x86/tst-cet-legacy-5.c: Move to...
	* sysdeps/x86_64/tst-cet-legacy-5.c: ... here.
	* sysdeps/x86/tst-cet-legacy-5a.c: Move to...
	* sysdeps/x86_64/tst-cet-legacy-5a.c: ... here.
	* sysdeps/x86/tst-cet-legacy-5b.c: Move to...
	* sysdeps/x86_64/tst-cet-legacy-5b.c: ... here.
	* sysdeps/x86/tst-cet-legacy-6.c: Move to...
	* sysdeps/x86_64/tst-cet-legacy-6.c: ... here.
	* sysdeps/x86/tst-cet-legacy-6a.c: Move to...
	* sysdeps/x86_64/tst-cet-legacy-6a.c: ... here.
	* sysdeps/x86/tst-cet-legacy-6b.c: Move to...
	* sysdeps/x86_64/tst-cet-legacy-6b.c: ... here.
	* sysdeps/x86/tst-cet-legacy-7.c: Move to...
	* sysdeps/x86_64/tst-cet-legacy-7.c: ... here.
	* sysdeps/x86/tst-cet-legacy-8.c: Move to...
	* sysdeps/x86_64/tst-cet-legacy-8.c: ... here.
	* sysdeps/x86/tst-cet-legacy-9-static.c: Move to...
	* sysdeps/x86_64/tst-cet-legacy-9-static.c: ... here.
	* sysdeps/x86/tst-cet-legacy-9.c: Move to...
	* sysdeps/x86_64/tst-cet-legacy-9.c: ... here.
	* sysdeps/x86/tst-cet-legacy-mod-1.c: Move to...
	* sysdeps/x86_64/tst-cet-legacy-mod-1.c: ... here.
	* sysdeps/x86/tst-cet-legacy-mod-2.c: Move to...
	* sysdeps/x86_64/tst-cet-legacy-mod-2.c: ... here.
	* sysdeps/x86/tst-cet-legacy-mod-4.c: Move to...
	* sysdeps/x86_64/tst-cet-legacy-mod-4.c: ... here.
	* sysdeps/x86/tst-cet-legacy-mod-5.c: Move to...
	* sysdeps/x86_64/tst-cet-legacy-mod-5.c: ... here.
	* sysdeps/x86/tst-cet-legacy-mod-5a.c: Move to...
	* sysdeps/x86_64/tst-cet-legacy-mod-5a.c: ... here.
	* sysdeps/x86/tst-cet-legacy-mod-5b.c: Move to...
	* sysdeps/x86_64/tst-cet-legacy-mod-5b.c: ... here.
	* sysdeps/x86/tst-cet-legacy-mod-5c.c: Move to...
	* sysdeps/x86_64/tst-cet-legacy-mod-5c.c: ... here.
	* sysdeps/x86/tst-cet-legacy-mod-6.c: Move to...
	* sysdeps/x86_64/tst-cet-legacy-mod-6.c: ... here.
	* sysdeps/x86/tst-cet-legacy-mod-6a.c: Move to...
	* sysdeps/x86_64/tst-cet-legacy-mod-6a.c: ... here.
	* sysdeps/x86/tst-cet-legacy-mod-6b.c: Move to...
	* sysdeps/x86_64/tst-cet-legacy-mod-6b.c: ... here.
	* sysdeps/x86/tst-cet-legacy-mod-6c.c: Move to...
	* sysdeps/x86_64/tst-cet-legacy-mod-6c.c: ... here.
	* sysdeps/x86/tst-cet-legacy-mod-6d.c: Move to...
	* sysdeps/x86_64/tst-cet-legacy-mod-6d.c: ... here.
	* sysdeps/x86/tst-shstk-legacy-1-extra.S: Move to...
	* sysdeps/x86_64/tst-shstk-legacy-1-extra.S: ... here.
	* sysdeps/x86/tst-shstk-legacy-1a-static.c: Move to...
	* sysdeps/x86_64/tst-shstk-legacy-1a-static.c: ... here.
	* sysdeps/x86/tst-shstk-legacy-1a.c: Move to...
	* sysdeps/x86_64/tst-shstk-legacy-1a.c: ... here.
	* sysdeps/x86/tst-shstk-legacy-1b-static.c: Move to...
	* sysdeps/x86_64/tst-shstk-legacy-1b-static.c: ... here.
	* sysdeps/x86/tst-shstk-legacy-1b.c: Move to...
	* sysdeps/x86_64/tst-shstk-legacy-1b.c: ... here.
	* sysdeps/x86/tst-shstk-legacy-1c-static.c: Move to...
	* sysdeps/x86_64/tst-shstk-legacy-1c-static.c: ... here.
	* sysdeps/x86/tst-shstk-legacy-1c.c: Move to...
	* sysdeps/x86_64/tst-shstk-legacy-1c.c: ... here.
	* sysdeps/x86/tst-shstk-legacy-1d-static.c: Move to...
	* sysdeps/x86_64/tst-shstk-legacy-1d-static.c: ... here.
	* sysdeps/x86/tst-shstk-legacy-1d.c: Move to...
	* sysdeps/x86_64/tst-shstk-legacy-1d.c: ... here.
	* sysdeps/x86/tst-shstk-legacy-1e-static.c: Move to...
	* sysdeps/x86_64/tst-shstk-legacy-1e-static.c: ... here.
	* sysdeps/x86/tst-shstk-legacy-1e-static.sh: Move to...
	* sysdeps/x86_64/tst-shstk-legacy-1e-static.sh: ... here.
	* sysdeps/x86/tst-shstk-legacy-1e.c: Move to...
	* sysdeps/x86_64/tst-shstk-legacy-1e.c: ... here.
	* sysdeps/x86/tst-shstk-legacy-1e.sh: Move to...
	* sysdeps/x86_64/tst-shstk-legacy-1e.sh: ... here.
	* sysdeps/x86/tst-shstk-legacy-1f.c: Move to...
	* sysdeps/x86_64/tst-shstk-legacy-1f.c: ... here.
	* sysdeps/x86/tst-shstk-legacy-1g.c: Move to...
	* sysdeps/x86_64/tst-shstk-legacy-1g.c: ... here.
	* sysdeps/x86/tst-shstk-legacy-1g.sh: Move to...
	* sysdeps/x86_64/tst-shstk-legacy-1g.sh: ... here.
	* sysdeps/x86/tst-shstk-legacy-mod-1.c: Move to...
	* sysdeps/x86_64/tst-shstk-legacy-mod-1.c: ... here.

2024-01-09  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 46e713be5770b19568fab074afbc7d992b0c3624
	localedata: su_ID: make lang_name agree with CLDR

	* localedata/locales/su_ID: Modified.

2024-01-09  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 4cf0bd8431dc83db2f05c2b97c87e4b5ac539b5f
	localedata: add new locale su_ID

	* localedata/SUPPORTED: Modified.
	* localedata/locales/su_ID: New file.

2024-01-09  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 03f2265a37ca344d05fb77f3fa5f9bc28357abd9
	localedata: add new locale zgh_MA

	* locale/iso-639.def: Modified.
	* localedata/SUPPORTED: Modified.
	* localedata/locales/zgh_MA: New file.

2024-01-09  Mark Wielaard  <mark@klomp.org>

	COMMIT: 3265f934368554cc629ca38b3b5311796c06945c
	INSTALL: regenerate

	* INSTALL: Modified.

2024-01-09  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 4514f82929819b933f1dd90fea36c346e6de3bb8
	localedata: add tok/UTF-8 to SUPPORTED

	* localedata/SUPPORTED: Modified.

2024-01-09  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: ed97da8c7a6a5538d252b028529338fbbc9581c5
	localedata: tok: add yY and nN to yesexpr and noexpr

	* localedata/locales/tok: Modified.

2024-01-09  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 2ddf2f8db1cc7f3c341700724057bc9089ad84e7
	localedata: tok: convert to UTF-8

	* localedata/locales/tok: Modified.

2024-01-09  Janet Blackquill  <uhhadd@gmail.com>

	COMMIT: d3a2aecc1ce78d512dd5fb5e30bd39d7c5947eb8
	localedata: add data for tok (Toki Pona)

	* localedata/locales/tok: New file.

2024-01-08  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 460860f457e2a889785c506e8c77d4a7dff24d3e
	Remove ia64-linux-gnu

	* Suppressing diff as too many files differ.

2024-01-08  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: e171ad7d596878d0d4f21a0713d8dbb8d8788d7e
	localedata: dz_BT, bo_CN: convert to UTF-8

	* localedata/locales/bo_CN: Modified.
	* localedata/locales/dz_BT: Modified.

2024-01-08  Valery Ushakov  <uwe@NetBSD.org>

	COMMIT: 4c2b356be54b4c08bbe986771a0fbd74df9d08a0
	localedata: dz_BT, bo_CN: Fix spelling of "phur bu" in both Tibetan and Dzongkha

	* localedata/locales/bo_CN: Modified.
	* localedata/locales/dz_BT: Modified.

2024-01-08  Valery Ushakov  <uwe@NetBSD.org>

	COMMIT: 6b8419ba5f3265a9f2b52f48e48024925fb1a0b4
	localedata: bo_CN: Fix spelling errors in Tibetan data

	* localedata/locales/bo_CN: Modified.

2024-01-08  Valery Ushakov  <uwe@NetBSD.org>

	COMMIT: c4f648ed4d0a8fe44bb0d48ffb908c3337face9e
	localedata: bo_CN: Fix incomplete edit in Tibetan yesexpr

	* localedata/locales/bo_CN: Modified.

2024-01-08  Valery Ushakov  <uwe@NetBSD.org>

	COMMIT: 460f26e51b5de4df04c92231ab5943f52a736651
	localedata: dz_BT: Fix spelling errors in Dzongha data

	* localedata/locales/dz_BT: Modified.

2024-01-08  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: d333a2e0fb3a8045d2667847b8c99ee82a6bbdd2
	localedata: unicode-gen: Remove redundant \s* from regexp, fix comments

	* localedata/charmaps/UTF-8: Modified.
	* localedata/unicode-gen/utf8_gen.py: Modified.

2024-01-08  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 6f87f46bf4277d1a0d27b2507603e0acc059e6cb
	localedata: convert the remaining *_RU locales to UTF-8

	* localedata/locales/ce_RU: Modified.
	* localedata/locales/cv_RU: Modified.
	* localedata/locales/mhr_RU: Modified.
	* localedata/locales/os_RU: Modified.
	* localedata/locales/sah_RU: Modified.
	* localedata/locales/tt_RU: Modified.

2024-01-07  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 1bf32d6ac3fa6bc256c106e6d11a92e8fb2b46e4
	Incorporate translations

	* po/be.po: Modified.
	* po/bg.po: Modified.
	* po/ca.po: Modified.
	* po/cs.po: Modified.
	* po/da.po: Modified.
	* po/de.po: Modified.
	* po/el.po: Modified.
	* po/eo.po: Modified.
	* po/es.po: Modified.
	* po/fi.po: Modified.
	* po/fr.po: Modified.
	* po/gl.po: Modified.
	* po/hr.po: Modified.
	* po/hu.po: Modified.
	* po/ia.po: Modified.
	* po/id.po: Modified.
	* po/it.po: Modified.
	* po/ja.po: Modified.
	* po/ka.po: Modified.
	* po/ko.po: Modified.
	* po/lt.po: Modified.
	* po/nb.po: Modified.
	* po/nl.po: Modified.
	* po/pl.po: Modified.
	* po/pt.po: Modified.
	* po/pt_BR.po: Modified.
	* po/ro.po: Modified.
	* po/ru.po: Modified.
	* po/rw.po: Modified.
	* po/sk.po: Modified.
	* po/sl.po: Modified.
	* po/sr.po: Modified.
	* po/sv.po: Modified.
	* po/tr.po: Modified.
	* po/uk.po: Modified.
	* po/vi.po: Modified.
	* po/zh_CN.po: Modified.
	* po/zh_TW.po: Modified.

2024-01-06  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 0f9afc265a4a0f4ba658d7f71c9602a3fda3538e
	x32: Handle displacement overflow in PLT rewrite [BZ #31218]

	* sysdeps/x86_64/Makefile: Modified.
	* sysdeps/x86_64/dl-machine.h: Modified.
	[! ELF_DYNAMIC_AFTER_RELOC && ! RTLD_BOOTSTRAP  &&  SHARED](x86_64_rewrite_plt): Modified function.
	* sysdeps/x86_64/tst-plt-rewrite2.c: New file.
	* sysdeps/x86_64/tst-plt-rewritemod2.c: New file.

2024-01-05  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: b96a2eba2fcca37deea221a18c998ee0084a5d21
	x86: Fixup some nits in longjmp asm implementation

	* sysdeps/unix/sysv/linux/x86_64/____longjmp_chk.S: Modified.

2024-01-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 48ef5aeb1b75991e1f92c9756e73ddbbe96b1bee
	stdlib: Fix stdbit.h with -Wconversion for clang

	* stdlib/stdbit.h: Modified.
	(stdc_trailing_zeros): Modified.
	(stdc_first_leading_zero): Modified.
	(stdc_first_leading_one): Modified.
	(stdc_first_trailing_zero): Modified.
	(stdc_first_trailing_one): Modified.

2024-01-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: c8e31fbf0475fd8e8684ead93360e1f069c11426
	stdlib: Fix stdbit.h with -Wconversion for older gcc

	* stdlib/stdbit.h: Modified.
	[__GNUC_PREREQ (3, 4) || __glibc_has_builtin (__builtin_clzll)](__clo16_inline): Modified function.
	[__GNUC_PREREQ (3, 4) || __glibc_has_builtin (__builtin_clzll)](__clo8_inline): Modified function.
	[__GNUC_PREREQ (3, 4) || __glibc_has_builtin (__builtin_clzll)](__bf16_inline): Modified function.
	[__GNUC_PREREQ (3, 4) || __glibc_has_builtin (__builtin_clzll)](__bf8_inline): Modified function.
	[__GNUC_PREREQ (3, 4) || __glibc_has_builtin (__builtin_clzll)](__bc16_inline): Modified function.
	[__GNUC_PREREQ (3, 4) || __glibc_has_builtin (__builtin_clzll)](__bc8_inline): Modified function.
	[__GNUC_PREREQ (3, 4) || __glibc_has_builtin (__builtin_ctzll)](__cto16_inline): Modified function.
	[__GNUC_PREREQ (3, 4) || __glibc_has_builtin (__builtin_ctzll)](__cto8_inline): Modified function.
	[!(__GNUC_PREREQ (11, 0))](__pacify_uint8): New.
	[!(__GNUC_PREREQ (11, 0))](__pacify_uint16): New.
	[__GNUC_PREREQ (11, 0)](__pacify_uint8): New.
	[__GNUC_PREREQ (11, 0)](__pacify_uint16): New.

2024-01-05  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 848746e88ec2aa22e8dea25f2110e2b2c59c712e
	elf: Add ELF_DYNAMIC_AFTER_RELOC to rewrite PLT

	* elf/dynamic-link.h: Modified.
	[RESOLVE_MAP](ELF_DYNAMIC_RELOCATE): Modified.
	[RESOLVE_MAP][! ELF_DYNAMIC_AFTER_RELOC](ELF_DYNAMIC_AFTER_RELOC): New.
	* elf/elf.h: Modified.
	(DT_X86_64_PLT): New.
	(DT_X86_64_PLTSZ): New.
	(DT_X86_64_PLTENT): New.
	(DT_X86_64_NUM): New.
	* elf/tst-glibcelf.py: Modified.
	* manual/tunables.texi: Modified.
	* scripts/glibcelf.py: Modified.
	* sysdeps/x86/cet-control.h: Modified.
	(dl_x86_feature_control): Modified.
	(dl_plt_rewrite_control): New.
	* sysdeps/x86/cpu-features.c: Modified.
	(init_cpu_features): Modified function.
	[SHARED](TUNABLE_CALLBACK): New.
	* sysdeps/x86/dl-procruntime.c: Modified.
	* sysdeps/x86/dl-tunables.list: Modified.
	* sysdeps/x86_64/Makefile: Modified.
	* sysdeps/x86_64/configure: Modified.
	* sysdeps/x86_64/configure.ac: Modified.
	* sysdeps/x86_64/dl-dtprocnum.h: New file.
	* sysdeps/x86_64/dl-machine.h: Modified.
	[! dl_machine_h](stdint.h): Include file.
	[! dl_machine_h](DT_X86_64): New.
	[RESOLVE_MAP](elf_machine_rela): Modified function.
	[! ELF_DYNAMIC_AFTER_RELOC && ! RTLD_BOOTSTRAP  &&  SHARED](ELF_DYNAMIC_AFTER_RELOC): New.
	[! ELF_DYNAMIC_AFTER_RELOC && ! RTLD_BOOTSTRAP  &&  SHARED](JMP32_INSN_OPCODE): New.
	[! ELF_DYNAMIC_AFTER_RELOC && ! RTLD_BOOTSTRAP  &&  SHARED](JMP32_INSN_SIZE): New.
	[! ELF_DYNAMIC_AFTER_RELOC && ! RTLD_BOOTSTRAP  &&  SHARED](JMPABS_INSN_OPCODE): New.
	[! ELF_DYNAMIC_AFTER_RELOC && ! RTLD_BOOTSTRAP  &&  SHARED](JMPABS_INSN_SIZE): New.
	[! ELF_DYNAMIC_AFTER_RELOC && ! RTLD_BOOTSTRAP  &&  SHARED](INT3_INSN_OPCODE): New.
	[! ELF_DYNAMIC_AFTER_RELOC && ! RTLD_BOOTSTRAP  &&  SHARED](x86_64_reloc_symbol_name): New.
	[! ELF_DYNAMIC_AFTER_RELOC && ! RTLD_BOOTSTRAP  &&  SHARED](x86_64_rewrite_plt): New.
	[! ELF_DYNAMIC_AFTER_RELOC && ! RTLD_BOOTSTRAP  &&  SHARED](x86_64_rewrite_plt_in_place): New.
	[! ELF_DYNAMIC_AFTER_RELOC && ! RTLD_BOOTSTRAP  &&  SHARED](x86_64_dynamic_after_reloc): New.
	* sysdeps/x86_64/link_map.h: New file.
	* sysdeps/x86_64/tst-plt-rewrite1.c: New file.
	* sysdeps/x86_64/tst-plt-rewritemod1.c: New file.

2024-01-04  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 520b1df08de68a3de328b65a25b86300a7ddf512
	aarch64: Make cpu-features definitions not Linux-specific

	* sysdeps/unix/sysv/linux/aarch64/cpu-features.h: Move to...
	* sysdeps/aarch64/cpu-features.h: ... here.
	* sysdeps/unix/sysv/linux/aarch64/libc-start.c: Move to...
	* sysdeps/aarch64/libc-start.c: ... here.

2024-01-04  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: fbfe0b20ab82550de65827e70aa89d8ae462b34d
	hurd: Initializy _dl_pagesize early in static builds

	* sysdeps/mach/hurd/init-first.c: Modified.
	(first_init): Modified function.

2024-01-04  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 4145de65f696ae06be72fadd67967be556c31ac2
	hurd: Only init early static TLS if it's used to store stack or pointer guards

	* sysdeps/mach/hurd/init-first.c: Modified.
	[! SHARED](__init1_tcbhead): Remove.
	(first_init): Modified function.
	[! SHARED && ( (THREAD_SET_STACK_GUARD) ||  (THREAD_SET_POINTER_GUARD))](USE_INIT1_TCBHEAD): New.
	[!(! SHARED && ( (THREAD_SET_STACK_GUARD) ||  (THREAD_SET_POINTER_GUARD)))](USE_INIT1_TCBHEAD): New.
	[USE_INIT1_TCBHEAD](__init1_tcbhead): New.

2024-01-04  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 9eaa0e179962a10db91fe566753fc38623097dbe
	hurd: Make init-first.c no longer x86-specific

	* sysdeps/mach/hurd/x86/init-first.c: Move to...
	* sysdeps/mach/hurd/init-first.c: ... here.

2024-01-04  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: b44ad8944b84dd83e89b50e298ee15701c8f2706
	hurd: Drop x86-specific assembly from init-first.c

	* sysdeps/mach/hurd/x86/init-first.c: Modified.
	[! SHARED](_hurd_stack_setup): Modified function.

2024-01-04  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 24b707c1665afae7eb302542ffa92d53aa577111
	hurd: Pass the data pointer to _hurd_stack_setup explicitly

	* sysdeps/mach/hurd/i386/static-start.S: Modified.
	* sysdeps/mach/hurd/x86/init-first.c: Modified.
	[! SHARED](_hurd_stack_setup): Modified function.
	* sysdeps/mach/hurd/x86_64/static-start.S: Modified.

2024-01-04  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 35694d3416b273ac19d67ffa49b7969f36684ae1
	x86-64/cet: Check the restore token in longjmp

	* sysdeps/unix/sysv/linux/x86_64/____longjmp_chk.S: Modified.
	* sysdeps/x86/__longjmp_cancel.S: Modified.
	* sysdeps/x86_64/__longjmp.S: Modified.

2024-01-04  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: e9f5dc7e4ad860bf03349f70635d851fba803d6b
	localedata: ru_RU, ru_UA: convert to UTF-8

	* localedata/locales/ru_RU: Modified.
	* localedata/locales/ru_UA: Modified.

2024-01-04  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: d61a2bd782c12e9167a8902150ad2b5c26ccb700
	localedata: es_??: convert to UTF-8

	* localedata/locales/es_AR: Modified.
	* localedata/locales/es_BO: Modified.
	* localedata/locales/es_CL: Modified.
	* localedata/locales/es_CO: Modified.
	* localedata/locales/es_CR: Modified.
	* localedata/locales/es_CU: Modified.
	* localedata/locales/es_DO: Modified.
	* localedata/locales/es_EC: Modified.
	* localedata/locales/es_GT: Modified.
	* localedata/locales/es_HN: Modified.
	* localedata/locales/es_MX: Modified.
	* localedata/locales/es_NI: Modified.
	* localedata/locales/es_PA: Modified.
	* localedata/locales/es_PE: Modified.
	* localedata/locales/es_PR: Modified.
	* localedata/locales/es_PY: Modified.
	* localedata/locales/es_SV: Modified.
	* localedata/locales/es_US: Modified.
	* localedata/locales/es_UY: Modified.
	* localedata/locales/es_VE: Modified.

2024-01-04  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 734abeda98b8b6a2004fa7bf06e983317e4ef151
	localedata: miq_NI: convert to UTF-8

	* localedata/locales/miq_NI: Modified.

2024-01-04  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: bbfb54930cdd85269504a34b362e77a3ac2a207a
	i386: Ignore --enable-cet

	* INSTALL: Modified.
	* NEWS: Modified.
	* manual/install.texi: Modified.
	* sysdeps/i386/configure: Modified.
	* sysdeps/i386/configure.ac: Modified.
	* sysdeps/x86/configure: Modified.
	* sysdeps/x86/configure.ac: Modified.
	* sysdeps/x86_64/configure: Modified.
	* sysdeps/x86_64/configure.ac: Modified.

2024-01-03  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 0d4a2f3576ebd92ca0001645a533bf70289f264e
	mach: Drop SNARF_ARGS macro

	* sysdeps/mach/sysdep.h: Modified.
	[! SNARF_ARGS](SNARF_ARGS): Remove.
	[! SNARF_ARGS](SNARF_ARGS not defined by sysdeps/mach/MACHINE/sysdep.h): Remove.
	* sysdeps/mach/x86/sysdep.h: Modified.
	(SNARF_ARGS): Remove.

2024-01-03  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: 114de961e093a815b1fd6f53a92ec120fb84c092
	mach: Drop some unnecessary vm_param.h includes

	* mach/setup-thread.c: Modified.
	(mach/machine/vm_param.h): Remove include.
	* sysdeps/mach/hurd/dl-sysdep.c: Modified.
	(mach/machine/vm_param.h): Remove include.

2024-01-03  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: b6931d6d14c71fd229cc2ff94c810bd3390687db
	hurd: Declare _hurd_intr_rpc_msg* with protected visibility

	* hurd/hurdsig.c: Modified.
	(_hurdsig_abort_rpcs): Modified function.

2024-01-03  Sergey Bugaev  <bugaevc@gmail.com>

	COMMIT: dac7c6406582e36d38bc94794c15d581e3c6ebda
	hurd: Add some missing includes

	* hurd/hurdsig.c: Modified.
	* mach/lowlevellock.h: Modified.
	(mach.h): Include file.
	* sysdeps/mach/hurd/mig-reply.c: Modified.
	(assert.h): Include file.

2024-01-03  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: b31a01909cfe24adc53e96b418612ae617ef72ab
	localedata: fy_DE: make this "Western Frisian" to agree with the language code "fy"

	* localedata/locales/fy_DE: Modified.

2024-01-03  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 3c173c1f63a0949d98d23e19e7bfd05d263a1130
	localedata: fy_DE, fy_NL: convert to UTF-8

	* localedata/locales/fy_DE: Modified.
	* localedata/locales/fy_NL: Modified.

2024-01-03  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: bec492c1da3437f53f25a3d648068dabfb91b78c
	localedata: ast_ES: convert to UTF-8

	* localedata/locales/ast_ES: Modified.

2024-01-03  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 521e96c13fa65b5cc687fe1d7fff829a8cb6e186
	localedata: ast_ES: Remove wrong copyright text

	* localedata/locales/ast_ES: Modified.

2024-01-03  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 5448a127e456d3136e681ad3af238a9e0d5b1203
	localedata: de_{AT,BE,CH,IT,LU}: convert to UTF-8

	* localedata/locales/de_AT: Modified.
	* localedata/locales/de_BE: Modified.
	* localedata/locales/de_CH: Modified.
	* localedata/locales/de_IT: Modified.
	* localedata/locales/de_LU: Modified.

2024-01-03  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: a8f7f742be0ae540b313335bce10f8184c3d01d6
	localedata: lv_LV, it_IT, it_CH: convert to UTF-8

	* localedata/locales/it_CH: Modified.
	* localedata/locales/it_IT: Modified.
	* localedata/locales/lv_LV: Modified.

2024-01-03  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 61171bb2b9cfaac4954e74421be6097819cb4d95
	localedata: it_IT, lv_LV: currency symbol should follow the amount

	* localedata/locales/it_IT: Modified.
	* localedata/locales/lv_LV: Modified.

2024-01-03  Joseph Myers  <jsm@polyomino.org.uk>

	COMMIT: b34b46b8806a115b86da3b2b22555ad5bffa89d1
	Implement C23 <stdbit.h>

	* Suppressing diff as too many files differ.

2024-01-03  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: fe316dad7ccfe44e9d649727b04cd36708477545
	localedata: ms_MY should not use 12-hour format

	* localedata/locales/ms_MY: Modified.

2024-01-02  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: b5b558ab4b17845aad60ff4d3720a1be9f07021f
	localedata: es_ES: convert to UTF-8

	* localedata/locales/es_ES: Modified.

2024-01-02  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: e3e98b0327ff43901bb96ef7f3ff81fd7c5c93cf
	localedata: es_ES: Add am_pm strings

	* localedata/locales/es_ES: Modified.

2024-01-02  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 0c12c8c0cb5450cca69c36991803aef838406d6f
	aarch64: Add longjmp test for SME

	* sysdeps/aarch64/Makefile: Modified.
	* sysdeps/aarch64/tst-sme-jmp.c: New file.

2024-01-02  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 9d30e5cf9687559d942514c780332d53b0617f0b
	aarch64: Add setcontext support for SME

	* sysdeps/unix/sysv/linux/aarch64/setcontext.S: Modified.

2024-01-02  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: a7373e457f0b5953d230f7756627036b1711dcc3
	aarch64: Add longjmp support for SME

	* sysdeps/aarch64/__longjmp.S: Modified.

2024-01-02  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: d3c32ae207d4fc3e48bb47ce1b9f2c6cf0f35c4f
	aarch64: Add SME runtime support

	* sysdeps/aarch64/Makefile: Modified.
	* sysdeps/aarch64/__arm_za_disable.S: New file.
	* sysdeps/aarch64/rtld-global-offsets.sym: New file.

2024-01-02  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 67f371e882499ea46eca1b9dc76c98a7c2d06b69
	localedata: convert uz_UZ and uz_UZ@cyrillic to UTF-8

	* localedata/locales/uz_UZ: Modified.
	* localedata/locales/uz_UZ@cyrillic: Modified.

2024-01-02  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: cdce63a767049b17076df12f40acedb20f71d2e4
	localedata: uz_UZ and uz_UZ@cyrillic: Fix decimal point and thousands separator

	* localedata/locales/uz_UZ: Modified.
	* localedata/locales/uz_UZ@cyrillic: Modified.

2024-01-02  Florian Weimer  <fweimer@redhat.com>

	COMMIT: ecc7c3deb9f347649c2078fcc0f94d4cedf92d60
	libio: Check remaining buffer size in _IO_wdo_write (bug 31183)

	* libio/wfileops.c: Modified.
	(_IO_wdo_write): Modified function.

2024-01-02  Andreas Schwab  <schwab@suse.de>

	COMMIT: 5eabdb6a6ac1599d23dd5966a37417215950245f
	getaddrinfo: translate ENOMEM to EAI_MEMORY (bug 31163)

	* nss/getaddrinfo.c: Modified.
	(get_nss_addresses): Modified function.

2024-01-01  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 4b00532e51e40e2a85eba65ed817234b7bd741d9
	string: Add additional output in test-strchr failure

	* string/test-strchr.c: Modified.
	(check_result): Modified function.
	(do_one_test): Modified function.
	(do_test): Modified function.

2024-01-01  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 8d8ae5eebd2c81064cfe88d877940ea4e6046d16
	Add a setjmp/longjmp test between user contexts

	* stdlib/Makefile: Modified.
	* stdlib/tst-swapcontext2.c: New file.

2024-01-01  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: b5dcccfb12385ee492eb074f6beb9ead56b5e5fd
	x86/cet: Add -fcf-protection=none before -fcf-protection=branch

	* sysdeps/x86/Makefile: Modified.

2024-01-01  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 6ac0e019098252cd6378d4ca2e1e3c0174d4806d
	Regenerate libc.pot

	* po/libc.pot: Modified.

2024-01-01  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: 540b740c8a23480d6360a437c9f8b5949f05e9fe
	Omit regex.c pragmas no longer needed

	* posix/regex.c: Modified.

2024-01-01  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: 1059defeee95e28c65b266a55eba6d47d852026b
	Update copyright dates not handled by scripts/update-copyrights

	* catgets/gencat.c: Modified.
	(print_version): Modified function.
	* debug/pcprofiledump.c: Modified.
	(print_version): Modified function.
	* debug/xtrace.sh: Modified.
	* elf/ldconfig.c: Modified.
	(print_version): Modified function.
	* elf/ldd.bash.in: Modified.
	* elf/pldd.c: Modified.
	(print_version): Modified function.
	* elf/sotruss.sh: Modified.
	* elf/sprof.c: Modified.
	(print_version): Modified function.
	* iconv/iconv_prog.c: Modified.
	(print_version): Modified function.
	* iconv/iconvconfig.c: Modified.
	(print_version): Modified function.
	* locale/programs/locale.c: Modified.
	(print_version): Modified function.
	* locale/programs/localedef.c: Modified.
	(print_version): Modified function.
	* login/programs/pt_chown.c: Modified.
	(print_version): Modified function.
	* malloc/memusage.sh: Modified.
	* malloc/memusagestat.c: Modified.
	(print_version): Modified function.
	* malloc/mtrace.pl: Modified.
	* nscd/nscd.c: Modified.
	(print_version): Modified function.
	* nss/getent.c: Modified.
	(print_version): Modified function.
	* nss/makedb.c: Modified.
	(print_version): Modified function.
	* posix/getconf.c: Modified.
	(main): Modified function.
	* scripts/test-installation.pl: Modified.

2024-01-01  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: bfe7dd88f10c7ba20c667adf3c36eef90f696a9d
	Update copyright in generated files by running "make"

	* locale/programs/charmap-kw.h: Modified.
	* locale/programs/locfile-kw.h: Modified.

2024-01-01  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: dff8da6b3e89b986bb7f6b1ec18cf65d5972e307
	Update copyright dates with scripts/update-copyrights

	* Suppressing diff as too many files differ.

2024-01-01  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: cf9481724bcb86ad4a86cca7befed74bb9cc15eb
	x86/cet: Run some CET tests with shadow stack

	* sysdeps/x86/Makefile: Modified.
	* sysdeps/x86/tst-shstk-legacy-1e-static.sh: Modified.
	* sysdeps/x86/tst-shstk-legacy-1e.sh: Modified.
	* sysdeps/x86/tst-shstk-legacy-1g.sh: Modified.

2024-01-01  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 55d63e731253de82e96ed4ddca2e294076cd0bc5
	x86/cet: Don't set CET active by default

	* sysdeps/x86/cpu-features.c: Modified.
	(update_active): Modified function.
	* sysdeps/x86/cpu-tunables.c: Modified.
	(TUNABLE_CALLBACK): Modified function.
	(CHECK_GLIBC_IFUNC_CPU_BOTH): New.

2024-01-01  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: d360dcc001cb12504cd3e8dbddee20df6bebb0f8
	x86/cet: Check feature_1 in TCB for active IBT and SHSTK

	* sysdeps/x86/bits/platform/x86.h: Modified.
	(<anonymous>): New.
	* sysdeps/x86/get-cpuid-feature-leaf.c: Modified.
	[__x86_64__][! __LP64__](FEATURE_1_OFFSET): New.
	[__x86_64__][__LP64__](FEATURE_1_OFFSET): New.
	(assert.h): Include file.
	(tcb-offsets.h): Include file.
	* sysdeps/x86/sys/platform/x86.h: Modified.
	(x86_cpu_active): Modified function.

2024-01-01  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 541641a3de8d89464151bd879552755e882c832e
	x86/cet: Enable shadow stack during startup

	* sysdeps/unix/sysv/linux/x86/cpu-features.c: Delete file.
	* sysdeps/unix/sysv/linux/x86/dl-cet.h: Modified.
	(dl_cet_disable_cet): Modified function.
	(dl_cet_lock_cet): Modified function.
	(dl_cet_get_cet_status): New function.
	(ENABLE_X86_CET): New.
	* sysdeps/unix/sysv/linux/x86_64/dl-cet.h: New file.
	* sysdeps/x86/cpu-features-offsets.sym: Modified.
	* sysdeps/x86/cpu-features.c: Modified.
	(init_cpu_features): Modified function.
	* sysdeps/x86/dl-cet.c: Modified.
	[SHARED](dl_cet_check_startup): Modified function.
	(dl_cet_check): Modified function.
	(_dl_cet_setup_features): New function.
	* sysdeps/x86/get-cpuid-feature-leaf.c: Modified.
	* sysdeps/x86/include/cpu-features.h: Modified.
	[(_LIBC) && !IS_IN (nonlib)](_dl_cet_setup_features): New function.
	* sysdeps/x86/libc-start.h: Modified.
	[! ARCH_SETUP_TLS](ARCH_SETUP_TLS): Remove.
	[! __CET__](ARCH_SETUP_TLS): New.
	[__CET__](get_cet_feature): New.
	[__CET__](ARCH_SETUP_TLS): New.
	* sysdeps/x86_64/dl-machine.h: Modified.
	[! dl_machine_h](RTLD_START): Modified.
	[! dl_machine_h][! __CET__](RTLD_START_ENABLE_X86_FEATURES): New.
	[! dl_machine_h][__CET__](dl-cet.h): New.

2024-01-01  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 8d9f9c44605d1b4e3152bdd3f8f0daebd790380f
	elf: Always provide _dl_get_dl_main_map in libc.a

	* elf/dl-support.c: Modified.
	[ENABLE_STATIC_PIE](_dl_get_dl_main_map): Remove.
	(_dl_get_dl_main_map): New function.
	* sysdeps/generic/ldsodefs.h: Modified.
	[! SHARED][ENABLE_STATIC_PIE](_dl_get_dl_main_map): Remove.
	(_dl_get_dl_main_map): New function.

2024-01-01  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: edb5e0c8f915a798629717b5680a852c8bb3db25
	x86/cet: Sync with Linux kernel 6.6 shadow stack interface

	* sysdeps/unix/sysv/linux/x86/bits/mman.h: Modified.
	[__USE_MISC](SHADOW_STACK_SET_TOKEN): New.
	* sysdeps/unix/sysv/linux/x86/cpu-features.c: Modified.
	[CET_ENABLED](get_cet_status): Modified function.
	* sysdeps/unix/sysv/linux/x86/dl-cet.h: Modified.
	(dl_cet_disable_cet): Modified function.
	(dl_cet_lock_cet): Modified function.
	* sysdeps/unix/sysv/linux/x86/include/asm/prctl.h: Modified.
	[! ARCH_CET_STATUS](ARCH_CET_STATUS): Remove.
	[! ARCH_CET_STATUS](ARCH_CET_DISABLE): Remove.
	[! ARCH_CET_STATUS](ARCH_CET_LOCK): Remove.
	[! ARCH_CET_STATUS](ARCH_CET_ALLOC_SHSTK): Remove.
	[! ARCH_SHSTK_ENABLE](ARCH_SHSTK_ENABLE): New.
	[! ARCH_SHSTK_ENABLE](ARCH_SHSTK_DISABLE): New.
	[! ARCH_SHSTK_ENABLE](ARCH_SHSTK_LOCK): New.
	[! ARCH_SHSTK_ENABLE](ARCH_SHSTK_UNLOCK): New.
	[! ARCH_SHSTK_ENABLE](ARCH_SHSTK_STATUS): New.
	[! ARCH_SHSTK_ENABLE](ARCH_SHSTK_SHSTK): New.
	[! ARCH_SHSTK_ENABLE](ARCH_SHSTK_WRSS): New.
	* sysdeps/unix/sysv/linux/x86/tst-cet-setcontext-1.c: Modified.
	* sysdeps/unix/sysv/linux/x86_64/Makefile: Modified.
	* sysdeps/unix/sysv/linux/x86_64/__start_context.S: Modified.
	* sysdeps/unix/sysv/linux/x86_64/allocate-shadow-stack.c: New file.
	* sysdeps/unix/sysv/linux/x86_64/allocate-shadow-stack.h: New file.
	* sysdeps/unix/sysv/linux/x86_64/getcontext.S: Modified.
	* sysdeps/unix/sysv/linux/x86_64/makecontext.c: Modified.
	[SHSTK_ENABLED](allocate-shadow-stack.h): Include file.
	(__makecontext): Modified function.
	* sysdeps/unix/sysv/linux/x86_64/swapcontext.S: Modified.
	* sysdeps/x86/cpu-features.c: Modified.
	(init_cpu_features): Modified function.
	* sysdeps/x86/dl-cet.c: Modified.
	[SHARED](dl_cet_check_startup): Modified function.
	* sysdeps/x86_64/nptl/tls.h: Modified.

2023-12-30  Aurelien Jarno  <aurelien@aurel32.net>

	COMMIT: 6b32696116e0097f5dd578ec087bcbef483f2a07
	RISC-V: Add support for dl_runtime_profile (BZ #31151)

	* sysdeps/riscv/Makefile: Modified.
	* sysdeps/riscv/dl-link.sym: New file.
	* sysdeps/riscv/dl-machine.h: Modified.
	[RESOLVE_MAP](elf_machine_runtime_setup): Modified function.
	* sysdeps/riscv/dl-trampoline.S: Modified.

2023-12-29  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: a8a4c94ae9cefeeba72ca41364fcf684a64477bc
	debug: Add fortify wprintf tests

	* debug/Makefile: Modified.
	* debug/tst-fortify-wide.c: New file.

2023-12-29  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 446e2c935a174d33fa9974859628e3c44156bca9
	debug: Add fortify syslog tests

	* debug/Makefile: Modified.
	* debug/tst-fortify-syslog.c: New file.

2023-12-29  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 121aad59dea8431cae5cd3efb6ba588d0ddc52b4
	debug: Add fortify dprintf tests

	* debug/tst-fortify.c: Modified.
	(do_prepare): Modified function.
	(do_test): Modified function.
	(temp_fd_dprintf): New.

2023-12-29  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: bf320000b47ce46aa6dbe1b7068e6539bf2df9bb
	debug: Increase tst-fortify checks for compiler without __va_arg_pack support

	* debug/tst-fortify.c: Modified.
	[!(__USE_FORTIFY_LEVEL >= 2 && (! __cplusplus ||  __va_arg_pack))](CHK_FAIL2_START): Remove.
	[!(__USE_FORTIFY_LEVEL >= 2 && (! __cplusplus ||  __va_arg_pack))](CHK_FAIL2_END): Remove.
	[__USE_FORTIFY_LEVEL >= 2 && (! __cplusplus ||  __va_arg_pack)](CHK_FAIL2_START): Remove.
	[__USE_FORTIFY_LEVEL >= 2 && (! __cplusplus ||  __va_arg_pack)](CHK_FAIL2_END): Remove.
	(do_test): Modified function.
	[!(__USE_FORTIFY_LEVEL >= 2)](CHK_FAIL2_START): New.
	[!(__USE_FORTIFY_LEVEL >= 2)](CHK_FAIL2_END): New.
	[__USE_FORTIFY_LEVEL >= 2](CHK_FAIL2_START): New.
	[__USE_FORTIFY_LEVEL >= 2](CHK_FAIL2_END): New.

2023-12-29  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 9556acd249687ac562deb6309503165d66eb06fa
	debug: Adapt fortify tests to libsupport

	* debug/test-stpcpy_chk.c: Modified.
	(../string/test-string.h): Remove include.
	(string/test-string.h): Include file.
	* debug/test-strcpy_chk.c: Modified.
	[! STRCPY_RESULT](../string/test-string.h): Remove include.
	[! STRCPY_RESULT](string/test-string.h): Include file.
	* debug/tst-fortify.c: Modified.
	(temp_filename): Modified.
	(do_prepare): Remove.
	(do_test): Remove.
	(PREPARE): Modified.
	(TEST_FUNCTION): Remove.
	(../test-skeleton.c): Remove include.
	(do_prepare): Modified function.
	(chk_fail_ok): Modified.
	(ret): Modified.
	(chk_fail_buf): Modified.
	(l0): Modified.
	(p): Modified.
	(wp): Modified.
	(str1): Modified.
	(str2): Modified.
	(str3): Modified.
	(str4): Modified.
	(str5): Modified.
	(wstr1): Modified.
	(wstr2): Modified.
	(wstr3): Modified.
	(wstr4): Modified.
	(wstr5): Modified.
	(buf2): Modified.
	(num1): Modified.
	(num2): Modified.
	(limits.h): Include file.
	(paths.h): Include file.
	(support/temp_file.h): Include file.
	(support/support.h): Include file.
	(support/test-driver.c): Include file.
	* debug/tst-longjmp_chk.c: Modified.
	(do_test): Remove.
	(TEST_FUNCTION): Remove.
	(../test-skeleton.c): Remove include.
	(support/support.h): Include file.
	(support/test-driver.c): Include file.
	* debug/tst-longjmp_chk2.c: Modified.
	(do_test): Remove.
	(TEST_FUNCTION): Remove.
	(../test-skeleton.c): Remove include.
	(support/support.h): Include file.
	(support/test-driver.c): Include file.
	* debug/tst-longjmp_chk3.c: Modified.
	(do_test): Remove.
	(TEST_FUNCTION): Remove.
	(../test-skeleton.c): Remove include.
	(support/test-driver.c): Include file.

2023-12-26  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: fce5528fcb58aa3f44bdc6cbecdd5f6b75145b0c
	localedata: yo_NT: remove redundant comments

	* localedata/locales/yo_NG: Modified.

2023-12-26  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 6b3ace3a1d05a22b52689eb5ffb568b767eea53f
	localedata: convert en_AU, en_NZ, mi_NZ, niu_NZ to UTF-8

	* localedata/locales/en_AU: Modified.
	* localedata/locales/en_NZ: Modified.
	* localedata/locales/mi_NZ: Modified.
	* localedata/locales/niu_NZ: Modified.

2023-12-26  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 89d727efd761b87b65884229c8c96d0b68dda07a
	localedata: First day of the week in AU is Monday, LC_TIME in en_NZ is identical to LC_TIME in en_AU then

	* localedata/locales/en_AU: Modified.
	* localedata/locales/en_NZ: Modified.

2023-12-25  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: e65ca115151a5895d9c9ac81fdc137f0eed077ed
	localedata: convert yo_NG to UTF-8, check that language name in Yoruba agrees with CLDR

	* localedata/locales/yo_NG: Modified.

2023-12-22  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 81be2a61dafc168327c1639e97b6dae128c7ccf3
	x86-64: Fix the tcb field load for x32 [BZ #31185]

	* sysdeps/x86_64/dl-tlsdesc.S: Modified.

2023-12-22  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 3502440397bbb840e2f7223734aa5cc2cc0e29b6
	x86-64: Fix the dtv field load for x32 [BZ #31184]

	* sysdeps/x86_64/dl-tlsdesc.S: Modified.

2023-12-20  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 61bac1a9d2ab80ebcbc51484722e6ea43414bec7
	nss: Remove unused allocation from get_nscd_addresses in getaddrinfo

	* nss/getaddrinfo.c: Modified.
	[USE_NSCD](get_nscd_addresses): Modified function.

2023-12-20  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 41560a9312ce0ec7203480eef8f865076bff9edb
	x86/cet: Don't disable CET if not single threaded

	* sysdeps/x86/dl-cet.c: Modified.
	(dl_cet_check_dlopen): Modified function.
	(sys/single_threaded.h): Include file.

2023-12-20  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: c04035809a393c0c6f1cc523df6b316b05fdb50f
	x86: Modularize sysdeps/x86/dl-cet.c

	* sysdeps/x86/dl-cet.c: Modified.
	[SHARED](dl_cet_check_startup): New function.
	(dl_cet_check): Modified function.
	(dl_cet_info): New.
	(dl_check_legacy_object): New function.
	(dl_cet_check_dlopen): New function.

2023-12-20  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 1a23b39f9d2caeca72dc12adbbcb5d2d632d942a
	x86/cet: Update tst-cet-vfork-1

	* sysdeps/unix/sysv/linux/x86/tst-cet-vfork-1.c: Modified.
	(stdlib.h): Remove include.
	(support/xsignal.h): Remove include.
	(support/xunistd.h): Remove include.
	(do_test_1): Modified function.
	(EXPECTED_SIGNAL): Remove.

2023-12-20  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 980450f12685326729d63ff72e93a996113bf073
	elf: Add TLS modid reuse test for bug 29039

	* elf/Makefile: Modified.
	* elf/tst-tlsgap-mod0.c: New file.
	* elf/tst-tlsgap-mod1.c: New file.
	* elf/tst-tlsgap-mod2.c: New file.
	* elf/tst-tlsgap.c: New file.

2023-12-20  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: 667f277c782f4457603e6d192bac294e5f2c5186
	aarch64: Add SIMD attributes to math functions with vector versions

	* sysdeps/aarch64/fpu/bits/math-vector.h: Modified.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_aarch64): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_acos): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_acosf): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_asin): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_asinf): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_atan): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_atanf): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_atan2): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_atan2f): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_cos): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_cosf): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_exp): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_expf): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_exp10): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_exp10f): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_exp2): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_exp2f): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_expm1): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_expm1f): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_log): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_logf): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_log10): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_log10f): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_log1p): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_log1pf): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_log2): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_log2f): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_sin): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_sinf): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_tan): New.
	[__aarch64__ &&  __FAST_MATH__ && __GNUC_PREREQ (6, 0)](__DECL_SIMD_tanf): New.
	* sysdeps/aarch64/fpu/finclude/math-vector-fortran.h: New file.

2023-12-20  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: cc0d77ba944cd4ce46c5f0e6d426af3057962ca5
	aarch64: Add half-width versions of AdvSIMD f32 libmvec routines

	* include/libc-symbols.h: Modified.
	[! _ISOMAC][!(IS_IN (libmvec))](libmvec_hidden_proto): New.
	[! _ISOMAC][IS_IN (libmvec)](libmvec_hidden_proto): New.
	* sysdeps/aarch64/fpu/Versions: Modified.
	* sysdeps/aarch64/fpu/acosf_advsimd.c: Modified.
	(V_NAME_F1): Modified function.
	(libmvec_hidden_def): New.
	* sysdeps/aarch64/fpu/advsimd_f32_protos.h: New file.
	* sysdeps/aarch64/fpu/asinf_advsimd.c: Modified.
	(V_NAME_F1): Modified function.
	(libmvec_hidden_def): New.
	* sysdeps/aarch64/fpu/atan2f_advsimd.c: Modified.
	(V_NAME_F2): Modified function.
	(libmvec_hidden_def): New.
	* sysdeps/aarch64/fpu/atanf_advsimd.c: Modified.
	(V_NAME_F1): Modified function.
	(libmvec_hidden_def): New.
	* sysdeps/aarch64/fpu/cosf_advsimd.c: Modified.
	(V_NAME_F1): Modified function.
	(libmvec_hidden_def): New.
	* sysdeps/aarch64/fpu/exp10f_advsimd.c: Modified.
	(V_NAME_F1): Modified function.
	(libmvec_hidden_def): New.
	* sysdeps/aarch64/fpu/exp2f_advsimd.c: Modified.
	(V_NAME_F1): Modified function.
	(libmvec_hidden_def): New.
	* sysdeps/aarch64/fpu/expf_advsimd.c: Modified.
	(V_NAME_F1): Modified function.
	(libmvec_hidden_def): New.
	* sysdeps/aarch64/fpu/expm1f_advsimd.c: Modified.
	(V_NAME_F1): Modified function.
	(libmvec_hidden_def): New.
	* sysdeps/aarch64/fpu/log10f_advsimd.c: Modified.
	(V_NAME_F1): Modified function.
	(libmvec_hidden_def): New.
	* sysdeps/aarch64/fpu/log1pf_advsimd.c: Modified.
	(libmvec_hidden_def): New.
	* sysdeps/aarch64/fpu/log2f_advsimd.c: Modified.
	(V_NAME_F1): Modified function.
	(libmvec_hidden_def): New.
	* sysdeps/aarch64/fpu/logf_advsimd.c: Modified.
	(V_NAME_F1): Modified function.
	(libmvec_hidden_def): New.
	* sysdeps/aarch64/fpu/sinf_advsimd.c: Modified.
	(V_NAME_F1): Modified function.
	(libmvec_hidden_def): New.
	* sysdeps/aarch64/fpu/tanf_advsimd.c: Modified.
	(V_NAME_F1): Modified function.
	(libmvec_hidden_def): New.
	* sysdeps/aarch64/fpu/v_math.h: Modified.
	(advsimd_f32_protos.h): Include file.
	(HALF_WIDTH_ALIAS_F1): New.
	(HALF_WIDTH_ALIAS_F2): New.
	* sysdeps/unix/sysv/linux/aarch64/libmvec.abilist: Modified.

2023-12-20  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 3150cc0c9019bf9da841419f86dda8e7f26d676d
	Fix elf/tst-env-setuid[-static] if test needs to be rerun.

	* elf/Makefile: Modified.
	* elf/tst-env-setuid-static.c: Modified.
	(PROFILE_LIB): New.
	* elf/tst-env-setuid.c: Modified.
	(PROFILE_LIB): Remove.
	(test_child): Modified function.
	(do_test): Modified function.
	[! PROFILE_LIB](PROFILE_LIB): New.

2023-12-19  H.J. Lu  <hjl.tools@gmail.com>
            Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 50bef9bd63e7fb94f1d2cc8b7809256ffc73b2ef
	Fix elf: Do not duplicate the GLIBC_TUNABLES string

	* sysdeps/x86/cpu-tunables.c: Modified.
	(CHECK_GLIBC_IFUNC_PREFERRED_OFF): Modified.

2023-12-19  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 46432be2f1d4de962b51ca6b9f80fc37744be9f7
	tst-setcontext10.c: Undef _FORTIFY_SOURCE

	* stdlib/tst-setcontext10.c: Modified.
	(_FORTIFY_SOURCE): New.

2023-12-19  H.J. Lu  <hjl.tools@gmail.com>
            Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: cad5703e4f80841b7f7e3fe57127bd0df7ddb86e
	Fix elf: Do not duplicate the GLIBC_TUNABLES string

	* sysdeps/x86/tst-hwcap-tunables.c: Modified.
	(array_length): Modified function.

2023-12-19  Bruno Haible  <bruno@clisp.org>

	COMMIT: d0829302728954e0abacfc01551c17daf4d61c87
	hppa: Fix undefined behaviour in feclearexcept (BZ 30983)

	* sysdeps/hppa/fpu/fclrexcpt.c: Modified.
	(feclearexcept): Modified function.

2023-12-19  Bruno Haible  <bruno@clisp.org>

	COMMIT: 80a40a9e14d9a01e3f70c5b37ecd1da83033b6de
	alpha: Fix fesetexceptflag (BZ 30998)

	* sysdeps/alpha/fpu/fsetexcptflg.c: Modified.
	(__fesetexceptflag): Modified function.

2023-12-19  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 802aef27b2d9f04b06344706f88d37bbe89629e9
	riscv: Fix feenvupdate with FE_DFL_ENV (BZ 31022)

	* math/test-fenv.c: Modified.
	[FE_ALL_EXCEPT](feenv_nomask_test): Modified function.
	[FE_ALL_EXCEPT](feenv_mask_test): Modified function.
	[FE_ALL_EXCEPT](fe_single_test): Modified function.
	[FE_ALL_EXCEPT](update_single_exc): New function.
	[FE_ALL_EXCEPT](funcname): New function.
	[FE_ALL_EXCEPT](feupdate_single_test): New function.
	[FE_ALL_EXCEPT](feupdateenv_single_test): New function.
	(main): Remove function.
	(feupdateenv_tests): New function.
	(do_test): New function.
	(support/test-driver.c): Include file.
	* sysdeps/riscv/rvf/fenv_private.h: Modified.
	(libc_fesetenv_riscv): Modified function.
	(libc_feupdateenv_riscv): Modified function.

2023-12-19  Bruno Haible  <bruno@clisp.org>

	COMMIT: e55599e0286655dd5f1f5b48005a17be37cc7f2c
	manual: Clarify undefined behavior of feenableexcept (BZ 31019)

	* manual/arith.texi: Modified.

2023-12-19  Bruno Haible  <bruno@clisp.org>
            Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 787282dede7f134fdb22155cee0c35172e3e28f3
	x86: Do not raises floating-point exception traps on fesetexceptflag (BZ 30990)

	* math/test-fexcept-traps.c: Modified.
	(do_test): Modified function.
	(math-barriers.h): Include file.
	* sysdeps/i386/fpu/fsetexcptflg.c: Modified.
	(math.h): Remove include.
	(unistd.h): Remove include.
	(dl-procinfo.h): Remove include.
	(__fesetexceptflag): Modified function.
	* sysdeps/x86_64/fpu/fsetexcptflg.c: Modified.
	(fesetexceptflag): Modified function.

2023-12-19  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 47a9eeb9ba72fd30766bdf4faa7d46b8ca33a7fd
	i686: Do not raise exception traps on fesetexcept (BZ 30989)

	* math/test-fesetexcept-traps.c: Modified.
	(do_test): Modified function.
	(TEST_FUNCTION): Remove.
	(../test-skeleton.c): Remove include.
	(math-barriers.h): Include file.
	(support/test-driver.c): Include file.
	* sysdeps/i386/fpu/fesetexcept.c: Modified.
	(fesetexcept): Modified function.
	(ldsodefs.h): Include file.
	* sysdeps/i386/fpu/math-tests-trap-force.h: New file.
	* sysdeps/x86/fpu/test-fenv-sse-2.c: Modified.
	(have_sse2): Remove function.
	(do_test): Modified function.
	(TEST_FUNCTION): Remove.
	(test-skeleton.c): Remove include.
	(cpu-features.h): Include file.
	(support/check.h): Include file.
	(support/test-driver.c): Include file.

2023-12-19  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: ecb1e7220ddc7a4845bbd1b6fd7fcf17aba566bd
	powerpc: Do not raise exception traps for fesetexcept/fesetexceptflag (BZ 30988)

	* math/test-fesetexcept-traps.c: Modified.
	(do_test): Modified function.
	* math/test-fexcept-traps.c: Modified.
	(do_test): Modified function.
	* sysdeps/powerpc/fpu/fesetexcept.c: Modified.
	(fesetexcept): Modified function.
	* sysdeps/powerpc/fpu/fsetexcptflg.c: Modified.
	(__fesetexceptflag): Modified function.

2023-12-19  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: f94446c38fb3f4ad26183984c490a9590cd05282
	elf: Do not set invalid tunables values

	* elf/dl-misc.c: Modified.
	(_dl_strtoul): Modified function.
	* elf/dl-tunables.c: Modified.
	(do_tunable_update_val): Modified function.
	(tunable_initialize): Modified function.
	(parse_tunables): Modified function.
	* elf/tst-tunables.c: Modified.

2023-12-19  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 2a969b53c0b02fed7e43473a92f219d737fd217a
	elf: Do not duplicate the GLIBC_TUNABLES string

	* elf/dl-tunables.c: Modified.
	(not-errno.h): Remove include.
	(tunables_strdup): Remove function.
	(get_next_env): Modified function.
	(tunable_initialize): Modified function.
	(tunable_toset_t): Modified.
	(parse_tunables_string): Modified function.
	(parse_tunables): Modified function.
	(__tunables_init): Modified function.
	(__tunables_print): Modified function.
	(__tunable_get_default): Modified function.
	(__tunable_get_val): Modified function.
	* elf/dl-tunables.h: Modified.
	(tunable_val_t): Modified.
	* elf/tst-tunables.c: Modified.
	(test_t): Modified.
	(do_test): Modified function.
	* sysdeps/generic/dl-tunables-parse.h: New file.
	* sysdeps/s390/cpu-features.c: Modified.
	(TUNABLE_CALLBACK): Modified function.
	(dl-tunables-parse.h): Include file.
	* sysdeps/unix/sysv/linux/aarch64/cpu-features.c: Modified.
	(cpu_list): Modified.
	(get_midr_from_mcpu): Modified function.
	(init_cpu_features): Modified function.
	(array_length.h): Include file.
	(dl-tunables-parse.h): Include file.
	* sysdeps/unix/sysv/linux/powerpc/cpu-features.c: Modified.
	(TUNABLE_CALLBACK): Modified function.
	(dl-tunables-parse.h): Include file.
	* sysdeps/unix/sysv/linux/powerpc/tst-hwcap-tunables.c: Modified.
	(do_test): Modified function.
	* sysdeps/x86/Makefile: Modified.
	* sysdeps/x86/cpu-tunables.c: Modified.
	[CET_ENABLED](TUNABLE_CALLBACK): Modified function.
	[CET_ENABLED](TUNABLE_CALLBACK): Modified function.
	(CHECK_GLIBC_IFUNC_CPU_OFF): Modified.
	(CHECK_GLIBC_IFUNC_PREFERRED_OFF): Modified.
	(CHECK_GLIBC_IFUNC_PREFERRED_BOTH): Modified.
	(CHECK_GLIBC_IFUNC_PREFERRED_NEED_BOTH): Modified.
	(TUNABLE_CALLBACK): Modified function.
	(dl-tunables-parse.h): Include file.
	* sysdeps/x86/tst-hwcap-tunables.c: New file.

2023-12-19  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 5275fc784c8113c84c85ca028ce621f68fe6642b
	Do not build sparc32 libgcc functions into static libc

	* sysdeps/sparc/sparc32/Makefile: Modified.

2023-12-19  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 4d8a01d2b0963f7c7714ff53c313430599f0722f
	x86/cet: Check CPU_FEATURE_ACTIVE in permissive mode

	* sysdeps/x86/Makefile: Modified.
	* sysdeps/x86/tst-cet-legacy-4.c: Modified.
	(do_test): Modified function.
	(sys/platform/x86.h): Include file.

2023-12-19  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 28bd6f832d4c8ec9a223c153427c1ab6fd19a548
	x86/cet: Check legacy shadow stack code in .init_array section

	* sysdeps/x86/Makefile: Modified.
	* sysdeps/x86/tst-shstk-legacy-1d-static.c: New file.
	* sysdeps/x86/tst-shstk-legacy-1d.c: New file.
	* sysdeps/x86/tst-shstk-legacy-1e-static.c: New file.
	* sysdeps/x86/tst-shstk-legacy-1e-static.sh: New file.
	* sysdeps/x86/tst-shstk-legacy-1e.c: New file.
	* sysdeps/x86/tst-shstk-legacy-1e.sh: New file.
	* sysdeps/x86/tst-shstk-legacy-1f.c: New file.
	* sysdeps/x86/tst-shstk-legacy-1g.c: New file.
	* sysdeps/x86/tst-shstk-legacy-1g.sh: New file.
	* sysdeps/x86/tst-shstk-legacy-mod-1.c: New file.

2023-12-19  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 9424ce80c2a08f4dfc06d5442b770ed5ec798c4b
	x86/cet: Add tests for GLIBC_TUNABLES=glibc.cpu.hwcaps=-SHSTK

	* sysdeps/x86/Makefile: Modified.
	* sysdeps/x86/tst-shstk-legacy-1c-static.c: New file.
	* sysdeps/x86/tst-shstk-legacy-1c.c: New file.

2023-12-19  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 71c0cc3357fe6d72f1dbef1c695e54b117d91b96
	x86/cet: Check CPU_FEATURE_ACTIVE when CET is disabled

	* sysdeps/x86/Makefile: Modified.
	* sysdeps/x86/tst-cet-legacy-10a-static.c: New file.
	* sysdeps/x86/tst-cet-legacy-10a.c: New file.

2023-12-19  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: f418fe6f973300c4c61461ed241928cba11017c2
	x86/cet: Check legacy shadow stack applications

	* sysdeps/x86/Makefile: Modified.
	* sysdeps/x86/tst-shstk-legacy-1-extra.S: New file.
	* sysdeps/x86/tst-shstk-legacy-1a-static.c: New file.
	* sysdeps/x86/tst-shstk-legacy-1a.c: New file.
	* sysdeps/x86/tst-shstk-legacy-1b-static.c: New file.
	* sysdeps/x86/tst-shstk-legacy-1b.c: New file.

2023-12-19  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 1e7025250843f234ac6743dd0dcd8aa9018bae3f
	localedata: id_ID: change first weekday to Sunday

	* localedata/locales/id_ID: Modified.

2023-12-19  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 664f565f9caa26bb128bad7d7050cf0f0b9c6322
	s390: Set psw addr field in getcontext and friends.

	* sysdeps/unix/sysv/linux/s390/s390-32/getcontext.S: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/makecontext.c: Modified.
	(__makecontext): Modified function.
	* sysdeps/unix/sysv/linux/s390/s390-32/swapcontext.S: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/getcontext.S: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/makecontext.c: Modified.
	(__makecontext): Modified function.
	* sysdeps/unix/sysv/linux/s390/s390-64/swapcontext.S: Modified.

2023-12-18  Matthew Sterrett  <matthew.sterrett@intel.com>

	COMMIT: e957308723ac2e55dad360d602298632980bbd38
	x86: Unifies 'strlen-evex' and 'strlen-evex512' implementations.

	* sysdeps/x86_64/multiarch/strlen-evex-base.S: Modified.
	* sysdeps/x86_64/multiarch/strlen-evex.S: Modified.
	* sysdeps/x86_64/multiarch/strnlen-evex512.S: Modified.
	* sysdeps/x86_64/multiarch/wcslen-evex512.S: Modified.
	* sysdeps/x86_64/multiarch/wcsnlen-evex512.S: Modified.

2023-12-18  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 442983319ba70de801fc856e8dd4748fba8f7f1b
	x86/cet: Don't assume that SHSTK implies IBT

	* sysdeps/x86/Makefile: Modified.
	* sysdeps/x86/tst-cet-legacy-10.c: Modified.
	(do_test): Modified function.
	* sysdeps/x86/tst-cet-legacy-8.c: Modified.
	(x86intrin.h): Remove include.
	(do_test): Modified function.
	(EXPECTED_SIGNAL): Modified.
	(sys/platform/x86.h): Include file.

2023-12-18  RushingAlien  <rushing27alien@gmail.com>

	COMMIT: 12ab77e893479a1f7d4666082a48efad79777bb9
	id_ID: Update Time Locales

	* localedata/locales/id_ID: Modified.

2023-12-17  Flavio Cruz  <flaviocruz@gmail.com>

	COMMIT: ad26c25137086b6e001ce1a7f82b4656724200da
	Update code to handle the new ABI for sending inlined port rights.

	* hurd/intr-msg.c: Modified.
	(_hurd_intr_rpc_mach_msg): Modified function.
	* mach/msg-destroy.c: Modified.
	(__mach_msg_destroy): Modified function.

2023-12-17  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 0b850186fd3177311f10dcb938b668cc750fa3be
	x86/cet: Check user_shstk in /proc/cpuinfo

	* sysdeps/x86/tst-cpu-features-cpuinfo.c: Modified.
	(do_test): Modified function.

2023-12-16  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 49b4de21dcdf364e0dcc57382a8dfa339b59accc
	Add a test for setjmp/longjmp within user context

	* stdlib/Makefile: Modified.
	* stdlib/tst-setcontext11.c: New file.

2023-12-16  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 08bc191fd1603c41f5ddc97ead716e952a556dfd
	Add a test for longjmp from user context

	* stdlib/Makefile: Modified.
	* stdlib/tst-setcontext10.c: New file.

2023-12-15  Manjunath Matti  <mmatti@linux.ibm.com>

	COMMIT: 93a739d4a1c34c9dbb96ced4fbeaa18e02000b6a
	powerpc: Add space for HWCAP3/HWCAP4 in the TCB for future Power.

	* sysdeps/powerpc/Versions: Modified.
	* sysdeps/powerpc/hwcapinfo.c: Modified.
	[! SHARED](weak_alias): New function.
	[IS_IN (rtld)](versioned_symbol): New function.
	(__tcb_parse_hwcap_and_convert_at_platform): Modified function.
	* sysdeps/powerpc/nptl/tcb-offsets.sym: Modified.
	* sysdeps/powerpc/nptl/tls.h: Modified.
	[! __ASSEMBLER__](tcbhead_t): Modified.
	[! __ASSEMBLER__](TLS_INIT_TP): Modified.
	[! __ASSEMBLER__](TLS_DEFINE_INIT_TP): Modified.
	[! __ASSEMBLER__](THREAD_GET_HWCAP_EXTN): New.
	[! __ASSEMBLER__](THREAD_SET_HWCAP_EXTN): New.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/ld.abilist: Modified.

2023-12-15  Amrita H S  <amritahs@linux.vnet.ibm.com>
            Paul E. Murphy  <murphyp@linux.ibm.com>

	COMMIT: 90bcc8721ef82b7378d2b080141228660e862d56
	powerpc: Fix performance issues of strcmp power10

	* sysdeps/powerpc/powerpc64/le/power10/strcmp.S: Modified.

2023-12-15  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 73d92c4b7375858b2decd543841e16b17c78f32d
	localedata: Convert el_GR and el_CY locales to UTF-8

	* localedata/locales/el_CY: Modified.
	* localedata/locales/el_GR: Modified.

2023-12-15  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 14a94f2e358390e45eb130a45d5a0dfd3be79eb4
	localedata: el_GR: Greece now uses the 24h format for time

	* localedata/locales/el_GR: Modified.

2023-12-14  MAHESH BODAPATI  <bmahi496@linux.ibm.com>

	COMMIT: b9182c793caa05df5d697427c0538936e6396d4b
	powerpc : Add optimized memchr for POWER10

	* sysdeps/powerpc/powerpc64/le/power10/memchr.S: New file.
	* sysdeps/powerpc/powerpc64/multiarch/Makefile: Modified.
	* sysdeps/powerpc/powerpc64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/powerpc/powerpc64/multiarch/memchr-power10.S: New file.
	* sysdeps/powerpc/powerpc64/multiarch/memchr.c: Modified.
	[IS_IN (libc)](libc_ifunc): Remove.
	[IS_IN (libc)](weak_alias): Remove.
	[IS_IN (libc)](libc_hidden_builtin_def): Remove.
	[IS_IN (libc)][! __LITTLE_ENDIAN__](libc_ifunc): New.
	[IS_IN (libc)][__LITTLE_ENDIAN__](__memchr_power10): New.
	[IS_IN (libc)][__LITTLE_ENDIAN__](libc_ifunc): New.

2023-12-12  Bruno Haible  <bruno@clisp.org>

	COMMIT: d0aefec49941cf6d97e2244d6aa20bafc26d5942
	intl: Treat C.UTF-8 locale like C locale, part 2 (BZ# 16621)

	* intl/dcigettext.c: Modified.
	[IN_LIBGLOCALE](gl_dcigettext): Modified function.

2023-12-12  Ludwig Rydberg  <ludwig.rydberg@gaisler.com>

	COMMIT: fc039ce8502d236f11074eb58468be24b4fa8cc7
	resolv: Fix a few unaligned accesses to fields in HEADER

	* resolv/res_mkquery.c: Modified.
	(__res_context_mkquery): Modified function.
	(__res_nopt): Modified function.
	* resolv/res_queriesmatch.c: Modified.
	(__libc_res_queriesmatch): Modified function.

2023-12-11  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 4753e9286858a61d5fbe8742d48d8c9166143354
	x86: Check PT_GNU_PROPERTY early

	* sysdeps/x86/dl-prop.h: Modified.
	(_dl_process_property_note): Modified function.
	(_dl_process_gnu_property): Modified function.
	(_dl_check_gnu_property): New function.

2023-12-11  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 7e03e0de7e7c2de975b5c5e18f5a4b0c75816674
	sysdeps/x86/Makefile: Split and sort tests

	* sysdeps/x86/Makefile: Modified.

2023-12-08  Florian Weimer  <fweimer@redhat.com>

	COMMIT: b3bee76c5f59498b9c189608f0a3132e2013fa1a
	elf: Initialize GLRO(dl_lazy) before relocating libc in dynamic startup

	* elf/rtld.c: Modified.
	(dl_main): Modified function.

2023-12-07  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 60c57b8467f11e334e7c7fd07d588c248e93d952
	Move CVE information into advisories directory

	* NEWS: Modified.
	* advisories/GLIBC-SA-2023-0001: New file.
	* advisories/GLIBC-SA-2023-0002: New file.
	* advisories/GLIBC-SA-2023-0003: New file.
	* advisories/GLIBC-SA-2023-0004: New file.
	* advisories/GLIBC-SA-2023-0005: New file.
	* scripts/process-fixed-cves.sh: New file.

2023-12-07  Amrita H S  <amritahs@linux.vnet.ibm.com>

	COMMIT: 3367d8e180848030d1646f088759f02b8dfe0d6f
	powerpc: Optimized strcmp for power10

	* sysdeps/powerpc/powerpc64/le/power10/strcmp.S: New file.
	* sysdeps/powerpc/powerpc64/multiarch/Makefile: Modified.
	* sysdeps/powerpc/powerpc64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/powerpc/powerpc64/multiarch/strcmp-power10.S: New file.
	* sysdeps/powerpc/powerpc64/multiarch/strcmp.c: Modified.
	[__LITTLE_ENDIAN__](libc_ifunc_redirected): Modified.
	[__LITTLE_ENDIAN__](__strcmp_power10): New.

2023-12-07  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 546a1ba664626603660b595662249d524e429013
	elf: Fix wrong break removal from 8ee878592c

	* elf/readelflib.c: Modified.
	(process_elf_file): Modified function.

2023-12-07  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 958478889c6a7a12b35b857b9788b7ad8706a01e
	localedata: Convert day names in nn_NO locale to UTF-8

	* localedata/locales/nn_NO: Modified.

2023-12-07  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: ff25f355af099917eee0451b3d54f3d48fc62974
	localedata: Remove trailing whitespace in weekday names in nn_NO locale

	* localedata/locales/nn_NO: Modified.

2023-12-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 4369019520a3396304f5382f29da667cebb98695
	elf: Refactor process_envvars

	* elf/rtld.c: Modified.
	(process_envvars): Modified function.
	(process_envvars_secure): New function.
	(process_envvars_default): New function.

2023-12-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 61d848b554c8dd1f017b9d187b2a2f6675dbdbe4
	elf: Ignore LD_BIND_NOW and LD_BIND_NOT for setuid binaries

	* elf/rtld.c: Modified.
	(process_envvars): Modified function.
	* elf/tst-env-setuid.c: Modified.
	* sysdeps/generic/unsecvars.h: Modified.
	(UNSECURE_ENVVARS): Modified.

2023-12-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 876a12e51323b4c0f7b6f32ec76f4a5280b7f0b9
	elf: Ignore loader debug env vars for setuid

	* elf/rtld.c: Modified.
	(process_envvars): Modified function.
	* elf/tst-env-setuid.c: Modified.
	* sysdeps/generic/unsecvars.h: Modified.
	(UNSECURE_ENVVARS): Modified.

2023-12-05  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: f85722f9cdedde15c263753cbee0a705d2be67af
	Adapt the security policy for the security page

	* SECURITY.md: Modified.

2023-12-05  Andreas Schwab  <schwab@suse.de>

	COMMIT: 3f798427884fa57770e8e2291cf58d5918254bb5
	aarch64: correct CFI in rawmemchr (bug 31113)

	* sysdeps/aarch64/rawmemchr.S: Modified.

2023-12-04  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: 63d0a35d5f223a3f4b68190567b7d4d44545bce5
	math: Add new exp10 implementation

	* sysdeps/ieee754/dbl-64/e_exp10.c: Modified.
	(log10_high): Remove.
	(log10_low): Remove.
	(__ieee754_exp10): Modified function.
	(math-barriers.h): Include file.
	(math-narrow-eval.h): Include file.
	(math_config.h): Include file.
	(N): New.
	(IndexMask): New.
	(OFlowBound): New.
	(UFlowBound): New.
	(SmallTop): New.
	(BigTop): New.
	(Thresh): New.
	(Shift): New.
	(C): New.
	(special_case): New function.
	* sysdeps/ieee754/dbl-64/e_exp_data.c: Modified.
	* sysdeps/ieee754/dbl-64/math_config.h: Modified.
	(exp_data): Modified.

2023-12-04  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 8e755f5bc8f57d0034c12f34c11ce8a83103dc65
	aarch64: fix tested ifunc variants

	* sysdeps/aarch64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.

2023-12-04  Florian Weimer  <fweimer@redhat.com>

	COMMIT: b9390ba93676c4b1e87e218af5e7e4bb596312ac
	stdlib: Fix array bounds protection in insertion sort phase of qsort

	* stdlib/Makefile: Modified.
	* stdlib/qsort.c: Modified.
	(insertion_sort_qsort_partitions): Modified function.
	* stdlib/tst-qsort6.c: New file.

2023-12-03  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: d776a59723b22192d33557d2127e13cb31905382
	Revert "Update code to handle the new ABI for sending inlined port rights."

	* hurd/intr-msg.c: Modified.
	(_hurd_intr_rpc_mach_msg): Modified function.
	* mach/msg-destroy.c: Modified.
	(__mach_msg_destroy): Modified function.

2023-12-03  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 3e85650423e47bf87104add14fc2aacad562d260
	Revert "hurd: Fix build"

	* hurd/intr-msg.c: Modified.
	(_hurd_intr_rpc_mach_msg): Modified function.

2023-12-03  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 7096914dd8ff2dfd1d8cba3577b72838f5e4c2bd
	hurd: Fix build

	* hurd/intr-msg.c: Modified.
	(_hurd_intr_rpc_mach_msg): Modified function.

2023-12-03  Flavio Cruz  <flaviocruz@gmail.com>

	COMMIT: 7e23b3c2c008e0b9b5da055e675d40cc27bb10ef
	Update code to handle the new ABI for sending inlined port rights.

	* hurd/intr-msg.c: Modified.
	(_hurd_intr_rpc_mach_msg): Modified function.
	* mach/msg-destroy.c: Modified.
	(__mach_msg_destroy): Modified function.

2023-12-02  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 2fb85a37874c09fb22cd069f7c3c7fd6d8eb2f8f
	hurd: [!__USE_MISC] Do not #undef BSD macros in ioctls

	* sysdeps/mach/hurd/bits/ioctls.h: Modified.
	[BS0](BS0): Remove.
	[BS1](BS1): Remove.
	[CR0](CR0): Remove.
	[CR1](CR1): Remove.
	[CR2](CR2): Remove.
	[CR3](CR3): Remove.
	[ECHO](ECHO): Remove.
	[FF0](FF0): Remove.
	[FF1](FF1): Remove.
	[FLUSHO](FLUSHO): Remove.
	[MDMBUF](MDMBUF): Remove.
	[NL0](NL0): Remove.
	[NL1](NL1): Remove.
	[NOFLSH](NOFLSH): Remove.
	[PENDIN](PENDIN): Remove.
	[TAB0](TAB0): Remove.
	[TAB1](TAB1): Remove.
	[TAB2](TAB2): Remove.
	[TOSTOP](TOSTOP): Remove.
	[__USE_MISC][BS0](BS0): New.
	[__USE_MISC][BS1](BS1): New.
	[__USE_MISC][CR0](CR0): New.
	[__USE_MISC][CR1](CR1): New.
	[__USE_MISC][CR2](CR2): New.
	[__USE_MISC][CR3](CR3): New.
	[__USE_MISC][ECHO](ECHO): New.
	[__USE_MISC][FF0](FF0): New.
	[__USE_MISC][FF1](FF1): New.
	[__USE_MISC][FLUSHO](FLUSHO): New.
	[__USE_MISC][MDMBUF](MDMBUF): New.
	[__USE_MISC][NL0](NL0): New.
	[__USE_MISC][NL1](NL1): New.
	[__USE_MISC][NOFLSH](NOFLSH): New.
	[__USE_MISC][PENDIN](PENDIN): New.
	[__USE_MISC][TAB0](TAB0): New.
	[__USE_MISC][TAB1](TAB1): New.
	[__USE_MISC][TAB2](TAB2): New.
	[__USE_MISC][TOSTOP](TOSTOP): New.

2023-11-30  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 4e16d89866e660426438238a47c2345bdc47dd97
	linux: Make fdopendir fail with O_PATH (BZ 30373)

	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/fdopendir.c: Modified.
	(__fdopendir): Modified function.
	* sysdeps/unix/sysv/linux/tst-fdopendir-o_path.c: New file.

2023-11-30  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 807849965bbdeaa9b0a8f675d098efc520eeaaa8
	Avoid padding in _init and _fini. [BZ #31042]

	* sysdeps/s390/s390-64/crti.S: Modified.
	* sysdeps/s390/s390-64/crtn.S: Modified.

2023-11-29  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: 7b12776584c51dbecb1033e107f6b9f45de47a1b
	aarch64: Improve special-case handling in AdvSIMD double-precision libmvec routines

	* sysdeps/aarch64/fpu/v_math.h: Modified.
	(v_call_f64): Modified function.

2023-11-29  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: bc6d79f4ae99206e7ec7d6a8c5abf26cdefc8bff
	malloc: Improve MAP_HUGETLB with glibc.malloc.hugetlb=2

	* malloc/arena.c: Modified.
	(ptmalloc_init): Modified function.

2023-11-29  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: a4c3f5f46e850c977cda81c251036475aab8313c
	elf: Add a way to check if tunable is set (BZ 27069)

	* elf/Versions: Modified.
	* elf/dl-tunable-types.h: Modified.
	(_tunable): Modified.
	* elf/dl-tunables.c: Modified.
	(rtld_hidden_def): Modified.
	(__tunable_is_initialized): New function.
	(__tunable_get_default): New function.
	(rtld_hidden_def): New.
	(rtld_hidden_def): New.
	* elf/dl-tunables.h: Modified.
	[!(TOP_NAMESPACE &&  TUNABLE_NAMESPACE)](TUNABLE_IS_INITIALIZED): New.
	[!(TOP_NAMESPACE &&  TUNABLE_NAMESPACE)](TUNABLE_GET_DEFAULT): New.
	[TOP_NAMESPACE &&  TUNABLE_NAMESPACE](TUNABLE_IS_INITIALIZED): New.
	[TOP_NAMESPACE &&  TUNABLE_NAMESPACE](TUNABLE_GET_DEFAULT): New.
	(rtld_hidden_proto): Modified.
	(rtld_hidden_proto): Modified.
	(__tunable_is_initialized): New function.
	(__tunable_get_default): New function.
	(rtld_hidden_proto): New.
	(rtld_hidden_proto): New.
	(TUNABLE_IS_INITIALIZED_FULL): New.
	(TUNABLE_GET_DEFAULT_FULL): New.
	* elf/dl-tunables.list: Modified.
	* scripts/gen-tunables.awk: Modified.

2023-11-28  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 9469261cf1924d350feeec64d2c80cafbbdcdd4d
	x86: Only align destination to 1x VEC_SIZE in memset 4x loop

	* sysdeps/x86_64/multiarch/memset-vec-unaligned-erms.S: Modified.

2023-11-28  Hector Martin  <marcan@marcan.st>

	COMMIT: 3921c5b40f293c57cb326f58713c924b0662ef59
	elf: Fix TLS modid reuse generation assignment (BZ 29039)

	* elf/dl-tls.c: Modified.
	(_dl_assign_tls_modid): Modified function.

2023-11-28  Tobias Klauser  <tklauser@distanz.ch>

	COMMIT: 06bbe63e367abd5f7b225cbae30d1e487f237c85
	Add TCP_MD5SIG_FLAG_IFINDEX from Linux 5.6 to netinet/tcp.h.

	* sysdeps/gnu/netinet/tcp.h: Modified.
	[__USE_MISC](tcp_md5sig): Modified.
	[__USE_MISC](TCP_MD5SIG_FLAG_IFINDEX): New.

2023-11-27  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 78ca44da0160a0b442f0ca1f253e3360f044b2ec
	elf: Relocate libc.so early during startup and dlmopen (bug 31083)

	* elf/Makefile: Modified.
	* elf/dl-open.c: Modified.
	(dl_open_worker_begin): Modified function.
	* elf/rtld.c: Modified.
	(dl_main): Modified function.
	* elf/tst-nodeps1-mod.c: New file.
	* elf/tst-nodeps1.c: New file.
	* elf/tst-nodeps2-mod.c: New file.
	* elf/tst-nodeps2.c: New file.

2023-11-27  Florian Weimer  <fweimer@redhat.com>

	COMMIT: a74c2e1cbc8673dd7e97aae2f2705392e2ccc3f6
	elf: Introduce the _dl_open_relocate_one_object function

	* elf/dl-open.c: Modified.
	(dl_open_worker_begin): Modified function.
	(_dl_open_relocate_one_object): New function.

2023-11-27  Florian Weimer  <fweimer@redhat.com>

	COMMIT: b893410be304ddcea0bd43f537a13e8b18d37cf2
	elf: In _dl_relocate_object, skip processing if object is relocated

	* elf/dl-reloc.c: Modified.
	(_dl_relocate_object): Modified function.

2023-11-23  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 2e0c0ff95ca0e3122eb5b906ee26a31f284ce5ab
	Remove __access_noerrno

	* io/access.c: Modified.
	(__access_noerrno): Remove function.
	* sysdeps/generic/not-errno.h: Modified.
	(__access_noerrno): Remove.
	* sysdeps/mach/hurd/Versions: Modified.
	* sysdeps/mach/hurd/access.c: Modified.
	(__access_noerrno): Remove function.
	* sysdeps/mach/hurd/dl-sysdep.c: Modified.
	(check_no_hidden): Modified.
	(__access_noerrno): Remove function.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Remove.
	* sysdeps/mach/hurd/i386/localplt.data: Modified.
	* sysdeps/mach/hurd/not-errno.h: Delete file.
	* sysdeps/mach/hurd/x86_64/localplt.data: Modified.
	* sysdeps/unix/sysv/linux/not-errno.h: Modified.
	(__access_noerrno): Remove function.

2023-11-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 472894d2cfee5751b44c0aaa71ed87df81c8e62e
	malloc: Use __get_nprocs on arena_get2 (BZ 30945)

	* include/sys/sysinfo.h: Modified.
	[! _ISOMAC](__get_nprocs_sched): Remove.
	* malloc/arena.c: Modified.
	[IS_IN (libc)](arena_get2): Modified function.
	* misc/getsysstats.c: Modified.
	(__get_nprocs_sched): Remove function.
	* sysdeps/mach/getsysstats.c: Modified.
	(__get_nprocs_sched): Remove function.
	* sysdeps/unix/sysv/linux/getsysstats.c: Modified.
	(__get_nprocs_sched): Modified function.

2023-11-22  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: bd70d3bacfcd53b04b5b5dd7a5d10062ac6fa50a
	aarch64: Fix libmvec benchmarks

	* sysdeps/aarch64/fpu/scripts/bench_libmvec_advsimd.py: Modified.
	* sysdeps/aarch64/fpu/scripts/bench_libmvec_sve.py: Modified.

2023-11-22  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 5d7f1bce7d8eea31f4baeb68bcc3124b35acc751
	posix: Revert the removal of the crypt prototype from <unistd.h>

	* NEWS: Modified.
	* posix/unistd.h: Modified.
	[__USE_MISC](crypt): New function.

2023-11-21  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 780c33920281c5d5cc42a1e578bdc9218e675405
	elf: Add comments on how LD_AUDIT and LD_PRELOAD handle __libc_enable_secure

	* elf/rtld.c: Modified.

2023-11-21  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 5451fa962cd0a90a0e2ec1d8910a559ace02bba0
	elf: Ignore LD_LIBRARY_PATH and debug env var for setuid for static

	* elf/dl-support.c: Modified.
	[! HAVE_AUX_VECTOR](__rtld_lock_define_initialized_recursive): Modified function.
	(__rtld_lock_define_initialized_recursive): Modified function.

2023-11-21  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: a0f9bfc3a5cc10920787d70d0653720a8fa013f3
	elf: Remove any_debug from dl_main_state

	* elf/dl-main.h: Modified.
	(dl_main_state): Modified.
	* elf/rtld.c: Modified.
	(dl_main_state_init): Modified function.
	(process_dl_debug): Modified function.
	(process_envvars): Modified function.

2023-11-21  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 55f41ef8de4a4d0c5762d78659e11202d3c765d4
	elf: Remove LD_PROFILE for static binaries

	* elf/Makefile: Modified.
	* elf/dl-load.c: Modified.
	[! EXTERNAL_MAP_FROM_FD](_dl_map_object_from_fd): Modified function.
	* elf/dl-runtime.c: Modified.
	[! PROF][! ELF_MACHINE_RUNTIME_FIXUP_ARGS](_dl_fixup): Remove.
	[! PROF][ELF_MACHINE_RUNTIME_FIXUP_ARGS](_dl_fixup): Remove.
	[! PROF &&  SHARED][! ELF_MACHINE_RUNTIME_FIXUP_ARGS](_dl_fixup): New.
	[! PROF &&  SHARED][ELF_MACHINE_RUNTIME_FIXUP_ARGS](_dl_fixup): New.
	* elf/dl-support.c: Modified.
	[! HAVE_AUX_VECTOR](__rtld_lock_define_initialized_recursive): Modified function.
	(_dl_profile): Remove.
	(_dl_profile_output): Remove.
	(__rtld_lock_define_initialized_recursive): Modified function.
	* elf/dl-profstub.c: Move to...
	* elf/libc-dl-profstub.c: ... here.
	* include/dlfcn.h: Modified.
	[! _ISOMAC][! SHARED](DL_CALL_FCT): New.
	* sysdeps/aarch64/dl-machine.h: Modified.
	[! dl_machine_h](elf_machine_runtime_setup): Modified function.
	* sysdeps/aarch64/dl-trampoline.S: Modified.
	* sysdeps/alpha/dl-machine.h: Modified.
	[! dl_machine_h](elf_machine_runtime_setup): Modified function.
	* sysdeps/alpha/dl-trampoline.S: Modified.
	* sysdeps/arm/dl-machine.h: Modified.
	[! dl_machine_h](elf_machine_runtime_setup): Modified function.
	* sysdeps/arm/dl-trampoline.S: Modified.
	* sysdeps/hppa/dl-machine.h: Modified.
	[! dl_machine_h](elf_machine_runtime_setup): Modified function.
	* sysdeps/hppa/dl-trampoline.S: Modified.
	* sysdeps/i386/dl-machine.h: Modified.
	[! dl_machine_h](elf_machine_runtime_setup): Modified function.
	* sysdeps/i386/dl-trampoline.S: Modified.
	* sysdeps/ia64/dl-machine.h: Modified.
	[! dl_machine_h](elf_machine_runtime_setup): Modified function.
	* sysdeps/ia64/dl-trampoline.S: Modified.
	* sysdeps/loongarch/dl-machine.h: Modified.
	[RESOLVE_MAP](elf_machine_runtime_setup): Modified function.
	* sysdeps/loongarch/dl-trampoline.h: Modified.
	[__loongarch_soft_float][! __loongarch_soft_float](OFFSET_RG): Remove.
	[__loongarch_soft_float][! __loongarch_soft_float](SF_SIZE): Remove.
	[__loongarch_soft_float][USE_LASX](OFFSET_RG): Remove.
	[__loongarch_soft_float][USE_LASX](SF_SIZE): Remove.
	[__loongarch_soft_float][USE_LSX](OFFSET_RG): Remove.
	[__loongarch_soft_float][USE_LSX](SF_SIZE): Remove.
	[__loongarch_soft_float][__loongarch_soft_float][! __loongarch_soft_float](OFFSET_SAVED_CALL_A0): Remove.
	[__loongarch_soft_float][__loongarch_soft_float][! __loongarch_soft_float](SF_SIZE): Remove.
	[__loongarch_soft_float][__loongarch_soft_float][USE_LASX](OFFSET_SAVED_CALL_A0): Remove.
	[__loongarch_soft_float][__loongarch_soft_float][USE_LASX](SF_SIZE): Remove.
	[__loongarch_soft_float][__loongarch_soft_float][USE_LSX](OFFSET_SAVED_CALL_A0): Remove.
	[__loongarch_soft_float][__loongarch_soft_float][USE_LSX](SF_SIZE): Remove.
	[__loongarch_soft_float][__loongarch_soft_float][__loongarch_soft_float](OFFSET_SAVED_CALL_A0): Remove.
	[__loongarch_soft_float][__loongarch_soft_float][__loongarch_soft_float](SF_SIZE): Remove.
	[__loongarch_soft_float][__loongarch_soft_float](OFFSET_RG): Remove.
	[__loongarch_soft_float][__loongarch_soft_float](SF_SIZE): Remove.
	[__loongarch_soft_float][__loongarch_soft_float](OFFSET_RG): Remove.
	[__loongarch_soft_float][__loongarch_soft_float](OFFSET_RV): Remove.
	[__loongarch_soft_float](dl-link.h): Remove include.
	[__loongarch_soft_float](OFFSET_T1): Remove.
	[__loongarch_soft_float](OFFSET_SAVED_CALL_A0): Remove.
	[__loongarch_soft_float](OFFSET_FS): Remove.
	[__loongarch_soft_float](OFFSET_RV): Remove.
	[__loongarch_soft_float](OFFSET_RG): Remove.
	[__loongarch_soft_float](SF_SIZE): Remove.
	[__loongarch_soft_float](SF_SIZE): Remove.
	[__loongarch_soft_float](OFFSET_FS): Remove.
	[__loongarch_soft_float](OFFSET_SAVED_CALL_A0): Remove.
	[__loongarch_soft_float](OFFSET_FS): Remove.
	[__loongarch_soft_float](OFFSET_T1): Remove.
	[__loongarch_soft_float](SF_SIZE): Remove.
	[__loongarch_soft_float](OFFSET_T1): Remove.
	[__loongarch_soft_float][SHARED][! __loongarch_soft_float](OFFSET_RG): New.
	[__loongarch_soft_float][SHARED][! __loongarch_soft_float](SF_SIZE): New.
	[__loongarch_soft_float][SHARED][USE_LASX](OFFSET_RG): New.
	[__loongarch_soft_float][SHARED][USE_LASX](SF_SIZE): New.
	[__loongarch_soft_float][SHARED][USE_LSX](OFFSET_RG): New.
	[__loongarch_soft_float][SHARED][USE_LSX](SF_SIZE): New.
	[__loongarch_soft_float][SHARED][__loongarch_soft_float][! __loongarch_soft_float](OFFSET_SAVED_CALL_A0): New.
	[__loongarch_soft_float][SHARED][__loongarch_soft_float][! __loongarch_soft_float](SF_SIZE): New.
	[__loongarch_soft_float][SHARED][__loongarch_soft_float][USE_LASX](OFFSET_SAVED_CALL_A0): New.
	[__loongarch_soft_float][SHARED][__loongarch_soft_float][USE_LASX](SF_SIZE): New.
	[__loongarch_soft_float][SHARED][__loongarch_soft_float][USE_LSX](OFFSET_SAVED_CALL_A0): New.
	[__loongarch_soft_float][SHARED][__loongarch_soft_float][USE_LSX](SF_SIZE): New.
	[__loongarch_soft_float][SHARED][__loongarch_soft_float][__loongarch_soft_float](OFFSET_SAVED_CALL_A0): New.
	[__loongarch_soft_float][SHARED][__loongarch_soft_float][__loongarch_soft_float](SF_SIZE): New.
	[__loongarch_soft_float][SHARED][__loongarch_soft_float](OFFSET_RG): New.
	[__loongarch_soft_float][SHARED][__loongarch_soft_float](SF_SIZE): New.
	[__loongarch_soft_float][SHARED][__loongarch_soft_float](OFFSET_RG): New.
	[__loongarch_soft_float][SHARED][__loongarch_soft_float](OFFSET_RV): New.
	[__loongarch_soft_float][SHARED](dl-link.h): New.
	[__loongarch_soft_float][SHARED](OFFSET_T1): New.
	[__loongarch_soft_float][SHARED](OFFSET_SAVED_CALL_A0): New.
	[__loongarch_soft_float][SHARED](OFFSET_FS): New.
	[__loongarch_soft_float][SHARED](OFFSET_RV): New.
	[__loongarch_soft_float][SHARED](OFFSET_RG): New.
	[__loongarch_soft_float][SHARED](SF_SIZE): New.
	[__loongarch_soft_float][SHARED](SF_SIZE): New.
	[__loongarch_soft_float][SHARED](OFFSET_FS): New.
	[__loongarch_soft_float][SHARED](OFFSET_SAVED_CALL_A0): New.
	[__loongarch_soft_float][SHARED](OFFSET_FS): New.
	[__loongarch_soft_float][SHARED](OFFSET_T1): New.
	[__loongarch_soft_float][SHARED](SF_SIZE): New.
	[__loongarch_soft_float][SHARED](OFFSET_T1): New.
	* sysdeps/m68k/dl-machine.h: Modified.
	[! dl_machine_h](elf_machine_runtime_setup): Modified function.
	* sysdeps/m68k/dl-trampoline.S: Modified.
	* sysdeps/powerpc/powerpc32/dl-machine.c: Modified.
	(__elf_machine_runtime_setup): Modified function.
	* sysdeps/powerpc/powerpc32/dl-machine.h: Modified.
	[! dl_machine_h](elf_machine_runtime_setup): Modified function.
	* sysdeps/powerpc/powerpc32/dl-trampoline.S: Modified.
	* sysdeps/powerpc/powerpc64/dl-machine.h: Modified.
	[! dl_machine_h](elf_machine_runtime_setup): Modified function.
	* sysdeps/powerpc/powerpc64/dl-trampoline.S: Modified.
	* sysdeps/s390/s390-32/dl-machine.h: Modified.
	[! dl_machine_h](elf_machine_runtime_setup): Modified function.
	* sysdeps/s390/s390-32/dl-trampoline.h: Modified.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF][! RESTORE_VRS][! RESTORE_VRS](framesize): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](SIZEOF_STRUCT_LA_S390_32_REGS): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](REGS_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](R2_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](R3_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](R4_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](R5_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](R6_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](F0_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](F2_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](V24_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](V25_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](V26_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](V27_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](V28_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](V29_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](V30_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](V31_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](R0_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](R12_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](R14_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](FRAMESIZE_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](PLT1_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](PLT2_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](PREGS_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](RETVAL_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](RET_R2_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](RET_R3_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](RET_F0_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](RET_V24_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](FRAME_SIZE): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED][! RESTORE_VRS][! RESTORE_VRS](framesize): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](SIZEOF_STRUCT_LA_S390_32_REGS): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](REGS_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](R2_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](R3_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](R4_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](R5_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](R6_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](F0_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](F2_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](V24_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](V25_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](V26_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](V27_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](V28_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](V29_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](V30_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](V31_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](R0_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](R12_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](R14_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](FRAMESIZE_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](PLT1_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](PLT2_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](PREGS_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](RETVAL_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](RET_R2_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](RET_R3_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](RET_F0_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](RET_V24_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](FRAME_SIZE): New.
	* sysdeps/s390/s390-64/dl-machine.h: Modified.
	[! dl_machine_h](elf_machine_runtime_setup): Modified function.
	* sysdeps/s390/s390-64/dl-trampoline.h: Modified.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF][! RESTORE_VRS][! RESTORE_VRS](framesize): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](SIZEOF_STRUCT_LA_S390_64_REGS): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](REGS_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](R2_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](R3_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](R4_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](R5_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](R6_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](F0_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](F2_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](F4_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](F6_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](V24_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](V25_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](V26_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](V27_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](V28_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](V29_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](V30_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](V31_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](R0_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](R12_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](R14_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](FRAMESIZE_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](PLT1_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](PLT2_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](PREGS_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](RETVAL_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](RET_R2_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](RET_F0_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](RET_V24_OFF): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF](FRAME_SIZE): Remove.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED][! RESTORE_VRS][! RESTORE_VRS](framesize): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](SIZEOF_STRUCT_LA_S390_64_REGS): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](REGS_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](R2_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](R3_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](R4_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](R5_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](R6_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](F0_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](F2_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](F4_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](F6_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](V24_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](V25_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](V26_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](V27_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](V28_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](V29_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](V30_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](V31_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](R0_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](R12_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](R14_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](FRAMESIZE_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](PLT1_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](PLT2_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](PREGS_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](RETVAL_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](RET_R2_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](RET_F0_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](RET_V24_OFF): New.
	[! RESTORE_VRS][! RESTORE_VRS][! PROF &&  SHARED](FRAME_SIZE): New.
	* sysdeps/sh/dl-machine.h: Modified.
	[! dl_machine_h](elf_machine_runtime_setup): Modified function.
	* sysdeps/sh/dl-trampoline.S: Modified.
	* sysdeps/sparc/sparc32/dl-machine.h: Modified.
	[! dl_machine_h](elf_machine_runtime_setup): Modified function.
	* sysdeps/sparc/sparc32/dl-trampoline.S: Modified.
	* sysdeps/sparc/sparc64/dl-machine.h: Modified.
	[! dl_machine_h](elf_machine_runtime_setup): Modified function.
	* sysdeps/sparc/sparc64/dl-trampoline.S: Modified.
	* sysdeps/x86_64/dl-machine.h: Modified.
	[! dl_machine_h](elf_machine_runtime_setup): Modified function.
	* sysdeps/x86_64/dl-trampoline.S: Modified.

2023-11-21  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 4a133885a7c8ae7ebe34e36fcdb353f8e94c810f
	elf: Ignore LD_PROFILE for setuid binaries

	* elf/Makefile: Modified.
	* elf/rtld.c: Modified.
	(process_envvars): Modified function.
	* elf/tst-env-setuid.c: Modified.
	(test_child): Modified function.
	(PROFILE_LIB): New.

2023-11-21  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 1c87f71a36e21fa851117c151b3c492fa3eede5b
	s390: Use dl-symbol-redir-ifunc.h on cpu-tunables

	* sysdeps/s390/cpu-features.c: Modified.
	(MEMCMP_DEFAULT): Remove.
	(TUNABLE_CALLBACK): Modified function.
	(dl-symbol-redir-ifunc.h): Include file.
	* sysdeps/s390/multiarch/dl-symbol-redir-ifunc.h: Modified.
	(ifunc-memcmp.h): Include file.
	(memcmp): New.

2023-11-21  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 4862d546c04bd2caf496d48335a546c0a44ad4a5
	x86: Use dl-symbol-redir-ifunc.h on cpu-tunables

	* sysdeps/i386/i686/multiarch/dl-symbol-redir-ifunc.h: Modified.
	(memset): Remove.
	[! SHARED](memset): New.
	[! SHARED](memcmp): New.
	* sysdeps/x86/cpu-tunables.c: Modified.
	[!(USE_MULTIARCH && ! SHARED)](DEFAULT_MEMCMP): Remove.
	[CET_ENABLED](TUNABLE_CALLBACK): Modified function.
	[CET_ENABLED](TUNABLE_CALLBACK): Modified function.
	[USE_MULTIARCH && ! SHARED][! __x86_64__](DEFAULT_MEMCMP): Remove.
	[USE_MULTIARCH && ! SHARED][__x86_64__](sysdeps/x86_64/memcmp-isa-default-impl.h): Remove.
	[USE_MULTIARCH && ! SHARED](DEFAULT_MEMCMP): Remove.
	(CHECK_GLIBC_IFUNC_CPU_OFF): Modified.
	(CHECK_GLIBC_IFUNC_PREFERRED_OFF): Modified.
	(CHECK_GLIBC_IFUNC_PREFERRED_BOTH): Modified.
	(CHECK_GLIBC_IFUNC_PREFERRED_NEED_BOTH): Modified.
	(TUNABLE_CALLBACK): Modified function.
	(dl-symbol-redir-ifunc.h): Include file.
	* sysdeps/x86_64/memcmp-isa-default-impl.h: Delete file.
	* sysdeps/x86_64/multiarch/dl-symbol-redir-ifunc.h: Modified.
	[MINIMUM_X86_ISA_LEVEL != 3](HAVE_MEMSET_IFUNC_GENERIC): Remove.
	[MINIMUM_X86_ISA_LEVEL == 3](HAVE_MEMSET_IFUNC_GENERIC): Remove.
	[MINIMUM_X86_ISA_LEVEL >= 4](HAVE_MEMSET_IFUNC_GENERIC): Remove.
	(isa-level.h): Remove include.
	(memset): Remove.
	[! SHARED][MINIMUM_X86_ISA_LEVEL != 3](HAVE_MEMSET_IFUNC_GENERIC): New.
	[! SHARED][MINIMUM_X86_ISA_LEVEL != 3](HAVE_MEMCMP_IFUNC_GENERIC): New.
	[! SHARED][MINIMUM_X86_ISA_LEVEL == 3](HAVE_MEMSET_IFUNC_GENERIC): New.
	[! SHARED][MINIMUM_X86_ISA_LEVEL == 3](HAVE_MEMCMP_IFUNC_GENERIC): New.
	[! SHARED][MINIMUM_X86_ISA_LEVEL >= 4](HAVE_MEMSET_IFUNC_GENERIC): New.
	[! SHARED][MINIMUM_X86_ISA_LEVEL >= 4](HAVE_MEMCMP_IFUNC_GENERIC): New.
	[! SHARED](isa-level.h): New.
	[! SHARED](memset): New.
	[! SHARED](memcmp): New.

2023-11-21  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: eb9291aaa6ff6af158a1436b881ef8b834559621
	elf: Emit warning if tunable is ill-formatted

	* elf/dl-tunables.c: Modified.
	(parse_tunables): Modified function.

2023-11-21  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 434eca873f14f618d6c2279b54fb809fb56f2c50
	elf: Fix _dl_debug_vdprintf to work before self-relocation

	* elf/dl-printf.c: Modified.
	(_dl_debug_vdprintf): Modified function.
	(_dl_debug_strlen): New function.
	* stdio-common/Makefile: Modified.
	* stdio-common/_itoa.c: Modified.
	* sysdeps/unix/sysv/linux/i386/dl-writev.h: New file.

2023-11-21  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 680c597e9c363bc74d1495b08f7a0593a80f8921
	elf: Do not parse ill-formatted strings

	* elf/dl-tunables.c: Modified.
	(parse_tunables): Modified function.
	(__tunables_init): Modified function.
	(tunable_toset_t): New.
	(<anonymous>): New.
	(parse_tunables_string): New function.
	* elf/tst-tunables.c: Modified.

2023-11-21  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: b4cf6cac73725d988957410116ddf088546239ca
	elf: Do not process invalid tunable format

	* elf/dl-tunables.c: Modified.
	(parse_tunables): Modified function.
	* elf/tst-tunables.c: Modified.

2023-11-21  Adhemerval Zanella  <adhemerval.zanella@linaro.org>
            Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 11f7e3dd8fed66e0b8740af440cd3151e55a466f
	elf: Add all malloc tunable to unsecvars

	* elf/Makefile: Modified.
	* elf/tst-env-setuid-static.c: New file.
	* elf/tst-env-setuid.c: Modified.
	[! test_child](test_child): Remove.
	[! test_parent](test_parent): Remove.
	(errno.h): Remove include.
	(fcntl.h): Remove include.
	(stdint.h): Remove include.
	(sys/stat.h): Remove include.
	(sys/wait.h): Remove include.
	(do_test): Modified function.
	(array_length.h): Include file.
	(gnu/lib-names.h): Include file.
	(FILTERED_VALUE): New.
	(UNFILTERED_VALUE): New.
	(envvar_t): New.
	(filtered_envvars): New.
	(unfiltered_envvars): New.
	(test_child): New function.
	* sysdeps/generic/unsecvars.h: Modified.
	(UNSECURE_ENVVARS): Modified.

2023-11-21  Adhemerval Zanella  <adhemerval.zanella@linaro.org>
            Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 9c96c87d60eafa4d78406e606e92b42bd4b570ad
	elf: Ignore GLIBC_TUNABLES for setuid/setgid binaries

	* elf/Makefile: Modified.
	* elf/dl-tunable-types.h: Modified.
	(_tunable): Modified.
	* elf/dl-tunables.c: Modified.
	(parse_tunables): Modified function.
	(__tunables_init): Modified function.
	* elf/dl-tunables.list: Modified.
	* elf/tst-env-setuid-tunables.c: Modified.
	(_LIBC): Remove.
	(config.h): Remove include.
	(_LIBC): Remove.
	(test_child): Modified function.
	(dl-tunables.h): Include file.
	* elf/tst-tunables.c: New file.
	* manual/README.tunables: Modified.
	* scripts/gen-tunables.awk: Modified.
	* sysdeps/x86_64/64/dl-tunables.list: Modified.

2023-11-21  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: a72a4eb10b2d9aef7a53f9d2facf166a685d85fb
	elf: Add GLIBC_TUNABLES to unsecvars

	* elf/tst-env-setuid-tunables.c: Modified.
	(resultstrings): Remove.
	(test_child): Modified function.
	* sysdeps/generic/unsecvars.h: Modified.
	(UNSECURE_ENVVARS): Modified.

2023-11-21  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 6c6fce572fb8f583f14d898e54fd7d25ae91cf56
	elf: Remove /etc/suid-debug support

	* elf/dl-tunables.c: Modified.
	(maybe_enable_malloc_check): Remove function.
	(__tunables_init): Modified function.
	* elf/rtld.c: Modified.
	(process_envvars): Modified function.
	* manual/memory.texi: Modified.
	* manual/tunables.texi: Modified.

2023-11-21  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 64e4acf24da15c11cb83f933947df3b2e8a700cd
	stdlib: The qsort implementation needs to use heapsort in more cases

	* stdlib/Makefile: Modified.
	* stdlib/qsort.c: Modified.
	(__qsort_r): Modified function.
	* stdlib/tst-qsort5.c: New file.

2023-11-21  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 55364e1f7dfab372f0710513c4d1c967c4965f71
	stdlib: Handle various corner cases in the fallback heapsort for qsort

	* stdlib/Makefile: Modified.
	* stdlib/qsort.c: Modified.
	(siftdown): Modified function.
	(heapsort_r): Modified function.
	* stdlib/tst-qsort4.c: New file.

2023-11-21  Florian Weimer  <fweimer@redhat.com>

	COMMIT: e4d8117b82065dc72e8df80097360e7c05a349b9
	stdlib: Avoid another self-comparison in qsort

	* stdlib/qsort.c: Modified.
	(insertion_sort_qsort_partitions): Modified function.

2023-11-21  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: dd858522bf36ae16496ea01ff8b65e16b4e5c22b
	hurd: fix restarting reauth_dtable on signal

	* hurd/dtable.c: Modified.
	(reauth_dtable): Modified function.

2023-11-20  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 49b308a26e2a9e02ef396f67f59c462ad4171ea4
	hurd: Prevent the final file_exec_paths call from signals

	* hurd/hurdexec.c: Modified.
	(_hurd_exec_paths): Modified function.
	* sysdeps/mach/hurd/spawni.c: Modified.
	(__spawni): Modified function.

2023-11-20  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 3cbaacdfd2c11cb726011ef6464dce00c186a2bf
	manual: Fix termios.c example. (Bug 31078)

	* manual/examples/termios.c: Modified.
	(set_input_mode): Modified function.
	(main): Modified function.

2023-11-20  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: a8830c928540011120ac742d632ed51d52af01df
	aarch64: Add vector implementations of expm1 routines

	* math/auto-libm-test-in: Modified.
	* math/auto-libm-test-out-expm1: Modified.
	* sysdeps/aarch64/fpu/Makefile: Modified.
	* sysdeps/aarch64/fpu/Versions: Modified.
	* sysdeps/aarch64/fpu/bits/math-vector.h: Modified.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN4v_expm1f): New function.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN2v_expm1): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_expm1f): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_expm1): New function.
	* sysdeps/aarch64/fpu/expm1_advsimd.c: New file.
	* sysdeps/aarch64/fpu/expm1_sve.c: New file.
	* sysdeps/aarch64/fpu/expm1f_advsimd.c: New file.
	* sysdeps/aarch64/fpu/expm1f_sve.c: New file.
	* sysdeps/aarch64/fpu/test-double-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-double-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/test-float-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-float-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libmvec.abilist: Modified.

2023-11-20  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 65341f7bbea824d2ff9d37db15d8be162df42bd3
	linux: Use fchmodat2 on fchmod for flags different than 0 (BZ 26401)

	* io/tst-lchmod.c: Modified.
	(test_1): Modified function.
	* sysdeps/unix/sysv/linux/fchmodat.c: Modified.
	(fchmodat): Modified function.
	[!__ASSUME_FCHMODAT2](fchmodat_fallback): New.
	* sysdeps/unix/sysv/linux/kernel-features.h: Modified.
	[!(__LINUX_KERNEL_VERSION >= 0x060600)](__ASSUME_FCHMODAT2): New.
	[__LINUX_KERNEL_VERSION >= 0x060600](__ASSUME_FCHMODAT2): New.

2023-11-20  Florian Weimer  <fweimer@redhat.com>

	COMMIT: c52c2c32db15aba8bbe1a0b4d3235f97d9c1a525
	intl: Add test case for bug 16621

	* intl/Makefile: Modified.
	* intl/tst-gettext-c-utf8.c: New file.

2023-11-20  Jan Palus  <jpalus@fastmail.com>

	COMMIT: f2aaf18af50109b0982723bdf4e0a3bca2f8d3d6
	resolv: free only initialized items from gai pool

	* resolv/gai_misc.c: Modified.
	[!PTHREAD_IN_LIBC](__gai_freemem): Modified function.

2023-11-20  Florian Weimer  <fweimer@redhat.com>

	COMMIT: cfb5a97a93ea656e3b2263e42142a4032986d9ba
	ldconfig: Fixes for skipping temporary files.

	* elf/ldconfig.c: Modified.
	(skip_dso_based_on_name): Modified function.
	(endswithn): New function.

2023-11-20  Florian Weimer  <fweimer@redhat.com>

	COMMIT: e21aa9b9cc6083d3b1da72c81e7a4e81662e32ba
	nptl: Link tst-execstack-threads-mod.so with -z execstack

	* nptl/Makefile: Modified.

2023-11-20  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 8c8eff33e4e492d95f87dd49cfdc2d4de25693eb
	nptl: Rename tst-execstack to tst-execstack-threads

	* elf/tst-execstack.c: Modified.
	(do_test): Modified function.
	* nptl/Makefile: Modified.
	* nptl/tst-execstack-mod.c: Move to...
	* nptl/tst-execstack-threads-mod.c: ... here.
	* nptl/tst-execstack.c: Move to...
	* nptl/tst-execstack-threads.c: ... here.

2023-11-19  Flavio Cruz  <flaviocruz@gmail.com>

	COMMIT: 6ae7b5f43d4b13f24606d7108d822e469a96af3d
	Remove untyped mach RPC code.

	* hurd/hurdfault.c: Modified.
	[! EXC_MASK_ALL][! NDR_CHAR_ASCII](_hurdsig_fault_catch_exception_raise): Remove.
	[! EXC_MASK_ALL][NDR_CHAR_ASCII](mig_reply_header_t): Remove.
	[! EXC_MASK_ALL][NDR_CHAR_ASCII](_hurdsig_fault_catch_exception_raise): Remove.
	[! EXC_MASK_ALL](faultstack): Remove.
	[! EXC_MASK_ALL](_hurdsig_fault_init): Remove function.
	[! EXC_MASK_ALL](_hurdsig_fault_catch_exception_raise): New function.
	(_hurdsig_fault_catch_exception_raise): New function.
	(faultstack): New.
	(_hurdsig_fault_init): New function.
	* hurd/intr-msg.c: Modified.
	[NDR_CHAR_ASCII](mig_reply_header_t): Remove.
	(_hurd_intr_rpc_mach_msg): Modified function.
	* mach/msg-destroy.c: Modified.
	(__mach_msg_destroy): Modified function.
	* mach/msgserver.c: Modified.
	[NDR_CHAR_ASCII](mig_reply_header_t): Remove.

2023-11-19  Flavio Cruz  <flaviocruz@gmail.com>

	COMMIT: f11a92993c45a91c3237733486ce2b8735af2ba0
	_hurd_intr_rpc_mach_msg: handle message iteration correctly.

	* hurd/intr-msg.c: Modified.
	(_hurd_intr_rpc_mach_msg): Modified function.

2023-11-16  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: dae3cf4134d476a4b4ef86fd7012231d6436c15e
	localedata: Convert oc_FR locale to UTF-8

	* localedata/locales/oc_FR: Modified.

2023-11-16  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 70246b849578a93be722be56ad268fdf3f491258
	localedata: Add information for Occitan

	* localedata/locales/oc_FR: Modified.

2023-11-16  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 849274d48fc59bfa6db3c713c8ced8026b20f3b7
	elf: Fix force_first handling in dlclose (bug 30981)

	* elf/dl-close.c: Modified.
	(_dl_close_worker): Modified function.
	* elf/dl-sort-maps.c: Modified.
	(_dl_sort_maps_dfs): Modified function.
	* elf/dso-sort-tests-1.def: Modified.

2023-11-16  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: a8dcffb30680d6db5704f9ce2fc30621ceb454e7
	elf: Handle non-directory name in search path (BZ 31035)

	* elf/Makefile: Modified.
	* elf/dl-load.c: Modified.
	(open_path): Modified function.
	* elf/tst-non-directory-mod.c: New file.
	* elf/tst-non-directory-path.c: New file.
	* elf/tst-non-directory-path.sh: New file.

2023-11-16  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 3fddfe3c5d3c61f91401393814f7dc33be9c7dd3
	New Zealand locales (en_NZ & mi_NZ) first day of week should be Monday

	* localedata/locales/en_NZ: Modified.
	* localedata/locales/mi_NZ: Modified.

2023-11-15  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: b7f8b6b64b135e6dba5083d688675874d6809c91
	x86: Fix unchecked AVX512-VBMI2 usage in strrchr-evex-base.S

	* sysdeps/x86_64/multiarch/strrchr-evex-base.S: Modified.

2023-11-15  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 0575073dda99169e61b0201225078c364a3980f5
	posix: Check pidfd_spawn with tst-spawn7-pid

	* posix/tst-spawn7.c: Modified.
	(spawn_signal_test): Modified function.

2023-11-15  Andreas Larsson  <andreas@gaisler.com>

	COMMIT: 578190b7e43305141512dee777e4a3b3e8159393
	sparc: Fix broken memset for sparc32 [BZ #31068]

	* sysdeps/sparc/sparc32/memset.S: Modified.

2023-11-15  Gaël PORTAY  <gael.portay@rtone.fr>

	COMMIT: baea60b33ec52e413cffad59d7dc54957377ac14
	y2038: Fix support for 64-bit time on legacy ABIs

	* io/sys/stat.h: Modified.
	[__USE_LARGEFILE64][__USE_TIME_BITS64][! __REDIRECT_NTH](fstat64): Modified.

2023-11-14  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 323f367cc46b80224d39b082adf7be74b49ed843
	hurd: Fix spawni returning allocation errors.

	* sysdeps/mach/hurd/spawni.c: Modified.
	(__spawni): Modified function.

2023-11-14  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 8f22e36238c94e2a89da624e03c224895f9dd691
	hurd: Make _hurd_intr_rpc_mach_msg avoid returning MACH_SEND_INTERRUPTED

	* hurd/intr-msg.c: Modified.
	(_hurd_intr_rpc_mach_msg): Modified function.

2023-11-13  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 2f5524cc5381eb75fef55f7901bb907bd5628333
	AArch64: Remove Falkor memcpy

	* manual/tunables.texi: Modified.
	* sysdeps/aarch64/multiarch/Makefile: Modified.
	* sysdeps/aarch64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/aarch64/multiarch/memcpy.c: Modified.
	(__memcpy_falkor): Remove.
	(__typeof): Modified function.
	* sysdeps/aarch64/multiarch/memcpy_falkor.S: Delete file.
	* sysdeps/aarch64/multiarch/memmove.c: Modified.
	(__memmove_falkor): Remove.
	(__typeof): Modified function.
	* sysdeps/unix/sysv/linux/aarch64/cpu-features.c: Modified.
	* sysdeps/unix/sysv/linux/aarch64/cpu-features.h: Modified.
	(IS_FALKOR): Remove.
	(IS_PHECDA): Remove.

2023-11-13  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 3d7090f14b13312320e425b27dcf0fe72de026fd
	AArch64: Add memset_zva64

	* sysdeps/aarch64/memset.S: Modified.
	* sysdeps/aarch64/multiarch/Makefile: Modified.
	* sysdeps/aarch64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/aarch64/multiarch/memset.c: Modified.
	(__memset_falkor): Remove.
	(__typeof): Modified function.
	(__memset_zva64): New.
	* sysdeps/aarch64/multiarch/memset_falkor.S: Delete file.
	* sysdeps/aarch64/multiarch/memset_zva64.S: New file.

2023-11-13  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 9627ab99b50d250c6dd3001a3355aa03692f7fe5
	AArch64: Cleanup emag memset

	* sysdeps/aarch64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/aarch64/multiarch/memset.c: Modified.
	(__typeof): Modified function.
	* sysdeps/aarch64/multiarch/memset_base64.S: Delete file.
	* sysdeps/aarch64/multiarch/memset_emag.S: Modified.

2023-11-13  Yanzhang Wang  <yanzhang.wang@intel.com>

	COMMIT: 2d27dc1c750849f888b38fa7f0dadf6b376095de
	test: Run the tst-tls-allocation-failure-static-patched with test-wrapper.

	* elf/Makefile: Modified.

2023-11-10  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: 3548a4f0872aefa1f0b636a2d89fde96e5b7d46f
	aarch64: Add vector implementations of log1p routines

	* math/auto-libm-test-in: Modified.
	* math/auto-libm-test-out-log1p: Modified.
	* sysdeps/aarch64/fpu/Makefile: Modified.
	* sysdeps/aarch64/fpu/Versions: Modified.
	* sysdeps/aarch64/fpu/bits/math-vector.h: Modified.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN4v_log1pf): New function.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN2v_log1p): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_log1pf): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_log1p): New function.
	* sysdeps/aarch64/fpu/log1p_advsimd.c: New file.
	* sysdeps/aarch64/fpu/log1p_sve.c: New file.
	* sysdeps/aarch64/fpu/log1pf_advsimd.c: New file.
	* sysdeps/aarch64/fpu/log1pf_sve.c: New file.
	* sysdeps/aarch64/fpu/test-double-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-double-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/test-float-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-float-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libmvec.abilist: Modified.

2023-11-10  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: b07038c5d304a7afc312516ce0ff886a57bf3163
	aarch64: Add vector implementations of atan2 routines

	* sysdeps/aarch64/fpu/Makefile: Modified.
	* sysdeps/aarch64/fpu/Versions: Modified.
	* sysdeps/aarch64/fpu/atan2_advsimd.c: New file.
	* sysdeps/aarch64/fpu/atan2_sve.c: New file.
	* sysdeps/aarch64/fpu/atan2f_advsimd.c: New file.
	* sysdeps/aarch64/fpu/atan2f_sve.c: New file.
	* sysdeps/aarch64/fpu/bits/math-vector.h: Modified.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN4vv_atan2f): New function.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN2vv_atan2): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxvv_atan2f): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxvv_atan2): New function.
	* sysdeps/aarch64/fpu/test-double-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-double-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER_ff): New.
	(SVE_VECTOR_WRAPPER_ff): New.
	* sysdeps/aarch64/fpu/test-float-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-float-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER_ff): New.
	(SVE_VECTOR_WRAPPER_ff): New.
	* sysdeps/aarch64/fpu/test-vpcs-vector-wrapper.h: Modified.
	(VPCS_VECTOR_WRAPPER_ff): New.
	* sysdeps/aarch64/fpu/vecmath_config.h: Modified.
	(asuint64): New function.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libmvec.abilist: Modified.

2023-11-10  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: d30c39f80d19d62e8fd750c424ccb7eb06b617e5
	aarch64: Add vector implementations of atan routines

	* sysdeps/aarch64/fpu/Makefile: Modified.
	* sysdeps/aarch64/fpu/Versions: Modified.
	* sysdeps/aarch64/fpu/atan_advsimd.c: New file.
	* sysdeps/aarch64/fpu/atan_sve.c: New file.
	* sysdeps/aarch64/fpu/atanf_advsimd.c: New file.
	* sysdeps/aarch64/fpu/atanf_sve.c: New file.
	* sysdeps/aarch64/fpu/bits/math-vector.h: Modified.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN4v_atanf): New function.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN2v_atan): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_atanf): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_atan): New function.
	* sysdeps/aarch64/fpu/test-double-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-double-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/test-float-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-float-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libmvec.abilist: Modified.

2023-11-10  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: b5d23367a8c1e92b26bd48cce984e790208cdac1
	aarch64: Add vector implementations of acos routines

	* sysdeps/aarch64/fpu/Makefile: Modified.
	* sysdeps/aarch64/fpu/Versions: Modified.
	* sysdeps/aarch64/fpu/acos_advsimd.c: New file.
	* sysdeps/aarch64/fpu/acos_sve.c: New file.
	* sysdeps/aarch64/fpu/acosf_advsimd.c: New file.
	* sysdeps/aarch64/fpu/acosf_sve.c: New file.
	* sysdeps/aarch64/fpu/bits/math-vector.h: Modified.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN4v_acosf): New function.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN2v_acos): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_acosf): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_acos): New function.
	* sysdeps/aarch64/fpu/test-double-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-double-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/test-float-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-float-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libmvec.abilist: Modified.

2023-11-10  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: 9bed498418c163f7c6def447a38b09879e2b4612
	aarch64: Add vector implementations of asin routines

	* sysdeps/aarch64/fpu/Makefile: Modified.
	* sysdeps/aarch64/fpu/Versions: Modified.
	* sysdeps/aarch64/fpu/asin_advsimd.c: New file.
	* sysdeps/aarch64/fpu/asin_sve.c: New file.
	* sysdeps/aarch64/fpu/asinf_advsimd.c: New file.
	* sysdeps/aarch64/fpu/asinf_sve.c: New file.
	* sysdeps/aarch64/fpu/bits/math-vector.h: Modified.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN4v_asinf): New function.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN2v_asin): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_asinf): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_asin): New function.
	* sysdeps/aarch64/fpu/test-double-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-double-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/test-float-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-float-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libmvec.abilist: Modified.

2023-11-08  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: d1dcb565a1fb5829f9476a1438c30eccc4027d04
	Fix type typo in “String/Array Conventions” doc

	* manual/string.texi: Modified.

2023-11-08  Florian Weimer  <fweimer@redhat.com>

	COMMIT: f8cfb6836e8d91bb789b2e7fd65338d6f5bd459c
	stdlib: Avoid element self-comparisons in qsort

	* stdlib/qsort.c: Modified.
	(siftdown): Modified function.
	(__qsort_r): Modified function.

2023-11-07  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: bf033c0072554366fe9617c283c982594059ad9d
	elf: Add glibc.mem.decorate_maps tunable

	* NEWS: Modified.
	* elf/Makefile: Modified.
	* elf/dl-tunables.list: Modified.
	* manual/tunables.texi: Modified.
	* sysdeps/unix/sysv/linux/setvmaname.c: Modified.
	(__set_vma_name): Modified function.
	(elf/dl-tunables.h): Include file.

2023-11-07  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: f10ba2ab250b04e47868cfb888df22058436173d
	linux: Decorate __libc_fatal error buffer

	* sysdeps/posix/libc_fatal.c: Modified.
	(__libc_message_impl): Modified function.
	(setvmaname.h): Include file.

2023-11-07  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 3374ca793660b1321eb56adc5bd10ccbfa3b8622
	assert: Decorate error message buffer

	* assert/assert.c: Modified.
	(__assert_fail_base): Modified function.
	(setvmaname.h): Include file.

2023-11-07  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: fee9e40a8da75fad9717668f6dddcc26f3feca2d
	malloc: Decorate malloc maps

	* elf/Makefile: Modified.
	* elf/dl-minimal-malloc.c: Modified.
	(__minimal_malloc): Modified function.
	(setvmaname.h): Include file.
	* elf/tst-decorate-maps.c: Modified.
	(tf): Modified function.
	(proc_maps_t): Modified.
	(read_proc_maps): Modified function.
	(do_test_threads): Modified function.
	(expected_n_arenas): New.
	(do_prepare): New function.
	(PREPARE): New.
	* malloc/arena.c: Modified.
	(alloc_new_heap): Modified function.
	(setvmaname.h): Include file.
	* malloc/malloc.c: Modified.
	(sysmalloc_mmap): Modified function.
	(sysmalloc_mmap_fallback): Modified function.
	(setvmaname.h): Include file.
	* nptl/Makefile: Modified.

2023-11-07  Adhemerval Zanella  <adhemerval.zanella@linaro.org>
            Ian Rogers  <irogers@google.com>

	COMMIT: 6afce56c197ee83520994a2c94a82c2ca2bce9fa
	nptl: Decorate thread stack on pthread_create

	* elf/Makefile: Modified.
	* elf/tst-decorate-maps.c: New file.
	* nptl/allocatestack.c: Modified.
	(intprops.h): Include file.
	(setvmaname.h): Include file.
	(ANON_VMA_NAME_MAX_LEN): New.
	(SET_STACK_NAME): New.
	(name_stack_maps): New function.
	* nptl/pthread_create.c: Modified.
	(start_thread): Modified function.

2023-11-07  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: ed318beab986c6f6ccf2507d4753dfea6a7b1f8d
	support: Add support_set_vma_name

	* support/Makefile: Modified.
	* support/support.h: Modified.
	(support_set_vma_name_supported): New function.
	* support/support_set_vma_name_supported.c: New file.

2023-11-07  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 78ed8bdf4f13e7f5d8eef77c12fbb030fdbdafe0
	linux: Add PR_SET_VMA_ANON_NAME support

	* include/sys/prctl.h: Modified.
	[! _ISOMAC][! PR_SET_VMA](PR_SET_VMA): New.
	[! _ISOMAC][! PR_SET_VMA](PR_SET_VMA_ANON_NAME): New.
	* sysdeps/generic/setvmaname.h: New file.
	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/setvmaname.c: New file.
	* sysdeps/unix/sysv/linux/setvmaname.h: New file.

2023-11-07  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 091ee2190dd5f30ca5eb4549f531ab7b75a1fd6e
	hurd: statfsconv: Add missing f_ffree conversion

	* sysdeps/mach/hurd/statfsconv.c: Modified.
	(statfs64_conv): Modified function.

2023-11-06  Flavio Cruz  <flaviocruz@gmail.com>

	COMMIT: 5dd3bda59c2d9da138f0d98808d087cdb95cdc17
	Update BAD_TYPECHECK to work on x86_64

	* sysdeps/mach/mach_rpc.h: Modified.
	[! __x86_64__](_Static_assert): Remove.
	(BAD_TYPECHECK): Modified.
	(_Static_assert): New function.

2023-11-03  Sergio Durigan Junior  <sergiodj@sergiodj.net>
            Simon Chopin  <simon.chopin@canonical.com>
            Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: f957f47df75b9fab995754011491edebc6feb147
	sysdeps: sem_open: Clear O_CREAT when semaphore file is expected to exist [BZ #30789]

	* sysdeps/pthread/sem_open.c: Modified.
	(__sem_open): Modified function.
	(SEM_OPEN_FLAGS): New.

2023-11-03  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: ac79930498d1fa8a85f367c8e21cd2abbfa5bebb
	Add SEGV_CPERR from Linux 6.6 to bits/siginfo-consts.h

	* sysdeps/unix/sysv/linux/bits/siginfo-consts.h: Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_XOPEN2K8](<anonymous>): Modified.

2023-11-03  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: d3476c20b29782453aa5d432a62eed4dde7d6269
	linux: Sync Linux 6.6 elf.h

	* elf/elf.h: Modified.
	(NT_X86_SHSTK): New.
	(NT_RISCV_CSR): New.
	(NT_RISCV_VECTOR): New.
	(NT_LOONGARCH_HW_BREAK): New.
	(NT_LOONGARCH_HW_WATCH): New.

2023-11-03  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 9b3cb0277e3aabd3f472481abddcc19d003b3ebc
	linux: Add HWCAP2_HBC from Linux 6.6 to AArch64 bits/hwcap.h

	* sysdeps/unix/sysv/linux/aarch64/bits/hwcap.h: Modified.
	(HWCAP2_HBC): New.

2023-11-03  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 10b4c8b96fe0602ab5acb1d92bd5ce451803071b
	linux: Add FSCONFIG_CMD_CREATE_EXCL from Linux 6.6 to sys/mount.h

	* sysdeps/unix/sysv/linux/sys/mount.h: Modified.
	[! FSOPEN_CLOEXEC](fsconfig_command): Modified.

2023-11-03  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: cb8c78b2ffa0b77ae453b2d328d7e2fe5186ef2a
	linux: Add MMAP_ABOVE4G from Linux 6.6 to sys/mman.h

	* sysdeps/unix/sysv/linux/tst-mman-consts.py: Modified.
	* sysdeps/unix/sysv/linux/x86/bits/mman.h: Modified.
	(MAP_ABOVE4G): New.

2023-11-03  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: f680063f302df3c1bb7cbaec8250f0b2247c91bc
	Update kernel version to 6.6 in header constant tests

	* sysdeps/unix/sysv/linux/tst-mount-consts.py: Modified.
	* sysdeps/unix/sysv/linux/tst-pidfd-consts.py: Modified.

2023-11-03  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 582383b37d95b133c1ee6855ffaa2b1f5cb3d3b8
	Update syscall lists for Linux 6.6

	* sysdeps/unix/sysv/linux/aarch64/arch-syscall.h: Modified.
	(__NR_fchmodat2): New.
	* sysdeps/unix/sysv/linux/alpha/arch-syscall.h: Modified.
	(__NR_fchmodat2): New.
	* sysdeps/unix/sysv/linux/arc/arch-syscall.h: Modified.
	(__NR_fchmodat2): New.
	* sysdeps/unix/sysv/linux/arm/arch-syscall.h: Modified.
	(__NR_fchmodat2): New.
	* sysdeps/unix/sysv/linux/csky/arch-syscall.h: Modified.
	(__NR_fchmodat2): New.
	* sysdeps/unix/sysv/linux/hppa/arch-syscall.h: Modified.
	(__NR_fchmodat2): New.
	* sysdeps/unix/sysv/linux/i386/arch-syscall.h: Modified.
	(__NR_fchmodat2): New.
	* sysdeps/unix/sysv/linux/ia64/arch-syscall.h: Modified.
	(__NR_fchmodat2): New.
	* sysdeps/unix/sysv/linux/loongarch/arch-syscall.h: Modified.
	(__NR_fchmodat2): New.
	* sysdeps/unix/sysv/linux/m68k/arch-syscall.h: Modified.
	(__NR_fchmodat2): New.
	* sysdeps/unix/sysv/linux/microblaze/arch-syscall.h: Modified.
	(__NR_fchmodat2): New.
	* sysdeps/unix/sysv/linux/mips/mips32/arch-syscall.h: Modified.
	(__NR_fchmodat2): New.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/arch-syscall.h: Modified.
	(__NR_fchmodat2): New.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/arch-syscall.h: Modified.
	(__NR_fchmodat2): New.
	* sysdeps/unix/sysv/linux/nios2/arch-syscall.h: Modified.
	(__NR_fchmodat2): New.
	* sysdeps/unix/sysv/linux/or1k/arch-syscall.h: Modified.
	(__NR_fchmodat2): New.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/arch-syscall.h: Modified.
	(__NR_fchmodat2): New.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/arch-syscall.h: Modified.
	(__NR_fchmodat2): New.
	* sysdeps/unix/sysv/linux/riscv/rv32/arch-syscall.h: Modified.
	(__NR_fchmodat2): New.
	* sysdeps/unix/sysv/linux/riscv/rv64/arch-syscall.h: Modified.
	(__NR_fchmodat2): New.
	* sysdeps/unix/sysv/linux/s390/s390-32/arch-syscall.h: Modified.
	(__NR_fchmodat2): New.
	* sysdeps/unix/sysv/linux/s390/s390-64/arch-syscall.h: Modified.
	(__NR_fchmodat2): New.
	* sysdeps/unix/sysv/linux/sh/arch-syscall.h: Modified.
	(__NR_fchmodat2): New.
	* sysdeps/unix/sysv/linux/sparc/sparc32/arch-syscall.h: Modified.
	(__NR_fchmodat2): New.
	* sysdeps/unix/sysv/linux/sparc/sparc64/arch-syscall.h: Modified.
	(__NR_fchmodat2): New.
	* sysdeps/unix/sysv/linux/syscall-names.list: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/arch-syscall.h: Modified.
	(__NR_fchmodat2): New.
	(__NR_map_shadow_stack): New.
	* sysdeps/unix/sysv/linux/x86_64/x32/arch-syscall.h: Modified.
	(__NR_fchmodat2): New.

2023-11-03  Maxim Kuvyrkov  <maxim.kuvyrkov@linaro.org>

	COMMIT: 02976a4a4b2d01a524b33a508994664ffaf88d79
	Format test results closer to what DejaGnu does

	* Makefile: Modified.
	* scripts/merge-test-results.sh: Modified.

2023-11-01  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 9fd3409842b3e2d31cff5dbd6f96066c430f0aa2
	AArch64: Cleanup ifuncs

	* sysdeps/aarch64/memset.S: Modified.
	* sysdeps/aarch64/multiarch/Makefile: Modified.
	* sysdeps/aarch64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/aarch64/multiarch/memchr_nosimd.S: Modified.
	* sysdeps/aarch64/multiarch/memcpy_a64fx.S: Modified.
	* sysdeps/aarch64/multiarch/memcpy_falkor.S: Modified.
	* sysdeps/aarch64/multiarch/memcpy_sve.S: Modified.
	* sysdeps/aarch64/multiarch/memcpy_thunderx.S: Modified.
	* sysdeps/aarch64/multiarch/memcpy_thunderx2.S: Modified.
	* sysdeps/aarch64/multiarch/memset_a64fx.S: Modified.
	* sysdeps/aarch64/multiarch/memset_base64.S: Modified.
	* sysdeps/aarch64/multiarch/memset_emag.S: Modified.
	* sysdeps/aarch64/multiarch/memset_generic.S: Modified.
	* sysdeps/aarch64/multiarch/memset_kunpeng.S: Modified.
	* sysdeps/aarch64/multiarch/rtld-memset.S: Delete file.
	* sysdeps/aarch64/multiarch/strlen.c: Modified.
	(__strlen_mte): Remove.
	(libc_ifunc): Modified.
	(__strlen_generic): New.
	* sysdeps/aarch64/multiarch/strlen_asimd.S: Modified.
	* sysdeps/aarch64/multiarch/strlen_mte.S: Move to...
	* sysdeps/aarch64/multiarch/strlen_generic.S: ... here.

2023-11-01  Arjun Shankar  <arjun@redhat.com>

	COMMIT: 9db31d7456a68f7fc448b28dceced26db96f4d66
	Use correct subdir when building tst-rfc3484* for mach and arm

	* sysdeps/mach/Makefile: Modified.
	* sysdeps/unix/sysv/linux/arm/Makefile: Modified.

2023-10-31  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: bc888a3976700a3607f6ec4a36dbf3030161cb3e
	stdlib: Add more qsort{_r} coverage

	* stdlib/Makefile: Modified.
	* stdlib/tst-qsort3.c: New file.

2023-10-31  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 03bf8357e8291857a435afcc3048e0b697b6cc04
	stdlib: Remove use of mergesort on qsort (BZ 21719)

	* include/stdlib.h: Modified.
	[! _ISOMAC](_quicksort): Remove.
	* manual/argp.texi: Modified.
	* manual/locale.texi: Modified.
	* manual/search.texi: Modified.
	* stdlib/Makefile: Modified.
	* stdlib/msort.c: Delete file.
	* stdlib/qsort.c: Modified.
	(alloca.h): Remove include.
	(_quicksort): Remove function.
	(__qsort_r): New function.
	(libc_hidden_def): New.
	(weak_alias): New.
	(qsort): New function.
	(libc_hidden_def): New.

2023-10-31  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 274a46c9b25ab733a1fb9fb1497f1beecae30193
	stdlib: Implement introsort for qsort (BZ 19305)

	* stdlib/qsort.c: Modified.
	(stack_node): Modified.
	(push): Modified function.
	(pop): Modified function.
	(_quicksort): Modified function.
	(siftdown): New function.
	(heapify): New function.
	(heapsort_r): New function.

2023-10-31  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: d097f3c79be55d646d86efb7ce876bf84d5ebe4e
	stdlib: qsort: Move some macros to inline function

	* stdlib/qsort.c: Modified.
	(STACK_SIZE): Remove.
	(PUSH): Remove.
	(POP): Remove.
	(STACK_NOT_EMPTY): Remove.
	(_quicksort): Modified function.
	(<anonymous>): New.
	(push): New function.
	(pop): New function.

2023-10-31  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: a035a9857e11faf16ed021b5e80faf215262afd1
	stdlib: Move insertion sort out qsort

	* stdlib/qsort.c: Modified.
	(_quicksort): Modified function.
	(insertion_sort_qsort_partitions): New function.

2023-10-31  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 21d30c774c7f9f5878f0bf9438736c702b0a58a3
	stdlib: Optimization qsort{_r} swap implementation

	* stdlib/qsort.c: Modified.
	(SWAP): Remove.
	(_quicksort): Modified function.
	(memswap.h): Include file.
	(stdbool.h): Include file.
	(swap_type_t): New.
	(is_aligned): New function.
	(swap_words_64): New function.
	(swap_words_32): New function.
	(do_swap): New function.

2023-10-31  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: fccf38c51746e0817c2409bb361398f9465e0760
	string: Add internal memswap implementation

	* string/Makefile: Modified.
	* string/test-memswap.c: New file.
	* sysdeps/generic/memswap.h: New file.

2023-10-31  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: e3397cae92af83ddbf7b9cb89d8c18cb7382fde4
	crypt: Remove manul entry for --enable-crypt

	* manual/install.texi: Modified.

2023-10-31  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 41488f67262b0e69252a790d36ed06f20ff11aaf
	Use Linux 6.6 in build-many-glibcs.py

	* scripts/build-many-glibcs.py: Modified.

2023-10-30  Adhemerval Zanella  <adhemerval.zanella@linaro.org>
            Zack Weinberg  <zack@owlfolio.org>

	COMMIT: e6e3c666880847ad908692087ca6d5015895dffa
	crypt: Remove libcrypt support

	* CONTRIBUTED-BY: Modified.
	* INSTALL: Modified.
	* Makeconfig: Modified.
	* NEWS: Modified.
	* SHARED-FILES: Modified.
	* config.make.in: Modified.
	* configure: Modified.
	* configure.ac: Modified.
	* conform/Makefile: Modified.
	* crypt/Makefile: Delete file.
	* crypt/README.ufc-crypt: Delete file.
	* crypt/Versions: Delete file.
	* crypt/badsalttest.c: Delete file.
	* crypt/cert.c: Delete file.
	* crypt/cert.input: Delete file.
	* crypt/crypt-entry.c: Delete file.
	* crypt/crypt-private.h: Delete file.
	* crypt/crypt.c: Delete file.
	* crypt/crypt.h: Delete file.
	* crypt/crypt_util.c: Delete file.
	* crypt/md5-crypt.c: Delete file.
	* crypt/md5c-test.c: Delete file.
	* crypt/md5test-giant.c: Delete file.
	* crypt/md5test.c: Delete file.
	* crypt/sha256-block.c: Delete file.
	* crypt/sha256-crypt.c: Delete file.
	* crypt/sha256.c: Delete file.
	* crypt/sha256.h: Delete file.
	* crypt/sha256c-test.c: Delete file.
	* crypt/sha256test.c: Delete file.
	* crypt/sha512-block.c: Delete file.
	* crypt/sha512-crypt.c: Delete file.
	* crypt/sha512.c: Delete file.
	* crypt/sha512.h: Delete file.
	* crypt/sha512c-test.c: Delete file.
	* crypt/sha512test.c: Delete file.
	* crypt/speeds.c: Delete file.
	* crypt/ufc-crypt.h: Delete file.
	* crypt/ufc.c: Delete file.
	* elf/Makefile: Modified.
	* elf/tst-linkall-static.c: Modified.
	[USE_CRYPT](crypt.h): Remove.
	* include/crypt.h: Delete file.
	* locale/Makefile: Modified.
	* locale/programs/locarchive.c: Modified.
	(../../crypt/md5.h): Remove include.
	(md5.h): Include file.
	* locale/programs/locfile.c: Modified.
	(../../crypt/md5.h): Remove include.
	(md5.h): Include file.
	* crypt/md5-block.c: Move to...
	* locale/programs/md5-block.c: ... here.
	* crypt/md5.c: Move to...
	* locale/programs/md5.c: ... here.
	[!(STDC_HEADERS ||  _LIBC)][! HAVE_MEMCPY](memcpy): Remove.
	[HAVE_CONFIG_H](config.h): Remove.
	[STDC_HEADERS ||  _LIBC](stdlib.h): Remove.
	[STDC_HEADERS ||  _LIBC](string.h): Remove.
	[_LIBC][__BYTE_ORDER == __BIG_ENDIAN](WORDS_BIGENDIAN): Remove.
	[_LIBC](endian.h): Remove.
	[_LIBC](md5_init_ctx): Remove.
	[_LIBC](md5_process_bytes): Remove.
	[_LIBC](md5_finish_ctx): Remove.
	[_LIBC](md5_read_ctx): Remove.
	[_LIBC](md5_stream): Remove.
	[_LIBC](md5_buffer): Remove.
	(sys/types.h): Remove include.
	(md5_init_ctx): Remove function.
	(md5_read_ctx): Remove function.
	(md5_finish_ctx): Remove function.
	(md5_stream): Remove function.
	(md5_buffer): Remove function.
	(md5_process_bytes): Remove function.
	[__BYTE_ORDER == __BIG_ENDIAN](WORDS_BIGENDIAN): New.
	(string.h): Include file.
	(endian.h): Include file.
	(__md5_init_ctx): New function.
	(__md5_read_ctx): New function.
	(__md5_finish_ctx): New function.
	(__md5_buffer): New function.
	(__md5_process_bytes): New function.
	* crypt/md5.h: Move to...
	* locale/programs/md5.h: ... here.
	[! _LIBC][! UINT_MAX](UINT_MAX): Remove.
	[! _LIBC][UINT_MAX != UINT_MAX_32_BITS][USHRT_MAX != UINT_MAX_32_BITS][ULONG_MAX != UINT_MAX_32_BITS](md5_uintptr): Remove.
	[! _LIBC][UINT_MAX != UINT_MAX_32_BITS][USHRT_MAX != UINT_MAX_32_BITS][ULONG_MAX == UINT_MAX_32_BITS](md5_uint32): Remove.
	[! _LIBC][UINT_MAX != UINT_MAX_32_BITS][USHRT_MAX != UINT_MAX_32_BITS](md5_uintptr): Remove.
	[! _LIBC][UINT_MAX != UINT_MAX_32_BITS][USHRT_MAX == UINT_MAX_32_BITS](md5_uint32): Remove.
	[! _LIBC][UINT_MAX != UINT_MAX_32_BITS](md5_ctx): Remove.
	[! _LIBC][UINT_MAX != UINT_MAX_32_BITS](__md5_init_ctx): Remove.
	[! _LIBC][UINT_MAX != UINT_MAX_32_BITS](__md5_process_block): Remove.
	[! _LIBC][UINT_MAX != UINT_MAX_32_BITS](__md5_process_bytes): Remove.
	[! _LIBC][UINT_MAX != UINT_MAX_32_BITS](__md5_finish_ctx): Remove.
	[! _LIBC][UINT_MAX != UINT_MAX_32_BITS](__md5_read_ctx): Remove.
	[! _LIBC][UINT_MAX != UINT_MAX_32_BITS](__md5_stream): Remove.
	[! _LIBC][UINT_MAX != UINT_MAX_32_BITS](__md5_buffer): Remove.
	[! _LIBC][UINT_MAX == UINT_MAX_32_BITS](md5_uint32): Remove.
	[! _LIBC](UINT_MAX_32_BITS): Remove.
	[HAVE_LIMITS_H ||  _LIBC](limits.h): Remove.
	[_LIBC](stdint.h): Remove.
	[_LIBC](md5_uint32): Remove.
	[_LIBC](md5_uintptr): Remove.
	(stdio.h): Remove include.
	(stdint.h): Include file.
	(md5_uint32): New.
	(md5_uintptr): New.
	(md5_ctx): New.
	(__md5_init_ctx): New function.
	(__md5_process_block): New function.
	(__md5_process_bytes): New function.
	(__md5_finish_ctx): New function.
	(__md5_read_ctx): New function.
	(__md5_buffer): New function.
	* manual/contrib.texi: Modified.
	* manual/crypt.texi: Modified.
	* manual/examples/genpass.c: Delete file.
	* manual/examples/testpass.c: Delete file.
	* manual/users.texi: Modified.
	* posix/unistd.h: Modified.
	[__USE_MISC](crypt): Remove.
	* scripts/build-many-glibcs.py: Modified.
	* scripts/documented.sh: Modified.
	* shlib-versions: Modified.
	* stdio-common/Versions: Modified.
	* sysdeps/generic/fips-private.h: Delete file.
	* sysdeps/generic/libcrypt.abilist: Delete file.
	* sysdeps/mach/Makefile: Modified.
	* sysdeps/mach/hurd/i386/libcrypt.abilist: Delete file.
	* sysdeps/mach/hurd/x86_64/libcrypt.abilist: Delete file.
	* sysdeps/unix/sysv/linux/aarch64/libcrypt.abilist: Delete file.
	* sysdeps/unix/sysv/linux/alpha/libcrypt.abilist: Delete file.
	* sysdeps/unix/sysv/linux/alpha/shlib-versions: Modified.
	* sysdeps/unix/sysv/linux/arc/libcrypt.abilist: Delete file.
	* sysdeps/unix/sysv/linux/arm/Makefile: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libcrypt.abilist: Delete file.
	* sysdeps/unix/sysv/linux/arm/le/libcrypt.abilist: Delete file.
	* sysdeps/unix/sysv/linux/csky/libcrypt.abilist: Delete file.
	* sysdeps/unix/sysv/linux/fips-private.h: Delete file.
	* sysdeps/unix/sysv/linux/hppa/libcrypt.abilist: Delete file.
	* sysdeps/unix/sysv/linux/i386/libcrypt.abilist: Delete file.
	* sysdeps/unix/sysv/linux/ia64/libcrypt.abilist: Delete file.
	* sysdeps/unix/sysv/linux/loongarch/lp64/libcrypt.abilist: Delete file.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libcrypt.abilist: Delete file.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libcrypt.abilist: Delete file.
	* sysdeps/unix/sysv/linux/microblaze/be/libcrypt.abilist: Delete file.
	* sysdeps/unix/sysv/linux/microblaze/le/libcrypt.abilist: Delete file.
	* sysdeps/unix/sysv/linux/mips/mips32/libcrypt.abilist: Delete file.
	* sysdeps/unix/sysv/linux/mips/mips64/libcrypt.abilist: Delete file.
	* sysdeps/unix/sysv/linux/nios2/libcrypt.abilist: Delete file.
	* sysdeps/unix/sysv/linux/or1k/libcrypt.abilist: Delete file.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/libcrypt.abilist: Delete file.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libcrypt.abilist: Delete file.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libcrypt.abilist: Delete file.
	* sysdeps/unix/sysv/linux/riscv/rv32/libcrypt.abilist: Delete file.
	* sysdeps/unix/sysv/linux/riscv/rv64/libcrypt.abilist: Delete file.
	* sysdeps/unix/sysv/linux/s390/s390-32/libcrypt.abilist: Delete file.
	* sysdeps/unix/sysv/linux/s390/s390-64/libcrypt.abilist: Delete file.
	* sysdeps/unix/sysv/linux/sh/be/libcrypt.abilist: Delete file.
	* sysdeps/unix/sysv/linux/sh/le/libcrypt.abilist: Delete file.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libcrypt.abilist: Delete file.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libcrypt.abilist: Delete file.
	* sysdeps/unix/sysv/linux/x86_64/64/libcrypt.abilist: Delete file.
	* sysdeps/unix/sysv/linux/x86_64/x32/libcrypt.abilist: Delete file.

2023-10-30  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: bb2ff12abd1ee7945957c6fb6f4c9ee091e446ce
	sparc: Remove optimize md5, sha256, and sha512

	* scripts/build-many-glibcs.py: Modified.
	* sysdeps/sparc/sparc32/sparcv9/multiarch/Makefile: Modified.
	* sysdeps/sparc/sparc32/sparcv9/multiarch/md5-block.c: Delete file.
	* sysdeps/sparc/sparc32/sparcv9/multiarch/md5-crop.S: Delete file.
	* sysdeps/sparc/sparc32/sparcv9/multiarch/sha256-block.c: Delete file.
	* sysdeps/sparc/sparc32/sparcv9/multiarch/sha256-crop.S: Delete file.
	* sysdeps/sparc/sparc32/sparcv9/multiarch/sha512-block.c: Delete file.
	* sysdeps/sparc/sparc32/sparcv9/multiarch/sha512-crop.S: Delete file.
	* sysdeps/sparc/sparc64/multiarch/Makefile: Modified.
	* sysdeps/sparc/sparc64/multiarch/md5-block.c: Delete file.
	* sysdeps/sparc/sparc64/multiarch/md5-crop.S: Delete file.
	* sysdeps/sparc/sparc64/multiarch/sha256-block.c: Delete file.
	* sysdeps/sparc/sparc64/multiarch/sha256-crop.S: Delete file.
	* sysdeps/sparc/sparc64/multiarch/sha512-block.c: Delete file.
	* sysdeps/sparc/sparc64/multiarch/sha512-crop.S: Delete file.

2023-10-30  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 1e6ecd21e8a214a6848c8dd6c070c5d97dac7e31
	build-many-glibcs: Fix traililing whitespace

	* scripts/build-many-glibcs.py: Modified.

2023-10-26  caiyinyu  <caiyinyu@loongson.cn>

	COMMIT: dd53a60282eaccf0eca2c98d147e22abd752c45e
	LoongArch: Delete excessively allocated memory.

	* sysdeps/loongarch/dl-trampoline.h: Modified.
	[USE_LASX](FRAME_SIZE): Modified.
	[USE_LSX](FRAME_SIZE): Modified.
	[__loongarch_soft_float][USE_LASX](FRAME_SIZE): Modified.
	[__loongarch_soft_float][USE_LSX](FRAME_SIZE): Modified.

2023-10-26  caiyinyu  <caiyinyu@loongson.cn>

	COMMIT: 83c081f73e996479e752cd7041b613aec8b0d23c
	LoongArch: Update hwcap.h to sync with LoongArch kernel.

	* sysdeps/unix/sysv/linux/loongarch/bits/hwcap.h: Modified.
	(HWCAP_LOONGARCH_PTW): New.

2023-10-26  caiyinyu  <caiyinyu@loongson.cn>

	COMMIT: 83e9576d415c85faf9b2aaa9d2c9c41c85f08b69
	LoongArch: Unify Register Names.

	* sysdeps/loongarch/__longjmp.S: Modified.
	* sysdeps/loongarch/setjmp.S: Modified.

2023-10-24  Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 2bd00179885928fd95fcabfafc50e7b5c6e660d2
	AArch64: Add support for MOPS memcpy/memmove/memset

	* sysdeps/aarch64/multiarch/Makefile: Modified.
	* sysdeps/aarch64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/aarch64/multiarch/init-arch.h: Modified.
	(INIT_ARCH): Modified.
	* sysdeps/aarch64/multiarch/memcpy.c: Modified.
	(__typeof): Modified function.
	(__memcpy_mops): New.
	* sysdeps/aarch64/multiarch/memcpy_mops.S: New file.
	* sysdeps/aarch64/multiarch/memmove.c: Modified.
	(__typeof): Modified function.
	(__memmove_mops): New.
	* sysdeps/aarch64/multiarch/memmove_mops.S: New file.
	* sysdeps/aarch64/multiarch/memset.c: Modified.
	(__typeof): Modified function.
	(__memset_mops): New.
	* sysdeps/aarch64/multiarch/memset_mops.S: New file.
	* sysdeps/unix/sysv/linux/aarch64/cpu-features.c: Modified.
	(init_cpu_features): Modified function.
	* sysdeps/unix/sysv/linux/aarch64/cpu-features.h: Modified.
	(cpu_features): Modified.

2023-10-24  Arjun Shankar  <arjun@redhat.com>

	COMMIT: 2f1c6652d7b339526cfebc87c64c6f130cabc9ba
	Move getnameinfo from 'inet' to 'nss'

	* inet/Makefile: Modified.
	* nss/Makefile: Modified.
	* nss/Versions: Modified.
	* inet/getnameinfo.c: Move to...
	* nss/getnameinfo.c: ... here.
	(net-internal.h): Remove include.
	(inet/net-internal.h): Include file.
	* posix/Versions: Modified.

2023-10-24  Arjun Shankar  <arjun@redhat.com>

	COMMIT: 7f602256ab5b85db1dbfb5f40bd109c4b37b68c8
	Move getaddrinfo from 'posix' into 'nss'

	* nss/Makefile: Modified.
	* nss/Versions: Modified.
	* sysdeps/posix/getaddrinfo.c: Move to...
	* nss/getaddrinfo.c: ... here.
	* posix/tst-getaddrinfo.c: Move to...
	* nss/tst-getaddrinfo.c: ... here.
	* posix/tst-getaddrinfo2.c: Move to...
	* nss/tst-getaddrinfo2.c: ... here.
	* posix/tst-getaddrinfo3.c: Move to...
	* nss/tst-getaddrinfo3.c: ... here.
	* posix/tst-getaddrinfo4.c: Move to...
	* nss/tst-getaddrinfo4.c: ... here.
	* posix/tst-getaddrinfo5.c: Move to...
	* nss/tst-getaddrinfo5.c: ... here.
	* posix/tst-rfc3484-2.c: Move to...
	* nss/tst-rfc3484-2.c: ... here.
	(../sysdeps/posix/getaddrinfo.c): Remove include.
	(getaddrinfo.c): Include file.
	* posix/tst-rfc3484-3.c: Move to...
	* nss/tst-rfc3484-3.c: ... here.
	(../sysdeps/posix/getaddrinfo.c): Remove include.
	(getaddrinfo.c): Include file.
	* posix/tst-rfc3484.c: Move to...
	* nss/tst-rfc3484.c: ... here.
	(../sysdeps/posix/getaddrinfo.c): Remove include.
	(getaddrinfo.c): Include file.
	* posix/Makefile: Modified.
	* posix/Versions: Modified.
	* posix/getaddrinfo.c: Delete file.

2023-10-24  Arjun Shankar  <arjun@redhat.com>

	COMMIT: 1d74d2f042a405982661267394e16126db70dc5f
	Move 'services' routines from 'inet' into 'nss'

	* inet/Makefile: Modified.
	* inet/Versions: Modified.
	* nss/Makefile: Modified.
	* nss/Versions: Modified.
	* inet/getservent.c: Move to...
	* nss/getservent.c: ... here.
	* inet/getservent_r.c: Move to...
	* nss/getservent_r.c: ... here.
	* inet/getsrvbynm.c: Move to...
	* nss/getsrvbynm.c: ... here.
	* inet/getsrvbynm_r.c: Move to...
	* nss/getsrvbynm_r.c: ... here.
	* inet/getsrvbypt.c: Move to...
	* nss/getsrvbypt.c: ... here.
	* inet/getsrvbypt_r.c: Move to...
	* nss/getsrvbypt_r.c: ... here.

2023-10-24  Arjun Shankar  <arjun@redhat.com>

	COMMIT: 9b63a8ac404733851798680da1dc9f53ee70b64c
	Move 'rpc' routines from 'inet' into 'nss'

	* inet/Makefile: Modified.
	* nss/Makefile: Modified.
	* nss/Versions: Modified.
	* inet/getrpcbyname.c: Move to...
	* nss/getrpcbyname.c: ... here.
	* inet/getrpcbyname_r.c: Move to...
	* nss/getrpcbyname_r.c: ... here.
	* inet/getrpcbynumber.c: Move to...
	* nss/getrpcbynumber.c: ... here.
	* inet/getrpcbynumber_r.c: Move to...
	* nss/getrpcbynumber_r.c: ... here.
	* inet/getrpcent.c: Move to...
	* nss/getrpcent.c: ... here.
	* inet/getrpcent_r.c: Move to...
	* nss/getrpcent_r.c: ... here.
	* sunrpc/test-rpcent.c: Move to...
	* nss/test-rpcent.c: ... here.
	* sunrpc/Makefile: Modified.
	* sunrpc/Versions: Modified.

2023-10-24  Arjun Shankar  <arjun@redhat.com>

	COMMIT: a25a060c358358d61d683dc8e9aa9df91e877a35
	Move 'protocols' routines from 'inet' into 'nss'

	* inet/Makefile: Modified.
	* inet/Versions: Modified.
	* nss/Makefile: Modified.
	* nss/Versions: Modified.
	* inet/getproto.c: Move to...
	* nss/getproto.c: ... here.
	* inet/getproto_r.c: Move to...
	* nss/getproto_r.c: ... here.
	* inet/getprtent.c: Move to...
	* nss/getprtent.c: ... here.
	* inet/getprtent_r.c: Move to...
	* nss/getprtent_r.c: ... here.
	* inet/getprtname.c: Move to...
	* nss/getprtname.c: ... here.
	* inet/getprtname_r.c: Move to...
	* nss/getprtname_r.c: ... here.

2023-10-24  Arjun Shankar  <arjun@redhat.com>

	COMMIT: 5a6e784e64c9e3d9b16b257f73cc6332771d9e18
	Move 'networks' routines from 'inet' into 'nss'

	* inet/Makefile: Modified.
	* inet/Versions: Modified.
	* nss/Makefile: Modified.
	* nss/Versions: Modified.
	* inet/getnetbyad.c: Move to...
	* nss/getnetbyad.c: ... here.
	* inet/getnetbyad_r.c: Move to...
	* nss/getnetbyad_r.c: ... here.
	* inet/getnetbynm.c: Move to...
	* nss/getnetbynm.c: ... here.
	* inet/getnetbynm_r.c: Move to...
	* nss/getnetbynm_r.c: ... here.
	* inet/getnetent.c: Move to...
	* nss/getnetent.c: ... here.
	* inet/getnetent_r.c: Move to...
	* nss/getnetent_r.c: ... here.

2023-10-24  Arjun Shankar  <arjun@redhat.com>

	COMMIT: 3f7c7ac887f9d0f5d41b3c7d698fe8df939c0a87
	Move 'netgroup' routines from 'inet' into 'nss'

	* include/netdb.h: Modified.
	[! _ISOMAC](inet/netgroup.h): Remove include.
	[! _ISOMAC](nss/netgroup.h): Include file.
	* include/netgroup.h: Modified.
	(inet/netgroup.h): Remove include.
	(nss/netgroup.h): Include file.
	* inet/Makefile: Modified.
	* inet/Versions: Modified.
	* nscd/netgroupcache.c: Modified.
	(../inet/netgroup.h): Remove include.
	(../nss/netgroup.h): Include file.
	* nss/Makefile: Modified.
	* nss/Versions: Modified.
	* inet/getnetgrent.c: Move to...
	* nss/getnetgrent.c: ... here.
	* inet/getnetgrent_r.c: Move to...
	* nss/getnetgrent_r.c: ... here.
	* inet/netgroup.h: Move to...
	* nss/netgroup.h: ... here.

2023-10-24  Arjun Shankar  <arjun@redhat.com>

	COMMIT: a7e8d0b90bc400b4d57afb01c1a54236a5c4754c
	Move 'hosts' routines from 'inet' into 'nss'

	* inet/Makefile: Modified.
	* inet/Versions: Modified.
	* nss/Makefile: Modified.
	* nss/Versions: Modified.
	* inet/gethstbyad.c: Move to...
	* nss/gethstbyad.c: ... here.
	* inet/gethstbyad_r.c: Move to...
	* nss/gethstbyad_r.c: ... here.
	* inet/gethstbynm.c: Move to...
	* nss/gethstbynm.c: ... here.
	* inet/gethstbynm2.c: Move to...
	* nss/gethstbynm2.c: ... here.
	* inet/gethstbynm2_r.c: Move to...
	* nss/gethstbynm2_r.c: ... here.
	* inet/gethstbynm_r.c: Move to...
	* nss/gethstbynm_r.c: ... here.
	* inet/gethstent.c: Move to...
	* nss/gethstent.c: ... here.
	* inet/gethstent_r.c: Move to...
	* nss/gethstent_r.c: ... here.
	* inet/tst-gethnm.c: Move to...
	* nss/tst-gethnm.c: ... here.

2023-10-24  Arjun Shankar  <arjun@redhat.com>

	COMMIT: 1c40266328babd3613d0fc7928449a7b53d87c73
	Move 'ethers' routines from 'inet' into 'nss'

	* inet/Makefile: Modified.
	* inet/Versions: Modified.
	* nss/Makefile: Modified.
	* nss/Versions: Modified.
	* inet/ether_hton.c: Move to...
	* nss/ether_hton.c: ... here.
	(../nss/nsswitch.h): Remove include.
	(nsswitch.h): Include file.
	* inet/ether_ntoh.c: Move to...
	* nss/ether_ntoh.c: ... here.
	(nss/nsswitch.h): Remove include.
	(nsswitch.h): Include file.

2023-10-24  Arjun Shankar  <arjun@redhat.com>

	COMMIT: 4298586619e4a8cf4ba0a5a9da31ae80efac173c
	Move 'aliases' routines from 'inet' into 'nss'

	* include/aliases.h: Modified.
	(inet/aliases.h): Remove include.
	(nss/aliases.h): Include file.
	* inet/Makefile: Modified.
	* inet/Versions: Modified.
	* nss/Makefile: Modified.
	* nss/Versions: Modified.
	* inet/aliases.h: Move to...
	* nss/aliases.h: ... here.
	* inet/getaliasent.c: Move to...
	* nss/getaliasent.c: ... here.
	* inet/getaliasent_r.c: Move to...
	* nss/getaliasent_r.c: ... here.
	* inet/getaliasname.c: Move to...
	* nss/getaliasname.c: ... here.
	* inet/getaliasname_r.c: Move to...
	* nss/getaliasname_r.c: ... here.

2023-10-24  Arjun Shankar  <arjun@redhat.com>

	COMMIT: c6b577caefb7ea2f9a73229f94703792b66f7a8f
	Remove 'shadow' and merge into 'nss'

	* Makeconfig: Modified.
	* include/shadow.h: Modified.
	(shadow/shadow.h): Remove include.
	(nss/shadow.h): Include file.
	* nss/Makefile: Modified.
	* nss/Versions: Modified.
	* shadow/fgetspent.c: Move to...
	* nss/fgetspent.c: ... here.
	* shadow/fgetspent_r.c: Move to...
	* nss/fgetspent_r.c: ... here.
	* shadow/getspent.c: Move to...
	* nss/getspent.c: ... here.
	* shadow/getspent_r.c: Move to...
	* nss/getspent_r.c: ... here.
	* shadow/getspnam.c: Move to...
	* nss/getspnam.c: ... here.
	* shadow/getspnam_r.c: Move to...
	* nss/getspnam_r.c: ... here.
	* shadow/lckpwdf.c: Move to...
	* nss/lckpwdf.c: ... here.
	* shadow/putspent.c: Move to...
	* nss/putspent.c: ... here.
	* shadow/sgetspent.c: Move to...
	* nss/sgetspent.c: ... here.
	* shadow/sgetspent_r.c: Move to...
	* nss/sgetspent_r.c: ... here.
	* shadow/shadow.h: Move to...
	* nss/shadow.h: ... here.
	* shadow/tst-putspent.c: Move to...
	* nss/tst-putspent.c: ... here.
	* shadow/tst-shadow.c: Move to...
	* nss/tst-shadow.c: ... here.
	* shadow/Makefile: Delete file.
	* shadow/Versions: Delete file.

2023-10-24  Arjun Shankar  <arjun@redhat.com>

	COMMIT: 0ac35d181edd38563f95c3b38e74476bfbff76d3
	Remove 'pwd' and merge into 'nss'

	* Makeconfig: Modified.
	* include/pwd.h: Modified.
	(pwd/pwd.h): Remove include.
	(nss/pwd.h): Include file.
	* nss/Makefile: Modified.
	* nss/Versions: Modified.
	* pwd/fgetpwent.c: Move to...
	* nss/fgetpwent.c: ... here.
	* pwd/fgetpwent_r.c: Move to...
	* nss/fgetpwent_r.c: ... here.
	* pwd/getpw.c: Move to...
	* nss/getpw.c: ... here.
	* pwd/getpwent.c: Move to...
	* nss/getpwent.c: ... here.
	* pwd/getpwent_r.c: Move to...
	* nss/getpwent_r.c: ... here.
	* pwd/getpwnam.c: Move to...
	* nss/getpwnam.c: ... here.
	* pwd/getpwnam_r.c: Move to...
	* nss/getpwnam_r.c: ... here.
	* pwd/getpwuid.c: Move to...
	* nss/getpwuid.c: ... here.
	* pwd/getpwuid_r.c: Move to...
	* nss/getpwuid_r.c: ... here.
	* pwd/putpwent.c: Move to...
	* nss/putpwent.c: ... here.
	* pwd/pwd.h: Move to...
	* nss/pwd.h: ... here.
	* pwd/tst-getpw.c: Move to...
	* nss/tst-getpw.c: ... here.
	* pwd/tst-putpwent.c: Move to...
	* nss/tst-putpwent.c: ... here.
	* pwd/Makefile: Delete file.
	* pwd/Versions: Delete file.

2023-10-24  Arjun Shankar  <arjun@redhat.com>

	COMMIT: 98b107e30848198e7128f80b38b406585f0317d6
	Remove 'gshadow' and merge into 'nss'

	* Makeconfig: Modified.
	* gshadow/Makefile: Delete file.
	* gshadow/Versions: Delete file.
	* include/gshadow.h: Modified.
	(gshadow/gshadow.h): Remove include.
	(nss/gshadow.h): Include file.
	* nss/Makefile: Modified.
	* nss/Versions: Modified.
	* gshadow/fgetsgent.c: Move to...
	* nss/fgetsgent.c: ... here.
	* gshadow/fgetsgent_r.c: Move to...
	* nss/fgetsgent_r.c: ... here.
	* gshadow/getsgent.c: Move to...
	* nss/getsgent.c: ... here.
	* gshadow/getsgent_r.c: Move to...
	* nss/getsgent_r.c: ... here.
	* gshadow/getsgnam.c: Move to...
	* nss/getsgnam.c: ... here.
	* gshadow/getsgnam_r.c: Move to...
	* nss/getsgnam_r.c: ... here.
	* gshadow/gshadow.h: Move to...
	* nss/gshadow.h: ... here.
	* gshadow/putsgent.c: Move to...
	* nss/putsgent.c: ... here.
	* gshadow/sgetsgent.c: Move to...
	* nss/sgetsgent.c: ... here.
	* gshadow/sgetsgent_r.c: Move to...
	* nss/sgetsgent_r.c: ... here.
	* gshadow/tst-fgetsgent_r.c: Move to...
	* nss/tst-fgetsgent_r.c: ... here.
	* gshadow/tst-gshadow.c: Move to...
	* nss/tst-gshadow.c: ... here.
	* gshadow/tst-putsgent.c: Move to...
	* nss/tst-putsgent.c: ... here.
	* gshadow/tst-sgetsgent.c: Move to...
	* nss/tst-sgetsgent.c: ... here.

2023-10-24  Arjun Shankar  <arjun@redhat.com>

	COMMIT: b121fdc552f392cd86b21f159dd3e3b998de91a3
	Remove 'grp' and merge into 'nss' and 'posix'

	* Makeconfig: Modified.
	* grp/Makefile: Delete file.
	* grp/Versions: Delete file.
	* include/grp-merge.h: Modified.
	(grp/grp-merge.h): Remove include.
	(nss/grp-merge.h): Include file.
	* include/grp.h: Modified.
	(grp/grp.h): Remove include.
	(nss/grp.h): Include file.
	* nscd/initgrcache.c: Modified.
	(../grp/compat-initgroups.c): Remove include.
	(../nss/initgroups-fallback.c): Include file.
	* nss/Makefile: Modified.
	* nss/Versions: Modified.
	* grp/fgetgrent.c: Move to...
	* nss/fgetgrent.c: ... here.
	* grp/fgetgrent_r.c: Move to...
	* nss/fgetgrent_r.c: ... here.
	* grp/getgrent.c: Move to...
	* nss/getgrent.c: ... here.
	* grp/getgrent_r.c: Move to...
	* nss/getgrent_r.c: ... here.
	* grp/getgrgid.c: Move to...
	* nss/getgrgid.c: ... here.
	* grp/getgrgid_r.c: Move to...
	* nss/getgrgid_r.c: ... here.
	* grp/getgrnam.c: Move to...
	* nss/getgrnam.c: ... here.
	* grp/getgrnam_r.c: Move to...
	* nss/getgrnam_r.c: ... here.
	* grp/grp-merge.c: Move to...
	* nss/grp-merge.c: ... here.
	* grp/grp-merge.h: Move to...
	* nss/grp-merge.h: ... here.
	* grp/grp.h: Move to...
	* nss/grp.h: ... here.
	* grp/compat-initgroups.c: Move to...
	* nss/initgroups-fallback.c: ... here.
	* grp/initgroups.c: Move to...
	* nss/initgroups.c: ... here.
	(compat-initgroups.c): Remove include.
	(initgroups-fallback.c): Include file.
	* grp/putgrent.c: Move to...
	* nss/putgrent.c: ... here.
	* grp/testgrp.c: Move to...
	* nss/testgrp.c: ... here.
	* grp/tst-initgroups1.c: Move to...
	* nss/tst-initgroups1.c: ... here.
	* grp/tst-initgroups1.root/etc/group: Move to...
	* nss/tst-initgroups1.root/etc/group: ... here.
	* grp/tst-initgroups1.root/etc/nsswitch.conf: Move to...
	* nss/tst-initgroups1.root/etc/nsswitch.conf: ... here.
	* grp/tst-initgroups1.root/etc/passwd: Move to...
	* nss/tst-initgroups1.root/etc/passwd: ... here.
	* grp/tst-initgroups2.c: Move to...
	* nss/tst-initgroups2.c: ... here.
	* grp/tst-initgroups2.root/etc/group: Move to...
	* nss/tst-initgroups2.root/etc/group: ... here.
	* grp/tst-initgroups2.root/etc/nsswitch.conf: Move to...
	* nss/tst-initgroups2.root/etc/nsswitch.conf: ... here.
	* grp/tst-initgroups2.root/etc/passwd: Move to...
	* nss/tst-initgroups2.root/etc/passwd: ... here.
	* grp/tst-putgrent.c: Move to...
	* nss/tst-putgrent.c: ... here.
	* grp/tst_fgetgrent.c: Move to...
	* nss/tst_fgetgrent.c: ... here.
	* grp/tst_fgetgrent.sh: Move to...
	* nss/tst_fgetgrent.sh: ... here.
	* posix/Makefile: Modified.
	* posix/Versions: Modified.
	* grp/setgroups.c: Move to...
	* posix/setgroups.c: ... here.
	* scripts/update-copyrights: Modified.

2023-10-23  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 83d13972f23546758b600ba940e0d53248dd0339
	malloc: Fix tst-tcfree3 build csky-linux-gnuabiv2 with fortify source

	* malloc/Makefile: Modified.
	* malloc/tst-tcfree3.c: Modified.

2023-10-23  Simon Chopin  <simon.chopin@canonical.com>

	COMMIT: 97290559c3b497fb9012c3f6248cb30afb26da7c
	test-container: disable ld.so system cache on DSO detection

	* Makefile: Modified.

2023-10-23  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: 31aaf6fed986fade042f9ffe7535d8b3f2c173a2
	aarch64: Add vector implementations of exp10 routines

	* sysdeps/aarch64/fpu/Makefile: Modified.
	* sysdeps/aarch64/fpu/Versions: Modified.
	* sysdeps/aarch64/fpu/bits/math-vector.h: Modified.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN4v_exp10f): New function.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN2v_exp10): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_exp10f): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_exp10): New function.
	* sysdeps/aarch64/fpu/exp10_advsimd.c: New file.
	* sysdeps/aarch64/fpu/exp10_sve.c: New file.
	* sysdeps/aarch64/fpu/exp10f_advsimd.c: New file.
	* sysdeps/aarch64/fpu/exp10f_sve.c: New file.
	* sysdeps/aarch64/fpu/test-double-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-double-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/test-float-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-float-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libmvec.abilist: Modified.

2023-10-23  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: 067a34156c19fb3c53824e37d70820c0ce5b87b2
	aarch64: Add vector implementations of log10 routines

	* sysdeps/aarch64/fpu/Makefile: Modified.
	* sysdeps/aarch64/fpu/Versions: Modified.
	* sysdeps/aarch64/fpu/bits/math-vector.h: Modified.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN4v_log10f): New function.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN2v_log10): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_log10f): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_log10): New function.
	* sysdeps/aarch64/fpu/log10_advsimd.c: New file.
	* sysdeps/aarch64/fpu/log10_sve.c: New file.
	* sysdeps/aarch64/fpu/log10f_advsimd.c: New file.
	* sysdeps/aarch64/fpu/log10f_sve.c: New file.
	* sysdeps/aarch64/fpu/test-double-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-double-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/test-float-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-float-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/v_log10_data.c: New file.
	* sysdeps/aarch64/fpu/vecmath_config.h: Modified.
	(V_LOG10_TABLE_BITS): New.
	(v_log10_data): New.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libmvec.abilist: Modified.

2023-10-23  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: a8e3ab3074d448ff3e58ac8f850d955dfed830ad
	aarch64: Add vector implementations of log2 routines

	* sysdeps/aarch64/fpu/Makefile: Modified.
	* sysdeps/aarch64/fpu/Versions: Modified.
	* sysdeps/aarch64/fpu/bits/math-vector.h: Modified.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN4v_log2f): New function.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN2v_log2): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_log2f): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_log2): New function.
	* sysdeps/aarch64/fpu/log2_advsimd.c: New file.
	* sysdeps/aarch64/fpu/log2_sve.c: New file.
	* sysdeps/aarch64/fpu/log2f_advsimd.c: New file.
	* sysdeps/aarch64/fpu/log2f_sve.c: New file.
	* sysdeps/aarch64/fpu/test-double-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-double-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/test-float-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-float-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/v_log2_data.c: New file.
	* sysdeps/aarch64/fpu/vecmath_config.h: Modified.
	(V_LOG2_TABLE_BITS): New.
	(v_log2_data): New.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libmvec.abilist: Modified.

2023-10-23  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: b39e9db5e305365db0c347fd308b7c0d86e3507b
	aarch64: Add vector implementations of exp2 routines

	* sysdeps/aarch64/fpu/Makefile: Modified.
	* sysdeps/aarch64/fpu/Versions: Modified.
	* sysdeps/aarch64/fpu/bits/math-vector.h: Modified.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN4v_exp2f): New function.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN2v_exp2): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_exp2f): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_exp2): New function.
	* sysdeps/aarch64/fpu/exp2_advsimd.c: New file.
	* sysdeps/aarch64/fpu/exp2_sve.c: New file.
	* sysdeps/aarch64/fpu/exp2f_advsimd.c: New file.
	* sysdeps/aarch64/fpu/exp2f_sve.c: New file.
	* sysdeps/aarch64/fpu/test-double-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-double-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/test-float-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-float-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libmvec.abilist: Modified.

2023-10-23  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: f554334c05a95c6b4df532ddc88cd3e72dc7d04c
	aarch64: Add vector implementations of tan routines

	* math/auto-libm-test-in: Modified.
	* math/auto-libm-test-out-tan: Modified.
	* sysdeps/aarch64/fpu/Makefile: Modified.
	* sysdeps/aarch64/fpu/Versions: Modified.
	* sysdeps/aarch64/fpu/bits/math-vector.h: Modified.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN4v_tanf): New function.
	[__ADVSIMD_VEC_MATH_SUPPORTED](_ZGVnN2v_tan): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_tanf): New function.
	[__SVE_VEC_MATH_SUPPORTED](_ZGVsMxv_tan): New function.
	* sysdeps/aarch64/fpu/poly_advsimd_f32.h: New file.
	* sysdeps/aarch64/fpu/poly_advsimd_f64.h: New file.
	* sysdeps/aarch64/fpu/poly_generic.h: New file.
	* sysdeps/aarch64/fpu/poly_sve_f32.h: New file.
	* sysdeps/aarch64/fpu/poly_sve_f64.h: New file.
	* sysdeps/aarch64/fpu/poly_sve_generic.h: New file.
	* sysdeps/aarch64/fpu/tan_advsimd.c: New file.
	* sysdeps/aarch64/fpu/tan_sve.c: New file.
	* sysdeps/aarch64/fpu/tanf_advsimd.c: New file.
	* sysdeps/aarch64/fpu/tanf_sve.c: New file.
	* sysdeps/aarch64/fpu/test-double-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-double-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/fpu/test-float-advsimd-wrappers.c: Modified.
	* sysdeps/aarch64/fpu/test-float-sve-wrappers.c: Modified.
	(SVE_VECTOR_WRAPPER): New.
	* sysdeps/aarch64/libm-test-ulps: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libmvec.abilist: Modified.

2023-10-20  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 2aa0974d2573441bffd596b07bff8698b1f2f18c
	elf: ldconfig should skip temporary files created by package managers

	* NEWS: Modified.
	* elf/ldconfig.c: Modified.
	(search_dir): Modified function.
	(skip_dso_based_on_name): New function.

2023-10-20  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: f5677d9cebb12edcd9301dbb5cf40f82618b46af
	tst-spawn-cgroup.c: Fix argument order of UNSUPPORTED message.

	* sysdeps/unix/sysv/linux/tst-spawn-cgroup.c: Modified.
	(create_new_cgroup): Modified function.

2023-10-19  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 1c1083a3e48240866cfac595a2d60dfb1e8a1bf1
	Add NT_PPC_DEXCR and NT_PPC_HASHKEYR from Linux 6.5 to elf.h

	* elf/elf.h: Modified.
	(NT_PPC_DEXCR): New.
	(NT_PPC_HASHKEYR): New.

2023-10-19  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 97a58d885b01ecf432e0d96248556245a232597e
	s390: Fix undefined behaviour in feenableexcept, fedisableexcept [BZ #30960]

	* sysdeps/s390/fpu/fedisblxcpt.c: Modified.
	(fedisableexcept): Modified function.
	* sysdeps/s390/fpu/feenablxcpt.c: Modified.
	(feenableexcept): Modified function.

2023-10-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: c06e10c8130358c409c1d2837f8171ef70169d03
	elf: Do not print the cache entry if --inhibit-cache is used

	* elf/dl-usage.c: Modified.
	(print_search_path_for_help): Modified function.

2023-10-18  Florian Weimer  <fweimer@redhat.com>

	COMMIT: dd32e1db386c77c61850a7cbd0c126b7b3c63ece
	Revert "elf: Always call destructors in reverse constructor order (bug 30785)"

	* elf/dl-close.c: Modified.
	(_dl_close_worker): Modified function.
	* elf/dl-fini.c: Modified.
	(_dl_fini): Modified function.
	* elf/dl-init.c: Modified.
	(_dl_init_called_list): Remove.
	(call_init): Modified function.
	* elf/dso-sort-tests-1.def: Modified.
	* elf/tst-audit23.c: Modified.
	(do_test): Modified function.
	* include/link.h: Modified.
	[! _ISOMAC](link_map): Modified.
	* sysdeps/generic/ldsodefs.h: Modified.
	(_dl_init_called_list): Remove.

2023-10-18  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 2ad9b674cf6cd6ba59c064427cb7aeb43a66d8a9
	Revert "elf: Fix compile error with -DNDEBUG [BZ #18755]"

	* elf/dl-close.c: Modified.
	(_dl_close_worker): Modified function.

2023-10-17  Sunil K Pandey  <skpgkp2@gmail.com>

	COMMIT: b316c9a76903fec1596642b3020b3f939c05b8db
	Add strlcat/wcslcat testcase.

	* string/Makefile: Modified.
	* string/tst-strlcat2.c: New file.
	* wcsmbs/Makefile: Modified.
	* wcsmbs/tst-wcslcat2.c: New file.

2023-10-17  Sunil K Pandey  <skpgkp2@gmail.com>

	COMMIT: 23871292fb25d1bf4d17e73490614ea2a3001d78
	Add strlcpy/wcslcpy testcase

	* string/Makefile: Modified.
	* string/tst-strlcpy2.c: New file.
	* wcsmbs/Makefile: Modified.
	* wcsmbs/tst-wcslcpy2.c: New file.

2023-10-17  Bruno Victal  <mirai@makinata.eu>

	COMMIT: 3333eb55b73ed585b8265f2d5dfcd8624173cf8e
	Add LE DSCP code point from RFC-8622.

	* sysdeps/generic/netinet/ip.h: Modified.
	(IPTOS_DSCP_LE): New.

2023-10-17  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: ff5d2abd18629e0efac41e31699cdff3be0e08fa
	Add HWCAP2_MOPS from Linux 6.5 to AArch64 bits/hwcap.h

	* sysdeps/unix/sysv/linux/aarch64/bits/hwcap.h: Modified.
	(HWCAP2_MOPS): New.

2023-10-16  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 5ef608f36493c5d711418c5d31a7ebe710decc6e
	Add SCM_SECURITY, SCM_PIDFD to bits/socket.h

	* sysdeps/unix/sysv/linux/bits/socket.h: Modified.
	(<anonymous>): Modified.

2023-10-16  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 2399ab0d2076b485aa81855e048a7a44d3c12eaa
	Add AT_HANDLE_FID from Linux 6.5 to bits/fcntl-linux.h

	* sysdeps/unix/sysv/linux/bits/fcntl-linux.h: Modified.
	[__USE_GNU](AT_HANDLE_FID): New.

2023-10-16  Andreas Schwab  <schwab@suse.de>

	COMMIT: 5aa1ddfcb3374425b7fe9a1389b98a45a47e4a77
	Avoid maybe-uninitialized warning in __kernel_rem_pio2

	* sysdeps/ieee754/dbl-64/k_rem_pio2.c: Modified.
	(__kernel_rem_pio2): Modified function.

2023-10-16  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 4a829d70ab3bc9e69f3d186471d043e07e0d78d8
	Fix WAIT_FOR_DEBUGGER for container tests.

	* support/support_test_main.c: Modified.
	(run_test_function): Modified function.

2023-10-12  Andreas Schwab  <schwab@suse.de>

	COMMIT: 69239bd7a216007692470aa9d5f3658024638742
	stdlib: fix grouping verification with multi-byte thousands separator (bug 30964)

	* stdlib/grouping.c: Modified.
	[! USE_WIDE_CHAR](__correctly_grouped_prefixmb): Modified function.
	[USE_WIDE_CHAR](__correctly_grouped_prefixwc): Modified function.
	* stdlib/tst-strtod4.c: Modified.
	(do_test): Modified function.

2023-10-09  DJ Delorie  <dj@redhat.com>
            Lukasz Majewski  <lukma@denx.de>
            Adhemerval Zanella Netto  <adhemerval.zanella@linaro.org>

	COMMIT: d846c2838942297c9644f2f38bdad0fb88f42245
	build-many-glibcs: Check for required system tools

	* scripts/build-many-glibcs.py: Modified.

2023-10-06  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: a3c50bf46a1ca6d9d2b7d879176d345abf95a9de
	x86: Prepare `strrchr-evex` and `strrchr-evex512` for AVX10

	* sysdeps/x86_64/multiarch/strrchr-evex-base.S: Modified.
	* sysdeps/x86_64/multiarch/strrchr-evex.S: Modified.
	* sysdeps/x86_64/multiarch/wcsrchr-evex.S: Modified.

2023-10-05  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: 5a4b6f8e4b7e2a76c71b713200a80181d745c93d
	aarch64: Optimise vecmath logs

	* sysdeps/aarch64/fpu/log_advsimd.c: Modified.
	(data): Modified.
	(lookup): Modified function.
	(special_case): Modified function.
	(V_NAME_D1): Modified function.
	* sysdeps/aarch64/fpu/log_sve.c: Modified.
	(SV_NAME_D1): Modified function.
	* sysdeps/aarch64/fpu/logf_advsimd.c: Modified.
	(data): Modified.
	(special_case): Modified function.
	(V_NAME_F1): Modified function.
	* sysdeps/aarch64/fpu/logf_sve.c: Modified.
	(SV_NAME_F1): Modified function.
	* sysdeps/aarch64/fpu/v_log_data.c: Modified.
	* sysdeps/aarch64/fpu/v_math.h: Modified.
	(V2): Modified.
	(V4): Modified.
	(V8): New.
	(v_any_u16h): New function.
	(v_any_u32h): New function.
	* sysdeps/aarch64/fpu/vecmath_config.h: Modified.
	(v_log_data): Modified.

2023-10-05  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: 480a0dfe1acab3dbf1bdcfa37fdca992eb9c54a5
	aarch64: Cosmetic change in SVE exp routines

	* sysdeps/aarch64/fpu/exp_sve.c: Modified.
	(special_case): Modified function.
	(SV_NAME_D1): Modified function.
	* sysdeps/aarch64/fpu/expf_sve.c: Modified.
	(SV_NAME_F1): Modified function.

2023-10-05  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: 9180160e0898f23b06fbd88af9c3c840e791169a
	aarch64: Optimize SVE cos & cosf

	* sysdeps/aarch64/fpu/cos_sve.c: Modified.
	(special_case): Modified function.
	(SV_NAME_D1): Modified function.
	* sysdeps/aarch64/fpu/cosf_sve.c: Modified.
	(special_case): Modified function.
	(SV_NAME_F1): Modified function.

2023-10-05  Joe Ramsay  <Joe.Ramsay@arm.com>

	COMMIT: 8014d1e8321eec40294345d0e855476ea36f5ff6
	aarch64: Improve vecmath sin routines

	* sysdeps/aarch64/fpu/sin_advsimd.c: Modified.
	* sysdeps/aarch64/fpu/sin_sve.c: Modified.
	(data): Modified.
	(RangeVal): Remove.
	(SV_NAME_D1): Modified function.
	(C): New.
	* sysdeps/aarch64/fpu/sinf_sve.c: Modified.
	(SV_NAME_F1): Modified function.

2023-10-04  Joe Simmons-Talbott  <josimmon@redhat.com>

	COMMIT: 820948edd906ccb475a641ac5c5622e79e7084cf
	nss: Get rid of alloca usage in makedb's write_output.

	* nss/makedb.c: Modified.
	(write_output): Modified function.
	(scratch_buffer.h): Include file.

2023-10-04  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: be7a5468d4f694ee8d052b537141f51af43ca7f2
	debug: Add regression tests for BZ 30932

	* debug/Makefile: Modified.
	* debug/tst-sprintf-fortify-rdonly.c: New file.

2023-10-04  Volker Weißmann  <volker.weissmann@gmx.de>

	COMMIT: 7bb8045ec0595a031e68383849c3fbd9af134312
	Fix FORTIFY_SOURCE false positive

	* sysdeps/unix/sysv/linux/readonly-area.c: Modified.
	(__readonly_area): Modified function.

2023-10-04  Arjun Shankar  <arjun@redhat.com>

	COMMIT: 751850cf5a87e463f0f8b508672594e54853495c
	nss: Rearrange and sort Makefile variables

	* nss/Makefile: Modified.

2023-10-04  Arjun Shankar  <arjun@redhat.com>

	COMMIT: b6b8a88cf59a00d7716e9dd2e5ba92eedfec69ce
	inet: Rearrange and sort Makefile variables

	* inet/Makefile: Modified.

2023-10-04  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 0a520f28ffc8820d46074a71323db4c9652873be
	Fix off-by-one OOB write in iconv/tst-iconv-mt

	* iconv/tst-iconv-mt.c: Modified.
	(worker): Modified function.

2023-10-02  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 1056e5b4c3f2d90ed2b4a55f96add28da2f4c8fa
	tunables: Terminate if end of input is reached (CVE-2023-4911)

	* NEWS: Modified.
	* elf/dl-tunables.c: Modified.
	(parse_tunables): Modified function.
	* elf/tst-env-setuid-tunables.c: Modified.
	(test_child): Modified function.
	(do_test): Modified function.

2023-10-02  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 0d5f9ea97f1b39f2a855756078771673a68497e1
	Propagate GLIBC_TUNABLES in setxid binaries

	* sysdeps/generic/unsecvars.h: Modified.
	(UNSECURE_ENVVARS): Modified.

2023-10-02  Kir Kolyshkin  <kolyshkin@gmail.com>

	COMMIT: 9e4e896f0f5a19a16c1a77567463b013a0f4952d
	Linux: add ST_NOSYMFOLLOW

	* sysdeps/unix/sysv/linux/bits/statvfs.h: Modified.
	(<anonymous>): Modified.

2023-10-02  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 40c0add7d48739f5d89ebba255c1df26629a76e2
	resolve: Remove __res_context_query alloca usage

	* resolv/res_query.c: Modified.
	(__res_context_query): Modified function.
	(scratch_buffer.h): Include file.

2023-10-02  Joe Simmons-Talbott  <josimmon@redhat.com>

	COMMIT: 08e9a60a1ad34425a849c37611e55dd9fb4d3618
	mips: dl-machine-reject-phdr: Get rid of alloca.

	* sysdeps/mips/dl-machine-reject-phdr.h: Modified.
	(elf_machine_reject_phdr_p): Modified function.

2023-09-29  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: d90b43a4ed475dac5b0cd6e01ceb35c7b0f7f2ff
	x86: Add support for AVX10 preset and vec size in cpu-features

	* manual/platform.texi: Modified.
	* sysdeps/x86/bits/platform/x86.h: Modified.
	(<anonymous>): Modified.
	(<anonymous>): Modified.
	* sysdeps/x86/cpu-features.c: Modified.
	(update_active): Modified function.
	* sysdeps/x86/include/cpu-features.h: Modified.
	(<anonymous>): Modified.
	(bit_cpu_AVX10): New.
	(bit_cpu_AVX10_XMM): New.
	(bit_cpu_AVX10_YMM): New.
	(bit_cpu_AVX10_ZMM): New.
	(index_cpu_AVX10): New.
	(index_cpu_AVX10_XMM): New.
	(index_cpu_AVX10_YMM): New.
	(index_cpu_AVX10_ZMM): New.
	(reg_AVX10): New.
	(reg_AVX10_XMM): New.
	(reg_AVX10_YMM): New.
	(reg_AVX10_ZMM): New.
	* sysdeps/x86/tst-get-cpu-features.c: Modified.
	(do_test): Modified function.

2023-09-29  Arjun Shankar  <arjun@redhat.com>

	COMMIT: 5f913506f4bf4785f9cf2c2ac8d17dc9f877ff17
	resolv: Fix a comment typo in __resolv_conf_load

	* resolv/res_init.c: Modified.

2023-09-29  Arjun Shankar  <arjun@redhat.com>

	COMMIT: 99b4327a553d42c5f999f780a57204894da1d494
	Remove unused -DRESOLVER getaddrinfo build flag

	* posix/Makefile: Modified.

2023-09-28  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: cdbf8229bb1438998b211e4760a97d94a13674d4
	C2x scanf %wN, %wfN support

	* NEWS: Modified.
	* manual/stdio.texi: Modified.
	* stdio-common/Makefile: Modified.
	* stdio-common/tst-scanf-intn-main.c: New file.
	* stdio-common/tst-scanf-intn.c: New file.
	* stdio-common/vfscanf-internal.c: Modified.
	[! COMPILE_WSCANF](__vfscanf_internal): Modified function.
	[COMPILE_WSCANF](__vfwscanf_internal): Modified function.
	* wcsmbs/Makefile: Modified.
	* wcsmbs/tst-wscanf-intn.c: New file.

2023-09-28  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: aea4ddb87168d0475777e605f3bb576b0f62b3a2
	test-container: Use nftw instead of rm -rf

	* support/test-container.c: Modified.
	(recursive_remove): Modified function.
	(ftw.h): Include file.
	(unlink_cb): New function.

2023-09-28  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 29d4591b07a4da53320e949557c6946c62c26bde
	hurd: Drop REG_GSFS and REG_ESDS from x86_64's ucontext

	* sysdeps/mach/hurd/x86/trampoline.c: Modified.
	(fill_ucontext): Modified function.
	* sysdeps/mach/hurd/x86_64/bits/sigcontext.h: Modified.
	(sigcontext): Modified.
	* sysdeps/mach/x86/thread_state.h: Modified.
	[! __x86_64__](MACHINE_THREAD_STATE_FIX_NEW): New.
	[__x86_64__](MACHINE_THREAD_STATE_FIX_NEW): New.
	(MACHINE_THREAD_STATE_FIX_NEW): Remove.
	* sysdeps/x86_64/sys/ucontext.h: Modified.
	[__USE_GNU](<anonymous>): Modified.

2023-09-27  Qingqing Li  <liqingqing3@huawei.com>

	COMMIT: 964d15a007d7fb1258f2ad7c8cf4afcfb9a65719
	elf: Fix compile error with -DNDEBUG [BZ #18755]

	* elf/dl-close.c: Modified.
	(_dl_close_worker): Modified function.

2023-09-27  Ying Huang  <ying.huang@oss.cipunited.com>

	COMMIT: a6e8ceb3bb532236e1eecd0bb0ee8e4b7fd5ff7c
	MIPS: Add relocation types

	* elf/elf.h: Modified.
	(R_MIPS_NUM): Modified.
	(R_MIPS_PC21_S2): New.
	(R_MIPS_PC26_S2): New.
	(R_MIPS_PC18_S3): New.
	(R_MIPS_PC19_S2): New.
	(R_MIPS_PCHI16): New.
	(R_MIPS_PCLO16): New.
	(R_MIPS16_26): New.
	(R_MIPS16_GPREL): New.
	(R_MIPS16_GOT16): New.
	(R_MIPS16_CALL16): New.
	(R_MIPS16_HI16): New.
	(R_MIPS16_LO16): New.
	(R_MIPS16_TLS_GD): New.
	(R_MIPS16_TLS_LDM): New.
	(R_MIPS16_TLS_DTPREL_HI16): New.
	(R_MIPS16_TLS_DTPREL_LO16): New.
	(R_MIPS16_TLS_GOTTPREL): New.
	(R_MIPS16_TLS_TPREL_HI16): New.
	(R_MIPS16_TLS_TPREL_LO16): New.
	(R_MIPS16_PC16_S1): New.
	(R_MIPS_RELATIVE): New.
	(R_MICROMIPS_26_S1): New.
	(R_MICROMIPS_HI16): New.
	(R_MICROMIPS_LO16): New.
	(R_MICROMIPS_GPREL16): New.
	(R_MICROMIPS_LITERAL): New.
	(R_MICROMIPS_GOT16): New.
	(R_MICROMIPS_PC7_S1): New.
	(R_MICROMIPS_PC10_S1): New.
	(R_MICROMIPS_PC16_S1): New.
	(R_MICROMIPS_CALL16): New.
	(R_MICROMIPS_GOT_DISP): New.
	(R_MICROMIPS_GOT_PAGE): New.
	(R_MICROMIPS_GOT_OFST): New.
	(R_MICROMIPS_GOT_HI16): New.
	(R_MICROMIPS_GOT_LO16): New.
	(R_MICROMIPS_SUB): New.
	(R_MICROMIPS_HIGHER): New.
	(R_MICROMIPS_HIGHEST): New.
	(R_MICROMIPS_CALL_HI16): New.
	(R_MICROMIPS_CALL_LO16): New.
	(R_MICROMIPS_SCN_DISP): New.
	(R_MICROMIPS_JALR): New.
	(R_MICROMIPS_HI0_LO16): New.
	(R_MICROMIPS_TLS_GD): New.
	(R_MICROMIPS_TLS_LDM): New.
	(R_MICROMIPS_TLS_DTPREL_HI16): New.
	(R_MICROMIPS_TLS_DTPREL_LO16): New.
	(R_MICROMIPS_TLS_GOTTPREL): New.
	(R_MICROMIPS_TLS_TPREL_HI16): New.
	(R_MICROMIPS_TLS_TPREL_LO16): New.
	(R_MICROMIPS_GPREL7_S2): New.
	(R_MICROMIPS_PC23_S2): New.
	(R_MIPS_PC32): New.
	(R_MIPS_EH): New.
	(R_MIPS_GNU_REL16_S2): New.
	(R_MIPS_GNU_VTINHERIT): New.
	(R_MIPS_GNU_VTENTRY): New.

2023-09-27  Ying Huang  <ying.huang@oss.cipunited.com>

	COMMIT: f34dc13ad6f6039d908ab876ff2d198a4bed5396
	MIPS: Add new section type SHT_MIPS_ABIFLAGS

	* elf/elf.h: Modified.
	(SHT_MIPS_ABIFLAGS): New.

2023-09-27  Ying Huang  <ying.huang@oss.cipunited.com>

	COMMIT: c07ae7cca4fcfa37508e048f9b437d3b3d0c4130
	MIPS: Add ELF file header flags

	* elf/elf.h: Modified.
	(EF_MIPS_64BIT_WHIRL): Remove.
	(EF_MIPS_UCODE): New.
	(EF_MIPS_OPTIONS_FIRST): New.
	(EF_MIPS_32BITMODE): New.
	(EF_MIPS_ARCH_ASE): New.
	(EF_MIPS_ARCH_ASE_MDMX): New.
	(EF_MIPS_ARCH_ASE_M16): New.
	(EF_MIPS_ARCH_ASE_MICROMIPS): New.
	(EF_MIPS_ARCH_32R6): New.
	(EF_MIPS_ARCH_64R6): New.
	(EF_MIPS_ABI): New.
	(EF_MIPS_ABI_O32): New.
	(EF_MIPS_ABI_O64): New.
	(EF_MIPS_ABI_EABI32): New.
	(EF_MIPS_ABI_EABI64): New.
	(EF_MIPS_MACH): New.
	(EF_MIPS_MACH_3900): New.
	(EF_MIPS_MACH_4010): New.
	(EF_MIPS_MACH_4100): New.
	(EF_MIPS_MACH_ALLEGREX): New.
	(EF_MIPS_MACH_4650): New.
	(EF_MIPS_MACH_4120): New.
	(EF_MIPS_MACH_4111): New.
	(EF_MIPS_MACH_SB1): New.
	(EF_MIPS_MACH_OCTEON): New.
	(EF_MIPS_MACH_XLR): New.
	(EF_MIPS_MACH_OCTEON2): New.
	(EF_MIPS_MACH_OCTEON3): New.
	(EF_MIPS_MACH_5400): New.
	(EF_MIPS_MACH_5900): New.
	(EF_MIPS_MACH_IAMR2): New.
	(EF_MIPS_MACH_5500): New.
	(EF_MIPS_MACH_9000): New.
	(EF_MIPS_MACH_LS2E): New.
	(EF_MIPS_MACH_LS2F): New.
	(EF_MIPS_MACH_GS464): New.
	(EF_MIPS_MACH_GS464E): New.
	(EF_MIPS_MACH_GS264E): New.

2023-09-27  Manjunath Matti  <mmatti@linux.ibm.com>

	COMMIT: 4eac1825ed92e88c192abb436412d5fb84ddd854
	fegetenv_and_set_rn now uses the builtins provided by GCC.

	* sysdeps/powerpc/fpu/fenv_libc.h: Modified.
	(__fe_mffscrn): Remove.
	[! __SET_FPSCR_RN_RETURNS_FPSCR__](__fe_mffscrn): New.
	[__SET_FPSCR_RN_RETURNS_FPSCR__](__fe_mffscrn): New.

2023-09-27  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 551101e8240b7514fc646d1722f8b79c90362b8f
	io: Do not implement fstat with fstatat

	* sysdeps/unix/sysv/linux/fstat64.c: Modified.
	(kernel_stat.h): Remove include.
	(stat_t64_cp.h): Remove include.
	(__fstat64_time64): Modified function.
	(internal-stat.h): Include file.
	(__fstat): New.
	(fstat): New.
	* sysdeps/unix/sysv/linux/fstatat64.c: Modified.
	[!((__WORDSIZE == 32  && (! __SYSCALL_WORDSIZE || __SYSCALL_WORDSIZE == 32))  ||  STAT_HAS_TIME32  || (! __NR_newfstatat && ! __NR_fstatat64))](FSTATAT_USE_STATX): Remove.
	[(__WORDSIZE == 32  && (! __SYSCALL_WORDSIZE || __SYSCALL_WORDSIZE == 32))  ||  STAT_HAS_TIME32  || (! __NR_newfstatat && ! __NR_fstatat64)](FSTATAT_USE_STATX): Remove.
	[(__WORDSIZE == 32  && (! __SYSCALL_WORDSIZE || __SYSCALL_WORDSIZE == 32))  ||  STAT_HAS_TIME32  || (! __NR_newfstatat && ! __NR_fstatat64)](fstatat64_time64_statx): Remove.
